<?php
if ( !class_exists( "ReduxFramework" ) ) {
	return;
}

if ( !class_exists( "Redux_Framework__562117f92435f" ) ) {
	class Redux_Framework__562117f92435f {
		public function __construct( ) {

			// Your base config file for Redux
			add_action( 'after_setup_theme', array($this, 'loadConfig') );
			
			// Data migration
			add_action("after_switch_theme", array($this, "migrate_old_data"), 10 ,  2);	
			
		}

		public function loadConfig() {

			$sections = array (
		array (
			'icon' => 'el-icon-cog',
			'title' => 'General',
			'fields' => array (
				array (
					'id' => 'custom_ads',
					'icon' => true,
					'type' => 'info',
					'raw' => '<h3 style="margin: 0 0 10px;">Click on image to get themes</h3>
							<a href=\'http://pixelthemestudio.ca/product/pixel-linear/\' target=\'_blank\'><img src=\'http://localhost/smod/wp-content/themes/pts-pixel-linear/admin/assets/images/new-ad.jpg\' /></a> ',
				),
				array (
					'desc' => 'Upload or paste the URL for your custom favicon.',
					'id' => 'custom_favicon',
					'type' => 'media',
					'title' => 'Favicon',
					'url' => true,
				),
				array (
					'desc' => 'Use this field to upload your custom logo for use in the theme header. (Recommended 200px x 40px)',
					'id' => 'custom_logo',
					'type' => 'media',
					'title' => 'Main Logo',
					'default' => array (
						'url' => 'http://localhost/smod/wp-content/themes/pts-pixel-linear/images/logo.png',
					),
					'url' => true,
				),
				array (
					'desc' => 'Select full width or Boxed layout for pages.',
					'id' => 'custom_main_layout',
					'type' => 'select',
					'options' => array (
						0 => 'Full Width',
						1 => 'Boxed',
					),
					'title' => 'Main Layout',
					'default' => 'Boxed',
				),
				array (
					'desc' => 'Select layout for Blog Page with left, right Sidebar. Use widgets to add contents on sidebars',
					'id' => 'custom_blog_layout',
					'type' => 'select',
					'options' => array (
						'No Sidebar' => 'No Sidebar',
						'Left Sidebar' => 'Left Sidebar',
						'Right Sidebar' => 'Right Sidebar',
						'Left + Right Sidebar' => 'Left + Right Sidebar',
					),
					'title' => 'Blog Layout',
					'default' => 'No Sidebar',
				),
				array (
					'desc' => 'Select layout for Single Post View with left, right Sidebar. Use widgets to add contents on sidebars',
					'id' => 'custom_single_post_layout',
					'type' => 'select',
					'options' => array (
						'No Sidebar' => 'No Sidebar',
						'Left Sidebar' => 'Left Sidebar',
						'Right Sidebar' => 'Right Sidebar',
						'Left + Right Sidebar' => 'Left + Right Sidebar',
					),
					'title' => 'Single Post Layout',
					'default' => 'No Sidebar',
				),
			),
		),
		array (
			'title' => 'Home Settings',
			'fields' => array (
				array (
					'desc' => 'Click on button to enable slider on homepage',
					'id' => 'enable_disable_slider',
					'on' => 'Enable',
					'off' => 'Disable',
					'type' => 'switch',
					'title' => 'Enable Slider',
				),
				array (
					'desc' => 'Unlimited slider with drag and drop sortings. (Recommended size xpx x ypx)',
					'id' => 'custom_slider',
					'type' => 'slides',
					'title' => 'Slider Options',
				),
				array (
					'desc' => 'Use widgets to add content in 3 boxes',
					'id' => 'enable_disable_3box',
					'on' => 'Enable',
					'off' => 'Disable',
					'type' => 'switch',
					'title' => 'Enable 3 Boxes On Homepage',
				),
			),
			'icon' => 'el-icon-cog',
		),
		array (
			'title' => 'Styling Options',
			'fields' => array (
				array (
					'desc' => 'Pick a background color for body<br>(default: #fff).',
					'id' => 'custom_body_bg',
					'type' => 'color',
					'title' => 'Body Background Color',
					'default' => '#fff',
				),
				array (
					'desc' => 'Pick a background color for header<br>(default: #fff).',
					'id' => 'custom_header_bg',
					'type' => 'color',
					'title' => 'Header Background Color',
					'default' => '#fff',
				),
				array (
					'desc' => 'Pick a background color for footer<br>(default: #333).',
					'id' => 'custom_footer_bg',
					'type' => 'color',
					'title' => 'Footer Background Color',
					'default' => '#333',
				),
				array (
					'desc' => 'Pick a background color for footer copyright<br>(default: #000).',
					'id' => 'custom_bottom_footer_bg',
					'type' => 'color',
					'title' => 'Footer Bottom Background Color',
					'default' => '#000',
				),
				array (
					'desc' => 'Pick a background color for box layout.<br>*Apply only when box layout is selected.(default: #ddd).',
					'id' => 'custom_boxed_bg',
					'type' => 'color',
					'title' => 'Box Layout Background Color',
					'default' => '#ddd',
				),
				array (
					'desc' => 'Pick a background image for box layout.<br>*Apply only when box layout is selected.',
					'id' => 'custom_boxed_bgImg',
					'type' => 'media',
					'title' => 'Box Layout Background Image',
					'url' => true,
				),
				array (
					'desc' => 'Quickly add some CSS to your theme by adding it to this block.<br> Use !important to override properties.',
					'id' => 'custom_css_box',
					'type' => 'textarea',
					'title' => 'Custom CSS',
				),
			),
			'icon' => 'el-icon-cog',
		),
		array (
			'icon' => 'el-icon-cog',
			'title' => 'Typography',
			'fields' => array (
				array (
					'desc' => 'Specify the body font properties.',
					'id' => 'custom_body_font',
					'type' => 'typography',
					'title' => 'Body Font',
					'default' => array (
						'font-size' => '16px',
						'units' => 'px',
						'color' => '#000000',
					),
				),
				array (
					'id' => 'google_fonts_intro',
					'icon' => true,
					'type' => 'info',
					'raw' => '<h3 style=\'margin: 0;\'\'>Google Fonts</h3>',
				),
				array (
					'desc' => 'Select a font family for body text this will override Standard Font.',
					'id' => 'custom_body_family',
					'type' => 'select',
					'options' => array (
						0 => 'Select Font',
						'ABeeZee' => 'ABeeZee',
						'Abel' => 'Abel',
						'Abril Fatface' => 'Abril Fatface',
						'Aclonica' => 'Aclonica',
						'Acme' => 'Acme',
						'Actor' => 'Actor',
						'Adamina' => 'Adamina',
						'Advent Pro' => 'Advent Pro',
						'Aguafina Script' => 'Aguafina Script',
						'Akronim' => 'Akronim',
						'Aladin' => 'Aladin',
						'Aldrich' => 'Aldrich',
						'Alef' => 'Alef',
						'Alegreya' => 'Alegreya',
						'Alegreya SC' => 'Alegreya SC',
						'Alegreya Sans' => 'Alegreya Sans',
						'Alegreya Sans SC' => 'Alegreya Sans SC',
						'Alex Brush' => 'Alex Brush',
						'Alfa Slab One' => 'Alfa Slab One',
						'Alice' => 'Alice',
						'Alike' => 'Alike',
						'Alike Angular' => 'Alike Angular',
						'Allan' => 'Allan',
						'Allerta' => 'Allerta',
						'Allerta Stencil' => 'Allerta Stencil',
						'Allura' => 'Allura',
						'Almendra' => 'Almendra',
						'Almendra Display' => 'Almendra Display',
						'Almendra SC' => 'Almendra SC',
						'Amarante' => 'Amarante',
						'Amaranth' => 'Amaranth',
						'Amatic SC' => 'Amatic SC',
						'Amethysta' => 'Amethysta',
						'Anaheim' => 'Anaheim',
						'Andada' => 'Andada',
						'Andika' => 'Andika',
						'Angkor' => 'Angkor',
						'Annie Use Your Telescope' => 'Annie Use Your Telescope',
						'Anonymous Pro' => 'Anonymous Pro',
						'Antic' => 'Antic',
						'Antic Didone' => 'Antic Didone',
						'Antic Slab' => 'Antic Slab',
						'Anton' => 'Anton',
						'Arapey' => 'Arapey',
						'Arbutus' => 'Arbutus',
						'Arbutus Slab' => 'Arbutus Slab',
						'Architects Daughter' => 'Architects Daughter',
						'Archivo Black' => 'Archivo Black',
						'Archivo Narrow' => 'Archivo Narrow',
						'Arimo' => 'Arimo',
						'Arizonia' => 'Arizonia',
						'Armata' => 'Armata',
						'Artifika' => 'Artifika',
						'Arvo' => 'Arvo',
						'Asap' => 'Asap',
						'Asset' => 'Asset',
						'Astloch' => 'Astloch',
						'Asul' => 'Asul',
						'Atomic Age' => 'Atomic Age',
						'Aubrey' => 'Aubrey',
						'Audiowide' => 'Audiowide',
						'Autour One' => 'Autour One',
						'Average' => 'Average',
						'Average Sans' => 'Average Sans',
						'Averia Gruesa Libre' => 'Averia Gruesa Libre',
						'Averia Libre' => 'Averia Libre',
						'Averia Sans Libre' => 'Averia Sans Libre',
						'Averia Serif Libre' => 'Averia Serif Libre',
						'Bad Script' => 'Bad Script',
						'Balthazar' => 'Balthazar',
						'Bangers' => 'Bangers',
						'Basic' => 'Basic',
						'Battambang' => 'Battambang',
						'Baumans' => 'Baumans',
						'Bayon' => 'Bayon',
						'Belgrano' => 'Belgrano',
						'Belleza' => 'Belleza',
						'BenchNine' => 'BenchNine',
						'Bentham' => 'Bentham',
						'Berkshire Swash' => 'Berkshire Swash',
						'Bevan' => 'Bevan',
						'Bigelow Rules' => 'Bigelow Rules',
						'Bigshot One' => 'Bigshot One',
						'Bilbo' => 'Bilbo',
						'Bilbo Swash Caps' => 'Bilbo Swash Caps',
						'Bitter' => 'Bitter',
						'Black Ops One' => 'Black Ops One',
						'Bokor' => 'Bokor',
						'Bonbon' => 'Bonbon',
						'Boogaloo' => 'Boogaloo',
						'Bowlby One' => 'Bowlby One',
						'Bowlby One SC' => 'Bowlby One SC',
						'Brawler' => 'Brawler',
						'Bree Serif' => 'Bree Serif',
						'Bubblegum Sans' => 'Bubblegum Sans',
						'Bubbler One' => 'Bubbler One',
						'Buda' => 'Buda',
						'Buenard' => 'Buenard',
						'Butcherman' => 'Butcherman',
						'Butterfly Kids' => 'Butterfly Kids',
						'Cabin' => 'Cabin',
						'Cabin Condensed' => 'Cabin Condensed',
						'Cabin Sketch' => 'Cabin Sketch',
						'Caesar Dressing' => 'Caesar Dressing',
						'Cagliostro' => 'Cagliostro',
						'Calligraffitti' => 'Calligraffitti',
						'Cambo' => 'Cambo',
						'Candal' => 'Candal',
						'Cantarell' => 'Cantarell',
						'Cantata One' => 'Cantata One',
						'Cantora One' => 'Cantora One',
						'Capriola' => 'Capriola',
						'Cardo' => 'Cardo',
						'Carme' => 'Carme',
						'Carrois Gothic' => 'Carrois Gothic',
						'Carrois Gothic SC' => 'Carrois Gothic SC',
						'Carter One' => 'Carter One',
						'Caudex' => 'Caudex',
						'Cedarville Cursive' => 'Cedarville Cursive',
						'Ceviche One' => 'Ceviche One',
						'Changa One' => 'Changa One',
						'Chango' => 'Chango',
						'Chau Philomene One' => 'Chau Philomene One',
						'Chela One' => 'Chela One',
						'Chelsea Market' => 'Chelsea Market',
						'Chenla' => 'Chenla',
						'Cherry Cream Soda' => 'Cherry Cream Soda',
						'Cherry Swash' => 'Cherry Swash',
						'Chewy' => 'Chewy',
						'Chicle' => 'Chicle',
						'Chivo' => 'Chivo',
						'Cinzel' => 'Cinzel',
						'Cinzel Decorative' => 'Cinzel Decorative',
						'Clicker Script' => 'Clicker Script',
						'Coda' => 'Coda',
						'Coda Caption' => 'Coda Caption',
						'Codystar' => 'Codystar',
						'Combo' => 'Combo',
						'Comfortaa' => 'Comfortaa',
						'Coming Soon' => 'Coming Soon',
						'Concert One' => 'Concert One',
						'Condiment' => 'Condiment',
						'Content' => 'Content',
						'Contrail One' => 'Contrail One',
						'Convergence' => 'Convergence',
						'Cookie' => 'Cookie',
						'Copse' => 'Copse',
						'Corben' => 'Corben',
						'Courgette' => 'Courgette',
						'Cousine' => 'Cousine',
						'Coustard' => 'Coustard',
						'Covered By Your Grace' => 'Covered By Your Grace',
						'Crafty Girls' => 'Crafty Girls',
						'Creepster' => 'Creepster',
						'Crete Round' => 'Crete Round',
						'Crimson Text' => 'Crimson Text',
						'Croissant One' => 'Croissant One',
						'Crushed' => 'Crushed',
						'Cuprum' => 'Cuprum',
						'Cutive' => 'Cutive',
						'Cutive Mono' => 'Cutive Mono',
						'Damion' => 'Damion',
						'Dancing Script' => 'Dancing Script',
						'Dangrek' => 'Dangrek',
						'Dawning of a New Day' => 'Dawning of a New Day',
						'Days One' => 'Days One',
						'Delius' => 'Delius',
						'Delius Swash Caps' => 'Delius Swash Caps',
						'Delius Unicase' => 'Delius Unicase',
						'Della Respira' => 'Della Respira',
						'Denk One' => 'Denk One',
						'Devonshire' => 'Devonshire',
						'Didact Gothic' => 'Didact Gothic',
						'Diplomata' => 'Diplomata',
						'Diplomata SC' => 'Diplomata SC',
						'Domine' => 'Domine',
						'Donegal One' => 'Donegal One',
						'Doppio One' => 'Doppio One',
						'Dorsa' => 'Dorsa',
						'Dosis' => 'Dosis',
						'Dr Sugiyama' => 'Dr Sugiyama',
						'Droid Sans' => 'Droid Sans',
						'Droid Sans Mono' => 'Droid Sans Mono',
						'Droid Serif' => 'Droid Serif',
						'Duru Sans' => 'Duru Sans',
						'Dynalight' => 'Dynalight',
						'EB Garamond' => 'EB Garamond',
						'Eagle Lake' => 'Eagle Lake',
						'Eater' => 'Eater',
						'Economica' => 'Economica',
						'Electrolize' => 'Electrolize',
						'Elsie' => 'Elsie',
						'Elsie Swash Caps' => 'Elsie Swash Caps',
						'Emblema One' => 'Emblema One',
						'Emilys Candy' => 'Emilys Candy',
						'Engagement' => 'Engagement',
						'Englebert' => 'Englebert',
						'Enriqueta' => 'Enriqueta',
						'Erica One' => 'Erica One',
						'Esteban' => 'Esteban',
						'Euphoria Script' => 'Euphoria Script',
						'Ewert' => 'Ewert',
						'Exo' => 'Exo',
						'Exo 2' => 'Exo 2',
						'Expletus Sans' => 'Expletus Sans',
						'Fanwood Text' => 'Fanwood Text',
						'Fascinate' => 'Fascinate',
						'Fascinate Inline' => 'Fascinate Inline',
						'Faster One' => 'Faster One',
						'Fasthand' => 'Fasthand',
						'Fauna One' => 'Fauna One',
						'Federant' => 'Federant',
						'Federo' => 'Federo',
						'Felipa' => 'Felipa',
						'Fenix' => 'Fenix',
						'Finger Paint' => 'Finger Paint',
						'Fjalla One' => 'Fjalla One',
						'Fjord One' => 'Fjord One',
						'Flamenco' => 'Flamenco',
						'Flavors' => 'Flavors',
						'Fondamento' => 'Fondamento',
						'Fontdiner Swanky' => 'Fontdiner Swanky',
						'Forum' => 'Forum',
						'Francois One' => 'Francois One',
						'Freckle Face' => 'Freckle Face',
						'Fredericka the Great' => 'Fredericka the Great',
						'Fredoka One' => 'Fredoka One',
						'Freehand' => 'Freehand',
						'Fresca' => 'Fresca',
						'Frijole' => 'Frijole',
						'Fruktur' => 'Fruktur',
						'Fugaz One' => 'Fugaz One',
						'GFS Didot' => 'GFS Didot',
						'GFS Neohellenic' => 'GFS Neohellenic',
						'Gabriela' => 'Gabriela',
						'Gafata' => 'Gafata',
						'Galdeano' => 'Galdeano',
						'Galindo' => 'Galindo',
						'Gentium Basic' => 'Gentium Basic',
						'Gentium Book Basic' => 'Gentium Book Basic',
						'Geo' => 'Geo',
						'Geostar' => 'Geostar',
						'Geostar Fill' => 'Geostar Fill',
						'Germania One' => 'Germania One',
						'Gilda Display' => 'Gilda Display',
						'Give You Glory' => 'Give You Glory',
						'Glass Antiqua' => 'Glass Antiqua',
						'Glegoo' => 'Glegoo',
						'Gloria Hallelujah' => 'Gloria Hallelujah',
						'Goblin One' => 'Goblin One',
						'Gochi Hand' => 'Gochi Hand',
						'Gorditas' => 'Gorditas',
						'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
						'Graduate' => 'Graduate',
						'Grand Hotel' => 'Grand Hotel',
						'Gravitas One' => 'Gravitas One',
						'Great Vibes' => 'Great Vibes',
						'Griffy' => 'Griffy',
						'Gruppo' => 'Gruppo',
						'Gudea' => 'Gudea',
						'Habibi' => 'Habibi',
						'Hammersmith One' => 'Hammersmith One',
						'Hanalei' => 'Hanalei',
						'Hanalei Fill' => 'Hanalei Fill',
						'Handlee' => 'Handlee',
						'Hanuman' => 'Hanuman',
						'Happy Monkey' => 'Happy Monkey',
						'Headland One' => 'Headland One',
						'Henny Penny' => 'Henny Penny',
						'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
						'Holtwood One SC' => 'Holtwood One SC',
						'Homemade Apple' => 'Homemade Apple',
						'Homenaje' => 'Homenaje',
						'IM Fell DW Pica' => 'IM Fell DW Pica',
						'IM Fell DW Pica SC' => 'IM Fell DW Pica SC',
						'IM Fell Double Pica' => 'IM Fell Double Pica',
						'IM Fell Double Pica SC' => 'IM Fell Double Pica SC',
						'IM Fell English' => 'IM Fell English',
						'IM Fell English SC' => 'IM Fell English SC',
						'IM Fell French Canon' => 'IM Fell French Canon',
						'IM Fell French Canon SC' => 'IM Fell French Canon SC',
						'IM Fell Great Primer' => 'IM Fell Great Primer',
						'IM Fell Great Primer SC' => 'IM Fell Great Primer SC',
						'Iceberg' => 'Iceberg',
						'Iceland' => 'Iceland',
						'Imprima' => 'Imprima',
						'Inconsolata' => 'Inconsolata',
						'Inder' => 'Inder',
						'Indie Flower' => 'Indie Flower',
						'Inika' => 'Inika',
						'Irish Grover' => 'Irish Grover',
						'Istok Web' => 'Istok Web',
						'Italiana' => 'Italiana',
						'Italianno' => 'Italianno',
						'Jacques Francois' => 'Jacques Francois',
						'Jacques Francois Shadow' => 'Jacques Francois Shadow',
						'Jim Nightshade' => 'Jim Nightshade',
						'Jockey One' => 'Jockey One',
						'Jolly Lodger' => 'Jolly Lodger',
						'Josefin Sans' => 'Josefin Sans',
						'Josefin Slab' => 'Josefin Slab',
						'Joti One' => 'Joti One',
						'Judson' => 'Judson',
						'Julee' => 'Julee',
						'Julius Sans One' => 'Julius Sans One',
						'Junge' => 'Junge',
						'Jura' => 'Jura',
						'Just Another Hand' => 'Just Another Hand',
						'Just Me Again Down Here' => 'Just Me Again Down Here',
						'Kameron' => 'Kameron',
						'Kantumruy' => 'Kantumruy',
						'Karla' => 'Karla',
						'Kaushan Script' => 'Kaushan Script',
						'Kavoon' => 'Kavoon',
						'Kdam Thmor' => 'Kdam Thmor',
						'Keania One' => 'Keania One',
						'Kelly Slab' => 'Kelly Slab',
						'Kenia' => 'Kenia',
						'Khmer' => 'Khmer',
						'Kite One' => 'Kite One',
						'Knewave' => 'Knewave',
						'Kotta One' => 'Kotta One',
						'Koulen' => 'Koulen',
						'Kranky' => 'Kranky',
						'Kreon' => 'Kreon',
						'Kristi' => 'Kristi',
						'Krona One' => 'Krona One',
						'La Belle Aurore' => 'La Belle Aurore',
						'Lancelot' => 'Lancelot',
						'Lato' => 'Lato',
						'League Script' => 'League Script',
						'Leckerli One' => 'Leckerli One',
						'Ledger' => 'Ledger',
						'Lekton' => 'Lekton',
						'Lemon' => 'Lemon',
						'Libre Baskerville' => 'Libre Baskerville',
						'Life Savers' => 'Life Savers',
						'Lilita One' => 'Lilita One',
						'Lily Script One' => 'Lily Script One',
						'Limelight' => 'Limelight',
						'Linden Hill' => 'Linden Hill',
						'Lobster' => 'Lobster',
						'Lobster Two' => 'Lobster Two',
						'Londrina Outline' => 'Londrina Outline',
						'Londrina Shadow' => 'Londrina Shadow',
						'Londrina Sketch' => 'Londrina Sketch',
						'Londrina Solid' => 'Londrina Solid',
						'Lora' => 'Lora',
						'Love Ya Like A Sister' => 'Love Ya Like A Sister',
						'Loved by the King' => 'Loved by the King',
						'Lovers Quarrel' => 'Lovers Quarrel',
						'Luckiest Guy' => 'Luckiest Guy',
						'Lusitana' => 'Lusitana',
						'Lustria' => 'Lustria',
						'Macondo' => 'Macondo',
						'Macondo Swash Caps' => 'Macondo Swash Caps',
						'Magra' => 'Magra',
						'Maiden Orange' => 'Maiden Orange',
						'Mako' => 'Mako',
						'Marcellus' => 'Marcellus',
						'Marcellus SC' => 'Marcellus SC',
						'Marck Script' => 'Marck Script',
						'Margarine' => 'Margarine',
						'Marko One' => 'Marko One',
						'Marmelad' => 'Marmelad',
						'Marvel' => 'Marvel',
						'Mate' => 'Mate',
						'Mate SC' => 'Mate SC',
						'Maven Pro' => 'Maven Pro',
						'McLaren' => 'McLaren',
						'Meddon' => 'Meddon',
						'MedievalSharp' => 'MedievalSharp',
						'Medula One' => 'Medula One',
						'Megrim' => 'Megrim',
						'Meie Script' => 'Meie Script',
						'Merienda' => 'Merienda',
						'Merienda One' => 'Merienda One',
						'Merriweather' => 'Merriweather',
						'Merriweather Sans' => 'Merriweather Sans',
						'Metal' => 'Metal',
						'Metal Mania' => 'Metal Mania',
						'Metamorphous' => 'Metamorphous',
						'Metrophobic' => 'Metrophobic',
						'Michroma' => 'Michroma',
						'Milonga' => 'Milonga',
						'Miltonian' => 'Miltonian',
						'Miltonian Tattoo' => 'Miltonian Tattoo',
						'Miniver' => 'Miniver',
						'Miss Fajardose' => 'Miss Fajardose',
						'Modern Antiqua' => 'Modern Antiqua',
						'Molengo' => 'Molengo',
						'Molle' => 'Molle',
						'Monda' => 'Monda',
						'Monofett' => 'Monofett',
						'Monoton' => 'Monoton',
						'Monsieur La Doulaise' => 'Monsieur La Doulaise',
						'Montaga' => 'Montaga',
						'Montez' => 'Montez',
						'Montserrat' => 'Montserrat',
						'Montserrat Alternates' => 'Montserrat Alternates',
						'Montserrat Subrayada' => 'Montserrat Subrayada',
						'Moul' => 'Moul',
						'Moulpali' => 'Moulpali',
						'Mountains of Christmas' => 'Mountains of Christmas',
						'Mouse Memoirs' => 'Mouse Memoirs',
						'Mr Bedfort' => 'Mr Bedfort',
						'Mr Dafoe' => 'Mr Dafoe',
						'Mr De Haviland' => 'Mr De Haviland',
						'Mrs Saint Delafield' => 'Mrs Saint Delafield',
						'Mrs Sheppards' => 'Mrs Sheppards',
						'Muli' => 'Muli',
						'Mystery Quest' => 'Mystery Quest',
						'Neucha' => 'Neucha',
						'Neuton' => 'Neuton',
						'New Rocker' => 'New Rocker',
						'News Cycle' => 'News Cycle',
						'Niconne' => 'Niconne',
						'Nixie One' => 'Nixie One',
						'Nobile' => 'Nobile',
						'Nokora' => 'Nokora',
						'Norican' => 'Norican',
						'Nosifer' => 'Nosifer',
						'Nothing You Could Do' => 'Nothing You Could Do',
						'Noticia Text' => 'Noticia Text',
						'Noto Sans' => 'Noto Sans',
						'Noto Serif' => 'Noto Serif',
						'Nova Cut' => 'Nova Cut',
						'Nova Flat' => 'Nova Flat',
						'Nova Mono' => 'Nova Mono',
						'Nova Oval' => 'Nova Oval',
						'Nova Round' => 'Nova Round',
						'Nova Script' => 'Nova Script',
						'Nova Slim' => 'Nova Slim',
						'Nova Square' => 'Nova Square',
						'Numans' => 'Numans',
						'Nunito' => 'Nunito',
						'Odor Mean Chey' => 'Odor Mean Chey',
						'Offside' => 'Offside',
						'Old Standard TT' => 'Old Standard TT',
						'Oldenburg' => 'Oldenburg',
						'Oleo Script' => 'Oleo Script',
						'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
						'Open Sans' => 'Open Sans',
						'Open Sans Condensed' => 'Open Sans Condensed',
						'Oranienbaum' => 'Oranienbaum',
						'Orbitron' => 'Orbitron',
						'Oregano' => 'Oregano',
						'Orienta' => 'Orienta',
						'Original Surfer' => 'Original Surfer',
						'Oswald' => 'Oswald',
						'Over the Rainbow' => 'Over the Rainbow',
						'Overlock' => 'Overlock',
						'Overlock SC' => 'Overlock SC',
						'Ovo' => 'Ovo',
						'Oxygen' => 'Oxygen',
						'Oxygen Mono' => 'Oxygen Mono',
						'PT Mono' => 'PT Mono',
						'PT Sans' => 'PT Sans',
						'PT Sans Caption' => 'PT Sans Caption',
						'PT Sans Narrow' => 'PT Sans Narrow',
						'PT Serif' => 'PT Serif',
						'PT Serif Caption' => 'PT Serif Caption',
						'Pacifico' => 'Pacifico',
						'Paprika' => 'Paprika',
						'Parisienne' => 'Parisienne',
						'Passero One' => 'Passero One',
						'Passion One' => 'Passion One',
						'Pathway Gothic One' => 'Pathway Gothic One',
						'Patrick Hand' => 'Patrick Hand',
						'Patrick Hand SC' => 'Patrick Hand SC',
						'Patua One' => 'Patua One',
						'Paytone One' => 'Paytone One',
						'Peralta' => 'Peralta',
						'Permanent Marker' => 'Permanent Marker',
						'Petit Formal Script' => 'Petit Formal Script',
						'Petrona' => 'Petrona',
						'Philosopher' => 'Philosopher',
						'Piedra' => 'Piedra',
						'Pinyon Script' => 'Pinyon Script',
						'Pirata One' => 'Pirata One',
						'Plaster' => 'Plaster',
						'Play' => 'Play',
						'Playball' => 'Playball',
						'Playfair Display' => 'Playfair Display',
						'Playfair Display SC' => 'Playfair Display SC',
						'Podkova' => 'Podkova',
						'Poiret One' => 'Poiret One',
						'Poller One' => 'Poller One',
						'Poly' => 'Poly',
						'Pompiere' => 'Pompiere',
						'Pontano Sans' => 'Pontano Sans',
						'Port Lligat Sans' => 'Port Lligat Sans',
						'Port Lligat Slab' => 'Port Lligat Slab',
						'Prata' => 'Prata',
						'Preahvihear' => 'Preahvihear',
						'Press Start 2P' => 'Press Start 2P',
						'Princess Sofia' => 'Princess Sofia',
						'Prociono' => 'Prociono',
						'Prosto One' => 'Prosto One',
						'Puritan' => 'Puritan',
						'Purple Purse' => 'Purple Purse',
						'Quando' => 'Quando',
						'Quantico' => 'Quantico',
						'Quattrocento' => 'Quattrocento',
						'Quattrocento Sans' => 'Quattrocento Sans',
						'Questrial' => 'Questrial',
						'Quicksand' => 'Quicksand',
						'Quintessential' => 'Quintessential',
						'Qwigley' => 'Qwigley',
						'Racing Sans One' => 'Racing Sans One',
						'Radley' => 'Radley',
						'Raleway' => 'Raleway',
						'Raleway Dots' => 'Raleway Dots',
						'Rambla' => 'Rambla',
						'Rammetto One' => 'Rammetto One',
						'Ranchers' => 'Ranchers',
						'Rancho' => 'Rancho',
						'Rationale' => 'Rationale',
						'Redressed' => 'Redressed',
						'Reenie Beanie' => 'Reenie Beanie',
						'Revalia' => 'Revalia',
						'Ribeye' => 'Ribeye',
						'Ribeye Marrow' => 'Ribeye Marrow',
						'Righteous' => 'Righteous',
						'Risque' => 'Risque',
						'Roboto' => 'Roboto',
						'Roboto Condensed' => 'Roboto Condensed',
						'Roboto Slab' => 'Roboto Slab',
						'Rochester' => 'Rochester',
						'Rock Salt' => 'Rock Salt',
						'Rokkitt' => 'Rokkitt',
						'Romanesco' => 'Romanesco',
						'Ropa Sans' => 'Ropa Sans',
						'Rosario' => 'Rosario',
						'Rosarivo' => 'Rosarivo',
						'Rouge Script' => 'Rouge Script',
						'Ruda' => 'Ruda',
						'Rufina' => 'Rufina',
						'Ruge Boogie' => 'Ruge Boogie',
						'Ruluko' => 'Ruluko',
						'Rum Raisin' => 'Rum Raisin',
						'Ruslan Display' => 'Ruslan Display',
						'Russo One' => 'Russo One',
						'Ruthie' => 'Ruthie',
						'Rye' => 'Rye',
						'Sacramento' => 'Sacramento',
						'Sail' => 'Sail',
						'Salsa' => 'Salsa',
						'Sanchez' => 'Sanchez',
						'Sancreek' => 'Sancreek',
						'Sansita One' => 'Sansita One',
						'Sarina' => 'Sarina',
						'Satisfy' => 'Satisfy',
						'Scada' => 'Scada',
						'Schoolbell' => 'Schoolbell',
						'Seaweed Script' => 'Seaweed Script',
						'Sevillana' => 'Sevillana',
						'Seymour One' => 'Seymour One',
						'Shadows Into Light' => 'Shadows Into Light',
						'Shadows Into Light Two' => 'Shadows Into Light Two',
						'Shanti' => 'Shanti',
						'Share' => 'Share',
						'Share Tech' => 'Share Tech',
						'Share Tech Mono' => 'Share Tech Mono',
						'Shojumaru' => 'Shojumaru',
						'Short Stack' => 'Short Stack',
						'Siemreap' => 'Siemreap',
						'Sigmar One' => 'Sigmar One',
						'Signika' => 'Signika',
						'Signika Negative' => 'Signika Negative',
						'Simonetta' => 'Simonetta',
						'Sintony' => 'Sintony',
						'Sirin Stencil' => 'Sirin Stencil',
						'Six Caps' => 'Six Caps',
						'Skranji' => 'Skranji',
						'Slackey' => 'Slackey',
						'Smokum' => 'Smokum',
						'Smythe' => 'Smythe',
						'Sniglet' => 'Sniglet',
						'Snippet' => 'Snippet',
						'Snowburst One' => 'Snowburst One',
						'Sofadi One' => 'Sofadi One',
						'Sofia' => 'Sofia',
						'Sonsie One' => 'Sonsie One',
						'Sorts Mill Goudy' => 'Sorts Mill Goudy',
						'Source Code Pro' => 'Source Code Pro',
						'Source Sans Pro' => 'Source Sans Pro',
						'Special Elite' => 'Special Elite',
						'Spicy Rice' => 'Spicy Rice',
						'Spinnaker' => 'Spinnaker',
						'Spirax' => 'Spirax',
						'Squada One' => 'Squada One',
						'Stalemate' => 'Stalemate',
						'Stalinist One' => 'Stalinist One',
						'Stardos Stencil' => 'Stardos Stencil',
						'Stint Ultra Condensed' => 'Stint Ultra Condensed',
						'Stint Ultra Expanded' => 'Stint Ultra Expanded',
						'Stoke' => 'Stoke',
						'Strait' => 'Strait',
						'Sue Ellen Francisco' => 'Sue Ellen Francisco',
						'Sunshiney' => 'Sunshiney',
						'Supermercado One' => 'Supermercado One',
						'Suwannaphum' => 'Suwannaphum',
						'Swanky and Moo Moo' => 'Swanky and Moo Moo',
						'Syncopate' => 'Syncopate',
						'Tangerine' => 'Tangerine',
						'Taprom' => 'Taprom',
						'Tauri' => 'Tauri',
						'Telex' => 'Telex',
						'Tenor Sans' => 'Tenor Sans',
						'Text Me One' => 'Text Me One',
						'The Girl Next Door' => 'The Girl Next Door',
						'Tienne' => 'Tienne',
						'Tinos' => 'Tinos',
						'Titan One' => 'Titan One',
						'Titillium Web' => 'Titillium Web',
						'Trade Winds' => 'Trade Winds',
						'Trocchi' => 'Trocchi',
						'Trochut' => 'Trochut',
						'Trykker' => 'Trykker',
						'Tulpen One' => 'Tulpen One',
						'Ubuntu' => 'Ubuntu',
						'Ubuntu Condensed' => 'Ubuntu Condensed',
						'Ubuntu Mono' => 'Ubuntu Mono',
						'Ultra' => 'Ultra',
						'Uncial Antiqua' => 'Uncial Antiqua',
						'Underdog' => 'Underdog',
						'Unica One' => 'Unica One',
						'UnifrakturCook' => 'UnifrakturCook',
						'UnifrakturMaguntia' => 'UnifrakturMaguntia',
						'Unkempt' => 'Unkempt',
						'Unlock' => 'Unlock',
						'Unna' => 'Unna',
						'VT323' => 'VT323',
						'Vampiro One' => 'Vampiro One',
						'Varela' => 'Varela',
						'Varela Round' => 'Varela Round',
						'Vast Shadow' => 'Vast Shadow',
						'Vibur' => 'Vibur',
						'Vidaloka' => 'Vidaloka',
						'Viga' => 'Viga',
						'Voces' => 'Voces',
						'Volkhov' => 'Volkhov',
						'Vollkorn' => 'Vollkorn',
						'Voltaire' => 'Voltaire',
						'Waiting for the Sunrise' => 'Waiting for the Sunrise',
						'Wallpoet' => 'Wallpoet',
						'Walter Turncoat' => 'Walter Turncoat',
						'Warnes' => 'Warnes',
						'Wellfleet' => 'Wellfleet',
						'Wendy One' => 'Wendy One',
						'Wire One' => 'Wire One',
						'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
						'Yellowtail' => 'Yellowtail',
						'Yeseva One' => 'Yeseva One',
						'Yesteryear' => 'Yesteryear',
						'Zeyada' => 'Zeyada',
					),
					'title' => 'Select Body Font Family',
					'default' => 'Select Font',
				),
				array (
					'desc' => 'Select a font family for headings',
					'id' => 'custom_heading_family',
					'type' => 'select',
					'options' => array (
						0 => 'Select Font',
						'ABeeZee' => 'ABeeZee',
						'Abel' => 'Abel',
						'Abril Fatface' => 'Abril Fatface',
						'Aclonica' => 'Aclonica',
						'Acme' => 'Acme',
						'Actor' => 'Actor',
						'Adamina' => 'Adamina',
						'Advent Pro' => 'Advent Pro',
						'Aguafina Script' => 'Aguafina Script',
						'Akronim' => 'Akronim',
						'Aladin' => 'Aladin',
						'Aldrich' => 'Aldrich',
						'Alef' => 'Alef',
						'Alegreya' => 'Alegreya',
						'Alegreya SC' => 'Alegreya SC',
						'Alegreya Sans' => 'Alegreya Sans',
						'Alegreya Sans SC' => 'Alegreya Sans SC',
						'Alex Brush' => 'Alex Brush',
						'Alfa Slab One' => 'Alfa Slab One',
						'Alice' => 'Alice',
						'Alike' => 'Alike',
						'Alike Angular' => 'Alike Angular',
						'Allan' => 'Allan',
						'Allerta' => 'Allerta',
						'Allerta Stencil' => 'Allerta Stencil',
						'Allura' => 'Allura',
						'Almendra' => 'Almendra',
						'Almendra Display' => 'Almendra Display',
						'Almendra SC' => 'Almendra SC',
						'Amarante' => 'Amarante',
						'Amaranth' => 'Amaranth',
						'Amatic SC' => 'Amatic SC',
						'Amethysta' => 'Amethysta',
						'Anaheim' => 'Anaheim',
						'Andada' => 'Andada',
						'Andika' => 'Andika',
						'Angkor' => 'Angkor',
						'Annie Use Your Telescope' => 'Annie Use Your Telescope',
						'Anonymous Pro' => 'Anonymous Pro',
						'Antic' => 'Antic',
						'Antic Didone' => 'Antic Didone',
						'Antic Slab' => 'Antic Slab',
						'Anton' => 'Anton',
						'Arapey' => 'Arapey',
						'Arbutus' => 'Arbutus',
						'Arbutus Slab' => 'Arbutus Slab',
						'Architects Daughter' => 'Architects Daughter',
						'Archivo Black' => 'Archivo Black',
						'Archivo Narrow' => 'Archivo Narrow',
						'Arimo' => 'Arimo',
						'Arizonia' => 'Arizonia',
						'Armata' => 'Armata',
						'Artifika' => 'Artifika',
						'Arvo' => 'Arvo',
						'Asap' => 'Asap',
						'Asset' => 'Asset',
						'Astloch' => 'Astloch',
						'Asul' => 'Asul',
						'Atomic Age' => 'Atomic Age',
						'Aubrey' => 'Aubrey',
						'Audiowide' => 'Audiowide',
						'Autour One' => 'Autour One',
						'Average' => 'Average',
						'Average Sans' => 'Average Sans',
						'Averia Gruesa Libre' => 'Averia Gruesa Libre',
						'Averia Libre' => 'Averia Libre',
						'Averia Sans Libre' => 'Averia Sans Libre',
						'Averia Serif Libre' => 'Averia Serif Libre',
						'Bad Script' => 'Bad Script',
						'Balthazar' => 'Balthazar',
						'Bangers' => 'Bangers',
						'Basic' => 'Basic',
						'Battambang' => 'Battambang',
						'Baumans' => 'Baumans',
						'Bayon' => 'Bayon',
						'Belgrano' => 'Belgrano',
						'Belleza' => 'Belleza',
						'BenchNine' => 'BenchNine',
						'Bentham' => 'Bentham',
						'Berkshire Swash' => 'Berkshire Swash',
						'Bevan' => 'Bevan',
						'Bigelow Rules' => 'Bigelow Rules',
						'Bigshot One' => 'Bigshot One',
						'Bilbo' => 'Bilbo',
						'Bilbo Swash Caps' => 'Bilbo Swash Caps',
						'Bitter' => 'Bitter',
						'Black Ops One' => 'Black Ops One',
						'Bokor' => 'Bokor',
						'Bonbon' => 'Bonbon',
						'Boogaloo' => 'Boogaloo',
						'Bowlby One' => 'Bowlby One',
						'Bowlby One SC' => 'Bowlby One SC',
						'Brawler' => 'Brawler',
						'Bree Serif' => 'Bree Serif',
						'Bubblegum Sans' => 'Bubblegum Sans',
						'Bubbler One' => 'Bubbler One',
						'Buda' => 'Buda',
						'Buenard' => 'Buenard',
						'Butcherman' => 'Butcherman',
						'Butterfly Kids' => 'Butterfly Kids',
						'Cabin' => 'Cabin',
						'Cabin Condensed' => 'Cabin Condensed',
						'Cabin Sketch' => 'Cabin Sketch',
						'Caesar Dressing' => 'Caesar Dressing',
						'Cagliostro' => 'Cagliostro',
						'Calligraffitti' => 'Calligraffitti',
						'Cambo' => 'Cambo',
						'Candal' => 'Candal',
						'Cantarell' => 'Cantarell',
						'Cantata One' => 'Cantata One',
						'Cantora One' => 'Cantora One',
						'Capriola' => 'Capriola',
						'Cardo' => 'Cardo',
						'Carme' => 'Carme',
						'Carrois Gothic' => 'Carrois Gothic',
						'Carrois Gothic SC' => 'Carrois Gothic SC',
						'Carter One' => 'Carter One',
						'Caudex' => 'Caudex',
						'Cedarville Cursive' => 'Cedarville Cursive',
						'Ceviche One' => 'Ceviche One',
						'Changa One' => 'Changa One',
						'Chango' => 'Chango',
						'Chau Philomene One' => 'Chau Philomene One',
						'Chela One' => 'Chela One',
						'Chelsea Market' => 'Chelsea Market',
						'Chenla' => 'Chenla',
						'Cherry Cream Soda' => 'Cherry Cream Soda',
						'Cherry Swash' => 'Cherry Swash',
						'Chewy' => 'Chewy',
						'Chicle' => 'Chicle',
						'Chivo' => 'Chivo',
						'Cinzel' => 'Cinzel',
						'Cinzel Decorative' => 'Cinzel Decorative',
						'Clicker Script' => 'Clicker Script',
						'Coda' => 'Coda',
						'Coda Caption' => 'Coda Caption',
						'Codystar' => 'Codystar',
						'Combo' => 'Combo',
						'Comfortaa' => 'Comfortaa',
						'Coming Soon' => 'Coming Soon',
						'Concert One' => 'Concert One',
						'Condiment' => 'Condiment',
						'Content' => 'Content',
						'Contrail One' => 'Contrail One',
						'Convergence' => 'Convergence',
						'Cookie' => 'Cookie',
						'Copse' => 'Copse',
						'Corben' => 'Corben',
						'Courgette' => 'Courgette',
						'Cousine' => 'Cousine',
						'Coustard' => 'Coustard',
						'Covered By Your Grace' => 'Covered By Your Grace',
						'Crafty Girls' => 'Crafty Girls',
						'Creepster' => 'Creepster',
						'Crete Round' => 'Crete Round',
						'Crimson Text' => 'Crimson Text',
						'Croissant One' => 'Croissant One',
						'Crushed' => 'Crushed',
						'Cuprum' => 'Cuprum',
						'Cutive' => 'Cutive',
						'Cutive Mono' => 'Cutive Mono',
						'Damion' => 'Damion',
						'Dancing Script' => 'Dancing Script',
						'Dangrek' => 'Dangrek',
						'Dawning of a New Day' => 'Dawning of a New Day',
						'Days One' => 'Days One',
						'Delius' => 'Delius',
						'Delius Swash Caps' => 'Delius Swash Caps',
						'Delius Unicase' => 'Delius Unicase',
						'Della Respira' => 'Della Respira',
						'Denk One' => 'Denk One',
						'Devonshire' => 'Devonshire',
						'Didact Gothic' => 'Didact Gothic',
						'Diplomata' => 'Diplomata',
						'Diplomata SC' => 'Diplomata SC',
						'Domine' => 'Domine',
						'Donegal One' => 'Donegal One',
						'Doppio One' => 'Doppio One',
						'Dorsa' => 'Dorsa',
						'Dosis' => 'Dosis',
						'Dr Sugiyama' => 'Dr Sugiyama',
						'Droid Sans' => 'Droid Sans',
						'Droid Sans Mono' => 'Droid Sans Mono',
						'Droid Serif' => 'Droid Serif',
						'Duru Sans' => 'Duru Sans',
						'Dynalight' => 'Dynalight',
						'EB Garamond' => 'EB Garamond',
						'Eagle Lake' => 'Eagle Lake',
						'Eater' => 'Eater',
						'Economica' => 'Economica',
						'Electrolize' => 'Electrolize',
						'Elsie' => 'Elsie',
						'Elsie Swash Caps' => 'Elsie Swash Caps',
						'Emblema One' => 'Emblema One',
						'Emilys Candy' => 'Emilys Candy',
						'Engagement' => 'Engagement',
						'Englebert' => 'Englebert',
						'Enriqueta' => 'Enriqueta',
						'Erica One' => 'Erica One',
						'Esteban' => 'Esteban',
						'Euphoria Script' => 'Euphoria Script',
						'Ewert' => 'Ewert',
						'Exo' => 'Exo',
						'Exo 2' => 'Exo 2',
						'Expletus Sans' => 'Expletus Sans',
						'Fanwood Text' => 'Fanwood Text',
						'Fascinate' => 'Fascinate',
						'Fascinate Inline' => 'Fascinate Inline',
						'Faster One' => 'Faster One',
						'Fasthand' => 'Fasthand',
						'Fauna One' => 'Fauna One',
						'Federant' => 'Federant',
						'Federo' => 'Federo',
						'Felipa' => 'Felipa',
						'Fenix' => 'Fenix',
						'Finger Paint' => 'Finger Paint',
						'Fjalla One' => 'Fjalla One',
						'Fjord One' => 'Fjord One',
						'Flamenco' => 'Flamenco',
						'Flavors' => 'Flavors',
						'Fondamento' => 'Fondamento',
						'Fontdiner Swanky' => 'Fontdiner Swanky',
						'Forum' => 'Forum',
						'Francois One' => 'Francois One',
						'Freckle Face' => 'Freckle Face',
						'Fredericka the Great' => 'Fredericka the Great',
						'Fredoka One' => 'Fredoka One',
						'Freehand' => 'Freehand',
						'Fresca' => 'Fresca',
						'Frijole' => 'Frijole',
						'Fruktur' => 'Fruktur',
						'Fugaz One' => 'Fugaz One',
						'GFS Didot' => 'GFS Didot',
						'GFS Neohellenic' => 'GFS Neohellenic',
						'Gabriela' => 'Gabriela',
						'Gafata' => 'Gafata',
						'Galdeano' => 'Galdeano',
						'Galindo' => 'Galindo',
						'Gentium Basic' => 'Gentium Basic',
						'Gentium Book Basic' => 'Gentium Book Basic',
						'Geo' => 'Geo',
						'Geostar' => 'Geostar',
						'Geostar Fill' => 'Geostar Fill',
						'Germania One' => 'Germania One',
						'Gilda Display' => 'Gilda Display',
						'Give You Glory' => 'Give You Glory',
						'Glass Antiqua' => 'Glass Antiqua',
						'Glegoo' => 'Glegoo',
						'Gloria Hallelujah' => 'Gloria Hallelujah',
						'Goblin One' => 'Goblin One',
						'Gochi Hand' => 'Gochi Hand',
						'Gorditas' => 'Gorditas',
						'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
						'Graduate' => 'Graduate',
						'Grand Hotel' => 'Grand Hotel',
						'Gravitas One' => 'Gravitas One',
						'Great Vibes' => 'Great Vibes',
						'Griffy' => 'Griffy',
						'Gruppo' => 'Gruppo',
						'Gudea' => 'Gudea',
						'Habibi' => 'Habibi',
						'Hammersmith One' => 'Hammersmith One',
						'Hanalei' => 'Hanalei',
						'Hanalei Fill' => 'Hanalei Fill',
						'Handlee' => 'Handlee',
						'Hanuman' => 'Hanuman',
						'Happy Monkey' => 'Happy Monkey',
						'Headland One' => 'Headland One',
						'Henny Penny' => 'Henny Penny',
						'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
						'Holtwood One SC' => 'Holtwood One SC',
						'Homemade Apple' => 'Homemade Apple',
						'Homenaje' => 'Homenaje',
						'IM Fell DW Pica' => 'IM Fell DW Pica',
						'IM Fell DW Pica SC' => 'IM Fell DW Pica SC',
						'IM Fell Double Pica' => 'IM Fell Double Pica',
						'IM Fell Double Pica SC' => 'IM Fell Double Pica SC',
						'IM Fell English' => 'IM Fell English',
						'IM Fell English SC' => 'IM Fell English SC',
						'IM Fell French Canon' => 'IM Fell French Canon',
						'IM Fell French Canon SC' => 'IM Fell French Canon SC',
						'IM Fell Great Primer' => 'IM Fell Great Primer',
						'IM Fell Great Primer SC' => 'IM Fell Great Primer SC',
						'Iceberg' => 'Iceberg',
						'Iceland' => 'Iceland',
						'Imprima' => 'Imprima',
						'Inconsolata' => 'Inconsolata',
						'Inder' => 'Inder',
						'Indie Flower' => 'Indie Flower',
						'Inika' => 'Inika',
						'Irish Grover' => 'Irish Grover',
						'Istok Web' => 'Istok Web',
						'Italiana' => 'Italiana',
						'Italianno' => 'Italianno',
						'Jacques Francois' => 'Jacques Francois',
						'Jacques Francois Shadow' => 'Jacques Francois Shadow',
						'Jim Nightshade' => 'Jim Nightshade',
						'Jockey One' => 'Jockey One',
						'Jolly Lodger' => 'Jolly Lodger',
						'Josefin Sans' => 'Josefin Sans',
						'Josefin Slab' => 'Josefin Slab',
						'Joti One' => 'Joti One',
						'Judson' => 'Judson',
						'Julee' => 'Julee',
						'Julius Sans One' => 'Julius Sans One',
						'Junge' => 'Junge',
						'Jura' => 'Jura',
						'Just Another Hand' => 'Just Another Hand',
						'Just Me Again Down Here' => 'Just Me Again Down Here',
						'Kameron' => 'Kameron',
						'Kantumruy' => 'Kantumruy',
						'Karla' => 'Karla',
						'Kaushan Script' => 'Kaushan Script',
						'Kavoon' => 'Kavoon',
						'Kdam Thmor' => 'Kdam Thmor',
						'Keania One' => 'Keania One',
						'Kelly Slab' => 'Kelly Slab',
						'Kenia' => 'Kenia',
						'Khmer' => 'Khmer',
						'Kite One' => 'Kite One',
						'Knewave' => 'Knewave',
						'Kotta One' => 'Kotta One',
						'Koulen' => 'Koulen',
						'Kranky' => 'Kranky',
						'Kreon' => 'Kreon',
						'Kristi' => 'Kristi',
						'Krona One' => 'Krona One',
						'La Belle Aurore' => 'La Belle Aurore',
						'Lancelot' => 'Lancelot',
						'Lato' => 'Lato',
						'League Script' => 'League Script',
						'Leckerli One' => 'Leckerli One',
						'Ledger' => 'Ledger',
						'Lekton' => 'Lekton',
						'Lemon' => 'Lemon',
						'Libre Baskerville' => 'Libre Baskerville',
						'Life Savers' => 'Life Savers',
						'Lilita One' => 'Lilita One',
						'Lily Script One' => 'Lily Script One',
						'Limelight' => 'Limelight',
						'Linden Hill' => 'Linden Hill',
						'Lobster' => 'Lobster',
						'Lobster Two' => 'Lobster Two',
						'Londrina Outline' => 'Londrina Outline',
						'Londrina Shadow' => 'Londrina Shadow',
						'Londrina Sketch' => 'Londrina Sketch',
						'Londrina Solid' => 'Londrina Solid',
						'Lora' => 'Lora',
						'Love Ya Like A Sister' => 'Love Ya Like A Sister',
						'Loved by the King' => 'Loved by the King',
						'Lovers Quarrel' => 'Lovers Quarrel',
						'Luckiest Guy' => 'Luckiest Guy',
						'Lusitana' => 'Lusitana',
						'Lustria' => 'Lustria',
						'Macondo' => 'Macondo',
						'Macondo Swash Caps' => 'Macondo Swash Caps',
						'Magra' => 'Magra',
						'Maiden Orange' => 'Maiden Orange',
						'Mako' => 'Mako',
						'Marcellus' => 'Marcellus',
						'Marcellus SC' => 'Marcellus SC',
						'Marck Script' => 'Marck Script',
						'Margarine' => 'Margarine',
						'Marko One' => 'Marko One',
						'Marmelad' => 'Marmelad',
						'Marvel' => 'Marvel',
						'Mate' => 'Mate',
						'Mate SC' => 'Mate SC',
						'Maven Pro' => 'Maven Pro',
						'McLaren' => 'McLaren',
						'Meddon' => 'Meddon',
						'MedievalSharp' => 'MedievalSharp',
						'Medula One' => 'Medula One',
						'Megrim' => 'Megrim',
						'Meie Script' => 'Meie Script',
						'Merienda' => 'Merienda',
						'Merienda One' => 'Merienda One',
						'Merriweather' => 'Merriweather',
						'Merriweather Sans' => 'Merriweather Sans',
						'Metal' => 'Metal',
						'Metal Mania' => 'Metal Mania',
						'Metamorphous' => 'Metamorphous',
						'Metrophobic' => 'Metrophobic',
						'Michroma' => 'Michroma',
						'Milonga' => 'Milonga',
						'Miltonian' => 'Miltonian',
						'Miltonian Tattoo' => 'Miltonian Tattoo',
						'Miniver' => 'Miniver',
						'Miss Fajardose' => 'Miss Fajardose',
						'Modern Antiqua' => 'Modern Antiqua',
						'Molengo' => 'Molengo',
						'Molle' => 'Molle',
						'Monda' => 'Monda',
						'Monofett' => 'Monofett',
						'Monoton' => 'Monoton',
						'Monsieur La Doulaise' => 'Monsieur La Doulaise',
						'Montaga' => 'Montaga',
						'Montez' => 'Montez',
						'Montserrat' => 'Montserrat',
						'Montserrat Alternates' => 'Montserrat Alternates',
						'Montserrat Subrayada' => 'Montserrat Subrayada',
						'Moul' => 'Moul',
						'Moulpali' => 'Moulpali',
						'Mountains of Christmas' => 'Mountains of Christmas',
						'Mouse Memoirs' => 'Mouse Memoirs',
						'Mr Bedfort' => 'Mr Bedfort',
						'Mr Dafoe' => 'Mr Dafoe',
						'Mr De Haviland' => 'Mr De Haviland',
						'Mrs Saint Delafield' => 'Mrs Saint Delafield',
						'Mrs Sheppards' => 'Mrs Sheppards',
						'Muli' => 'Muli',
						'Mystery Quest' => 'Mystery Quest',
						'Neucha' => 'Neucha',
						'Neuton' => 'Neuton',
						'New Rocker' => 'New Rocker',
						'News Cycle' => 'News Cycle',
						'Niconne' => 'Niconne',
						'Nixie One' => 'Nixie One',
						'Nobile' => 'Nobile',
						'Nokora' => 'Nokora',
						'Norican' => 'Norican',
						'Nosifer' => 'Nosifer',
						'Nothing You Could Do' => 'Nothing You Could Do',
						'Noticia Text' => 'Noticia Text',
						'Noto Sans' => 'Noto Sans',
						'Noto Serif' => 'Noto Serif',
						'Nova Cut' => 'Nova Cut',
						'Nova Flat' => 'Nova Flat',
						'Nova Mono' => 'Nova Mono',
						'Nova Oval' => 'Nova Oval',
						'Nova Round' => 'Nova Round',
						'Nova Script' => 'Nova Script',
						'Nova Slim' => 'Nova Slim',
						'Nova Square' => 'Nova Square',
						'Numans' => 'Numans',
						'Nunito' => 'Nunito',
						'Odor Mean Chey' => 'Odor Mean Chey',
						'Offside' => 'Offside',
						'Old Standard TT' => 'Old Standard TT',
						'Oldenburg' => 'Oldenburg',
						'Oleo Script' => 'Oleo Script',
						'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
						'Open Sans' => 'Open Sans',
						'Open Sans Condensed' => 'Open Sans Condensed',
						'Oranienbaum' => 'Oranienbaum',
						'Orbitron' => 'Orbitron',
						'Oregano' => 'Oregano',
						'Orienta' => 'Orienta',
						'Original Surfer' => 'Original Surfer',
						'Oswald' => 'Oswald',
						'Over the Rainbow' => 'Over the Rainbow',
						'Overlock' => 'Overlock',
						'Overlock SC' => 'Overlock SC',
						'Ovo' => 'Ovo',
						'Oxygen' => 'Oxygen',
						'Oxygen Mono' => 'Oxygen Mono',
						'PT Mono' => 'PT Mono',
						'PT Sans' => 'PT Sans',
						'PT Sans Caption' => 'PT Sans Caption',
						'PT Sans Narrow' => 'PT Sans Narrow',
						'PT Serif' => 'PT Serif',
						'PT Serif Caption' => 'PT Serif Caption',
						'Pacifico' => 'Pacifico',
						'Paprika' => 'Paprika',
						'Parisienne' => 'Parisienne',
						'Passero One' => 'Passero One',
						'Passion One' => 'Passion One',
						'Pathway Gothic One' => 'Pathway Gothic One',
						'Patrick Hand' => 'Patrick Hand',
						'Patrick Hand SC' => 'Patrick Hand SC',
						'Patua One' => 'Patua One',
						'Paytone One' => 'Paytone One',
						'Peralta' => 'Peralta',
						'Permanent Marker' => 'Permanent Marker',
						'Petit Formal Script' => 'Petit Formal Script',
						'Petrona' => 'Petrona',
						'Philosopher' => 'Philosopher',
						'Piedra' => 'Piedra',
						'Pinyon Script' => 'Pinyon Script',
						'Pirata One' => 'Pirata One',
						'Plaster' => 'Plaster',
						'Play' => 'Play',
						'Playball' => 'Playball',
						'Playfair Display' => 'Playfair Display',
						'Playfair Display SC' => 'Playfair Display SC',
						'Podkova' => 'Podkova',
						'Poiret One' => 'Poiret One',
						'Poller One' => 'Poller One',
						'Poly' => 'Poly',
						'Pompiere' => 'Pompiere',
						'Pontano Sans' => 'Pontano Sans',
						'Port Lligat Sans' => 'Port Lligat Sans',
						'Port Lligat Slab' => 'Port Lligat Slab',
						'Prata' => 'Prata',
						'Preahvihear' => 'Preahvihear',
						'Press Start 2P' => 'Press Start 2P',
						'Princess Sofia' => 'Princess Sofia',
						'Prociono' => 'Prociono',
						'Prosto One' => 'Prosto One',
						'Puritan' => 'Puritan',
						'Purple Purse' => 'Purple Purse',
						'Quando' => 'Quando',
						'Quantico' => 'Quantico',
						'Quattrocento' => 'Quattrocento',
						'Quattrocento Sans' => 'Quattrocento Sans',
						'Questrial' => 'Questrial',
						'Quicksand' => 'Quicksand',
						'Quintessential' => 'Quintessential',
						'Qwigley' => 'Qwigley',
						'Racing Sans One' => 'Racing Sans One',
						'Radley' => 'Radley',
						'Raleway' => 'Raleway',
						'Raleway Dots' => 'Raleway Dots',
						'Rambla' => 'Rambla',
						'Rammetto One' => 'Rammetto One',
						'Ranchers' => 'Ranchers',
						'Rancho' => 'Rancho',
						'Rationale' => 'Rationale',
						'Redressed' => 'Redressed',
						'Reenie Beanie' => 'Reenie Beanie',
						'Revalia' => 'Revalia',
						'Ribeye' => 'Ribeye',
						'Ribeye Marrow' => 'Ribeye Marrow',
						'Righteous' => 'Righteous',
						'Risque' => 'Risque',
						'Roboto' => 'Roboto',
						'Roboto Condensed' => 'Roboto Condensed',
						'Roboto Slab' => 'Roboto Slab',
						'Rochester' => 'Rochester',
						'Rock Salt' => 'Rock Salt',
						'Rokkitt' => 'Rokkitt',
						'Romanesco' => 'Romanesco',
						'Ropa Sans' => 'Ropa Sans',
						'Rosario' => 'Rosario',
						'Rosarivo' => 'Rosarivo',
						'Rouge Script' => 'Rouge Script',
						'Ruda' => 'Ruda',
						'Rufina' => 'Rufina',
						'Ruge Boogie' => 'Ruge Boogie',
						'Ruluko' => 'Ruluko',
						'Rum Raisin' => 'Rum Raisin',
						'Ruslan Display' => 'Ruslan Display',
						'Russo One' => 'Russo One',
						'Ruthie' => 'Ruthie',
						'Rye' => 'Rye',
						'Sacramento' => 'Sacramento',
						'Sail' => 'Sail',
						'Salsa' => 'Salsa',
						'Sanchez' => 'Sanchez',
						'Sancreek' => 'Sancreek',
						'Sansita One' => 'Sansita One',
						'Sarina' => 'Sarina',
						'Satisfy' => 'Satisfy',
						'Scada' => 'Scada',
						'Schoolbell' => 'Schoolbell',
						'Seaweed Script' => 'Seaweed Script',
						'Sevillana' => 'Sevillana',
						'Seymour One' => 'Seymour One',
						'Shadows Into Light' => 'Shadows Into Light',
						'Shadows Into Light Two' => 'Shadows Into Light Two',
						'Shanti' => 'Shanti',
						'Share' => 'Share',
						'Share Tech' => 'Share Tech',
						'Share Tech Mono' => 'Share Tech Mono',
						'Shojumaru' => 'Shojumaru',
						'Short Stack' => 'Short Stack',
						'Siemreap' => 'Siemreap',
						'Sigmar One' => 'Sigmar One',
						'Signika' => 'Signika',
						'Signika Negative' => 'Signika Negative',
						'Simonetta' => 'Simonetta',
						'Sintony' => 'Sintony',
						'Sirin Stencil' => 'Sirin Stencil',
						'Six Caps' => 'Six Caps',
						'Skranji' => 'Skranji',
						'Slackey' => 'Slackey',
						'Smokum' => 'Smokum',
						'Smythe' => 'Smythe',
						'Sniglet' => 'Sniglet',
						'Snippet' => 'Snippet',
						'Snowburst One' => 'Snowburst One',
						'Sofadi One' => 'Sofadi One',
						'Sofia' => 'Sofia',
						'Sonsie One' => 'Sonsie One',
						'Sorts Mill Goudy' => 'Sorts Mill Goudy',
						'Source Code Pro' => 'Source Code Pro',
						'Source Sans Pro' => 'Source Sans Pro',
						'Special Elite' => 'Special Elite',
						'Spicy Rice' => 'Spicy Rice',
						'Spinnaker' => 'Spinnaker',
						'Spirax' => 'Spirax',
						'Squada One' => 'Squada One',
						'Stalemate' => 'Stalemate',
						'Stalinist One' => 'Stalinist One',
						'Stardos Stencil' => 'Stardos Stencil',
						'Stint Ultra Condensed' => 'Stint Ultra Condensed',
						'Stint Ultra Expanded' => 'Stint Ultra Expanded',
						'Stoke' => 'Stoke',
						'Strait' => 'Strait',
						'Sue Ellen Francisco' => 'Sue Ellen Francisco',
						'Sunshiney' => 'Sunshiney',
						'Supermercado One' => 'Supermercado One',
						'Suwannaphum' => 'Suwannaphum',
						'Swanky and Moo Moo' => 'Swanky and Moo Moo',
						'Syncopate' => 'Syncopate',
						'Tangerine' => 'Tangerine',
						'Taprom' => 'Taprom',
						'Tauri' => 'Tauri',
						'Telex' => 'Telex',
						'Tenor Sans' => 'Tenor Sans',
						'Text Me One' => 'Text Me One',
						'The Girl Next Door' => 'The Girl Next Door',
						'Tienne' => 'Tienne',
						'Tinos' => 'Tinos',
						'Titan One' => 'Titan One',
						'Titillium Web' => 'Titillium Web',
						'Trade Winds' => 'Trade Winds',
						'Trocchi' => 'Trocchi',
						'Trochut' => 'Trochut',
						'Trykker' => 'Trykker',
						'Tulpen One' => 'Tulpen One',
						'Ubuntu' => 'Ubuntu',
						'Ubuntu Condensed' => 'Ubuntu Condensed',
						'Ubuntu Mono' => 'Ubuntu Mono',
						'Ultra' => 'Ultra',
						'Uncial Antiqua' => 'Uncial Antiqua',
						'Underdog' => 'Underdog',
						'Unica One' => 'Unica One',
						'UnifrakturCook' => 'UnifrakturCook',
						'UnifrakturMaguntia' => 'UnifrakturMaguntia',
						'Unkempt' => 'Unkempt',
						'Unlock' => 'Unlock',
						'Unna' => 'Unna',
						'VT323' => 'VT323',
						'Vampiro One' => 'Vampiro One',
						'Varela' => 'Varela',
						'Varela Round' => 'Varela Round',
						'Vast Shadow' => 'Vast Shadow',
						'Vibur' => 'Vibur',
						'Vidaloka' => 'Vidaloka',
						'Viga' => 'Viga',
						'Voces' => 'Voces',
						'Volkhov' => 'Volkhov',
						'Vollkorn' => 'Vollkorn',
						'Voltaire' => 'Voltaire',
						'Waiting for the Sunrise' => 'Waiting for the Sunrise',
						'Wallpoet' => 'Wallpoet',
						'Walter Turncoat' => 'Walter Turncoat',
						'Warnes' => 'Warnes',
						'Wellfleet' => 'Wellfleet',
						'Wendy One' => 'Wendy One',
						'Wire One' => 'Wire One',
						'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
						'Yellowtail' => 'Yellowtail',
						'Yeseva One' => 'Yeseva One',
						'Yesteryear' => 'Yesteryear',
						'Zeyada' => 'Zeyada',
					),
					'title' => 'Select Heading Font',
					'default' => 'Select Font',
				),
				array (
					'desc' => 'Select a font family for footer headings',
					'id' => 'custom_footer_family',
					'type' => 'select',
					'options' => array (
						0 => 'Select Font',
						'ABeeZee' => 'ABeeZee',
						'Abel' => 'Abel',
						'Abril Fatface' => 'Abril Fatface',
						'Aclonica' => 'Aclonica',
						'Acme' => 'Acme',
						'Actor' => 'Actor',
						'Adamina' => 'Adamina',
						'Advent Pro' => 'Advent Pro',
						'Aguafina Script' => 'Aguafina Script',
						'Akronim' => 'Akronim',
						'Aladin' => 'Aladin',
						'Aldrich' => 'Aldrich',
						'Alef' => 'Alef',
						'Alegreya' => 'Alegreya',
						'Alegreya SC' => 'Alegreya SC',
						'Alegreya Sans' => 'Alegreya Sans',
						'Alegreya Sans SC' => 'Alegreya Sans SC',
						'Alex Brush' => 'Alex Brush',
						'Alfa Slab One' => 'Alfa Slab One',
						'Alice' => 'Alice',
						'Alike' => 'Alike',
						'Alike Angular' => 'Alike Angular',
						'Allan' => 'Allan',
						'Allerta' => 'Allerta',
						'Allerta Stencil' => 'Allerta Stencil',
						'Allura' => 'Allura',
						'Almendra' => 'Almendra',
						'Almendra Display' => 'Almendra Display',
						'Almendra SC' => 'Almendra SC',
						'Amarante' => 'Amarante',
						'Amaranth' => 'Amaranth',
						'Amatic SC' => 'Amatic SC',
						'Amethysta' => 'Amethysta',
						'Anaheim' => 'Anaheim',
						'Andada' => 'Andada',
						'Andika' => 'Andika',
						'Angkor' => 'Angkor',
						'Annie Use Your Telescope' => 'Annie Use Your Telescope',
						'Anonymous Pro' => 'Anonymous Pro',
						'Antic' => 'Antic',
						'Antic Didone' => 'Antic Didone',
						'Antic Slab' => 'Antic Slab',
						'Anton' => 'Anton',
						'Arapey' => 'Arapey',
						'Arbutus' => 'Arbutus',
						'Arbutus Slab' => 'Arbutus Slab',
						'Architects Daughter' => 'Architects Daughter',
						'Archivo Black' => 'Archivo Black',
						'Archivo Narrow' => 'Archivo Narrow',
						'Arimo' => 'Arimo',
						'Arizonia' => 'Arizonia',
						'Armata' => 'Armata',
						'Artifika' => 'Artifika',
						'Arvo' => 'Arvo',
						'Asap' => 'Asap',
						'Asset' => 'Asset',
						'Astloch' => 'Astloch',
						'Asul' => 'Asul',
						'Atomic Age' => 'Atomic Age',
						'Aubrey' => 'Aubrey',
						'Audiowide' => 'Audiowide',
						'Autour One' => 'Autour One',
						'Average' => 'Average',
						'Average Sans' => 'Average Sans',
						'Averia Gruesa Libre' => 'Averia Gruesa Libre',
						'Averia Libre' => 'Averia Libre',
						'Averia Sans Libre' => 'Averia Sans Libre',
						'Averia Serif Libre' => 'Averia Serif Libre',
						'Bad Script' => 'Bad Script',
						'Balthazar' => 'Balthazar',
						'Bangers' => 'Bangers',
						'Basic' => 'Basic',
						'Battambang' => 'Battambang',
						'Baumans' => 'Baumans',
						'Bayon' => 'Bayon',
						'Belgrano' => 'Belgrano',
						'Belleza' => 'Belleza',
						'BenchNine' => 'BenchNine',
						'Bentham' => 'Bentham',
						'Berkshire Swash' => 'Berkshire Swash',
						'Bevan' => 'Bevan',
						'Bigelow Rules' => 'Bigelow Rules',
						'Bigshot One' => 'Bigshot One',
						'Bilbo' => 'Bilbo',
						'Bilbo Swash Caps' => 'Bilbo Swash Caps',
						'Bitter' => 'Bitter',
						'Black Ops One' => 'Black Ops One',
						'Bokor' => 'Bokor',
						'Bonbon' => 'Bonbon',
						'Boogaloo' => 'Boogaloo',
						'Bowlby One' => 'Bowlby One',
						'Bowlby One SC' => 'Bowlby One SC',
						'Brawler' => 'Brawler',
						'Bree Serif' => 'Bree Serif',
						'Bubblegum Sans' => 'Bubblegum Sans',
						'Bubbler One' => 'Bubbler One',
						'Buda' => 'Buda',
						'Buenard' => 'Buenard',
						'Butcherman' => 'Butcherman',
						'Butterfly Kids' => 'Butterfly Kids',
						'Cabin' => 'Cabin',
						'Cabin Condensed' => 'Cabin Condensed',
						'Cabin Sketch' => 'Cabin Sketch',
						'Caesar Dressing' => 'Caesar Dressing',
						'Cagliostro' => 'Cagliostro',
						'Calligraffitti' => 'Calligraffitti',
						'Cambo' => 'Cambo',
						'Candal' => 'Candal',
						'Cantarell' => 'Cantarell',
						'Cantata One' => 'Cantata One',
						'Cantora One' => 'Cantora One',
						'Capriola' => 'Capriola',
						'Cardo' => 'Cardo',
						'Carme' => 'Carme',
						'Carrois Gothic' => 'Carrois Gothic',
						'Carrois Gothic SC' => 'Carrois Gothic SC',
						'Carter One' => 'Carter One',
						'Caudex' => 'Caudex',
						'Cedarville Cursive' => 'Cedarville Cursive',
						'Ceviche One' => 'Ceviche One',
						'Changa One' => 'Changa One',
						'Chango' => 'Chango',
						'Chau Philomene One' => 'Chau Philomene One',
						'Chela One' => 'Chela One',
						'Chelsea Market' => 'Chelsea Market',
						'Chenla' => 'Chenla',
						'Cherry Cream Soda' => 'Cherry Cream Soda',
						'Cherry Swash' => 'Cherry Swash',
						'Chewy' => 'Chewy',
						'Chicle' => 'Chicle',
						'Chivo' => 'Chivo',
						'Cinzel' => 'Cinzel',
						'Cinzel Decorative' => 'Cinzel Decorative',
						'Clicker Script' => 'Clicker Script',
						'Coda' => 'Coda',
						'Coda Caption' => 'Coda Caption',
						'Codystar' => 'Codystar',
						'Combo' => 'Combo',
						'Comfortaa' => 'Comfortaa',
						'Coming Soon' => 'Coming Soon',
						'Concert One' => 'Concert One',
						'Condiment' => 'Condiment',
						'Content' => 'Content',
						'Contrail One' => 'Contrail One',
						'Convergence' => 'Convergence',
						'Cookie' => 'Cookie',
						'Copse' => 'Copse',
						'Corben' => 'Corben',
						'Courgette' => 'Courgette',
						'Cousine' => 'Cousine',
						'Coustard' => 'Coustard',
						'Covered By Your Grace' => 'Covered By Your Grace',
						'Crafty Girls' => 'Crafty Girls',
						'Creepster' => 'Creepster',
						'Crete Round' => 'Crete Round',
						'Crimson Text' => 'Crimson Text',
						'Croissant One' => 'Croissant One',
						'Crushed' => 'Crushed',
						'Cuprum' => 'Cuprum',
						'Cutive' => 'Cutive',
						'Cutive Mono' => 'Cutive Mono',
						'Damion' => 'Damion',
						'Dancing Script' => 'Dancing Script',
						'Dangrek' => 'Dangrek',
						'Dawning of a New Day' => 'Dawning of a New Day',
						'Days One' => 'Days One',
						'Delius' => 'Delius',
						'Delius Swash Caps' => 'Delius Swash Caps',
						'Delius Unicase' => 'Delius Unicase',
						'Della Respira' => 'Della Respira',
						'Denk One' => 'Denk One',
						'Devonshire' => 'Devonshire',
						'Didact Gothic' => 'Didact Gothic',
						'Diplomata' => 'Diplomata',
						'Diplomata SC' => 'Diplomata SC',
						'Domine' => 'Domine',
						'Donegal One' => 'Donegal One',
						'Doppio One' => 'Doppio One',
						'Dorsa' => 'Dorsa',
						'Dosis' => 'Dosis',
						'Dr Sugiyama' => 'Dr Sugiyama',
						'Droid Sans' => 'Droid Sans',
						'Droid Sans Mono' => 'Droid Sans Mono',
						'Droid Serif' => 'Droid Serif',
						'Duru Sans' => 'Duru Sans',
						'Dynalight' => 'Dynalight',
						'EB Garamond' => 'EB Garamond',
						'Eagle Lake' => 'Eagle Lake',
						'Eater' => 'Eater',
						'Economica' => 'Economica',
						'Electrolize' => 'Electrolize',
						'Elsie' => 'Elsie',
						'Elsie Swash Caps' => 'Elsie Swash Caps',
						'Emblema One' => 'Emblema One',
						'Emilys Candy' => 'Emilys Candy',
						'Engagement' => 'Engagement',
						'Englebert' => 'Englebert',
						'Enriqueta' => 'Enriqueta',
						'Erica One' => 'Erica One',
						'Esteban' => 'Esteban',
						'Euphoria Script' => 'Euphoria Script',
						'Ewert' => 'Ewert',
						'Exo' => 'Exo',
						'Exo 2' => 'Exo 2',
						'Expletus Sans' => 'Expletus Sans',
						'Fanwood Text' => 'Fanwood Text',
						'Fascinate' => 'Fascinate',
						'Fascinate Inline' => 'Fascinate Inline',
						'Faster One' => 'Faster One',
						'Fasthand' => 'Fasthand',
						'Fauna One' => 'Fauna One',
						'Federant' => 'Federant',
						'Federo' => 'Federo',
						'Felipa' => 'Felipa',
						'Fenix' => 'Fenix',
						'Finger Paint' => 'Finger Paint',
						'Fjalla One' => 'Fjalla One',
						'Fjord One' => 'Fjord One',
						'Flamenco' => 'Flamenco',
						'Flavors' => 'Flavors',
						'Fondamento' => 'Fondamento',
						'Fontdiner Swanky' => 'Fontdiner Swanky',
						'Forum' => 'Forum',
						'Francois One' => 'Francois One',
						'Freckle Face' => 'Freckle Face',
						'Fredericka the Great' => 'Fredericka the Great',
						'Fredoka One' => 'Fredoka One',
						'Freehand' => 'Freehand',
						'Fresca' => 'Fresca',
						'Frijole' => 'Frijole',
						'Fruktur' => 'Fruktur',
						'Fugaz One' => 'Fugaz One',
						'GFS Didot' => 'GFS Didot',
						'GFS Neohellenic' => 'GFS Neohellenic',
						'Gabriela' => 'Gabriela',
						'Gafata' => 'Gafata',
						'Galdeano' => 'Galdeano',
						'Galindo' => 'Galindo',
						'Gentium Basic' => 'Gentium Basic',
						'Gentium Book Basic' => 'Gentium Book Basic',
						'Geo' => 'Geo',
						'Geostar' => 'Geostar',
						'Geostar Fill' => 'Geostar Fill',
						'Germania One' => 'Germania One',
						'Gilda Display' => 'Gilda Display',
						'Give You Glory' => 'Give You Glory',
						'Glass Antiqua' => 'Glass Antiqua',
						'Glegoo' => 'Glegoo',
						'Gloria Hallelujah' => 'Gloria Hallelujah',
						'Goblin One' => 'Goblin One',
						'Gochi Hand' => 'Gochi Hand',
						'Gorditas' => 'Gorditas',
						'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
						'Graduate' => 'Graduate',
						'Grand Hotel' => 'Grand Hotel',
						'Gravitas One' => 'Gravitas One',
						'Great Vibes' => 'Great Vibes',
						'Griffy' => 'Griffy',
						'Gruppo' => 'Gruppo',
						'Gudea' => 'Gudea',
						'Habibi' => 'Habibi',
						'Hammersmith One' => 'Hammersmith One',
						'Hanalei' => 'Hanalei',
						'Hanalei Fill' => 'Hanalei Fill',
						'Handlee' => 'Handlee',
						'Hanuman' => 'Hanuman',
						'Happy Monkey' => 'Happy Monkey',
						'Headland One' => 'Headland One',
						'Henny Penny' => 'Henny Penny',
						'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
						'Holtwood One SC' => 'Holtwood One SC',
						'Homemade Apple' => 'Homemade Apple',
						'Homenaje' => 'Homenaje',
						'IM Fell DW Pica' => 'IM Fell DW Pica',
						'IM Fell DW Pica SC' => 'IM Fell DW Pica SC',
						'IM Fell Double Pica' => 'IM Fell Double Pica',
						'IM Fell Double Pica SC' => 'IM Fell Double Pica SC',
						'IM Fell English' => 'IM Fell English',
						'IM Fell English SC' => 'IM Fell English SC',
						'IM Fell French Canon' => 'IM Fell French Canon',
						'IM Fell French Canon SC' => 'IM Fell French Canon SC',
						'IM Fell Great Primer' => 'IM Fell Great Primer',
						'IM Fell Great Primer SC' => 'IM Fell Great Primer SC',
						'Iceberg' => 'Iceberg',
						'Iceland' => 'Iceland',
						'Imprima' => 'Imprima',
						'Inconsolata' => 'Inconsolata',
						'Inder' => 'Inder',
						'Indie Flower' => 'Indie Flower',
						'Inika' => 'Inika',
						'Irish Grover' => 'Irish Grover',
						'Istok Web' => 'Istok Web',
						'Italiana' => 'Italiana',
						'Italianno' => 'Italianno',
						'Jacques Francois' => 'Jacques Francois',
						'Jacques Francois Shadow' => 'Jacques Francois Shadow',
						'Jim Nightshade' => 'Jim Nightshade',
						'Jockey One' => 'Jockey One',
						'Jolly Lodger' => 'Jolly Lodger',
						'Josefin Sans' => 'Josefin Sans',
						'Josefin Slab' => 'Josefin Slab',
						'Joti One' => 'Joti One',
						'Judson' => 'Judson',
						'Julee' => 'Julee',
						'Julius Sans One' => 'Julius Sans One',
						'Junge' => 'Junge',
						'Jura' => 'Jura',
						'Just Another Hand' => 'Just Another Hand',
						'Just Me Again Down Here' => 'Just Me Again Down Here',
						'Kameron' => 'Kameron',
						'Kantumruy' => 'Kantumruy',
						'Karla' => 'Karla',
						'Kaushan Script' => 'Kaushan Script',
						'Kavoon' => 'Kavoon',
						'Kdam Thmor' => 'Kdam Thmor',
						'Keania One' => 'Keania One',
						'Kelly Slab' => 'Kelly Slab',
						'Kenia' => 'Kenia',
						'Khmer' => 'Khmer',
						'Kite One' => 'Kite One',
						'Knewave' => 'Knewave',
						'Kotta One' => 'Kotta One',
						'Koulen' => 'Koulen',
						'Kranky' => 'Kranky',
						'Kreon' => 'Kreon',
						'Kristi' => 'Kristi',
						'Krona One' => 'Krona One',
						'La Belle Aurore' => 'La Belle Aurore',
						'Lancelot' => 'Lancelot',
						'Lato' => 'Lato',
						'League Script' => 'League Script',
						'Leckerli One' => 'Leckerli One',
						'Ledger' => 'Ledger',
						'Lekton' => 'Lekton',
						'Lemon' => 'Lemon',
						'Libre Baskerville' => 'Libre Baskerville',
						'Life Savers' => 'Life Savers',
						'Lilita One' => 'Lilita One',
						'Lily Script One' => 'Lily Script One',
						'Limelight' => 'Limelight',
						'Linden Hill' => 'Linden Hill',
						'Lobster' => 'Lobster',
						'Lobster Two' => 'Lobster Two',
						'Londrina Outline' => 'Londrina Outline',
						'Londrina Shadow' => 'Londrina Shadow',
						'Londrina Sketch' => 'Londrina Sketch',
						'Londrina Solid' => 'Londrina Solid',
						'Lora' => 'Lora',
						'Love Ya Like A Sister' => 'Love Ya Like A Sister',
						'Loved by the King' => 'Loved by the King',
						'Lovers Quarrel' => 'Lovers Quarrel',
						'Luckiest Guy' => 'Luckiest Guy',
						'Lusitana' => 'Lusitana',
						'Lustria' => 'Lustria',
						'Macondo' => 'Macondo',
						'Macondo Swash Caps' => 'Macondo Swash Caps',
						'Magra' => 'Magra',
						'Maiden Orange' => 'Maiden Orange',
						'Mako' => 'Mako',
						'Marcellus' => 'Marcellus',
						'Marcellus SC' => 'Marcellus SC',
						'Marck Script' => 'Marck Script',
						'Margarine' => 'Margarine',
						'Marko One' => 'Marko One',
						'Marmelad' => 'Marmelad',
						'Marvel' => 'Marvel',
						'Mate' => 'Mate',
						'Mate SC' => 'Mate SC',
						'Maven Pro' => 'Maven Pro',
						'McLaren' => 'McLaren',
						'Meddon' => 'Meddon',
						'MedievalSharp' => 'MedievalSharp',
						'Medula One' => 'Medula One',
						'Megrim' => 'Megrim',
						'Meie Script' => 'Meie Script',
						'Merienda' => 'Merienda',
						'Merienda One' => 'Merienda One',
						'Merriweather' => 'Merriweather',
						'Merriweather Sans' => 'Merriweather Sans',
						'Metal' => 'Metal',
						'Metal Mania' => 'Metal Mania',
						'Metamorphous' => 'Metamorphous',
						'Metrophobic' => 'Metrophobic',
						'Michroma' => 'Michroma',
						'Milonga' => 'Milonga',
						'Miltonian' => 'Miltonian',
						'Miltonian Tattoo' => 'Miltonian Tattoo',
						'Miniver' => 'Miniver',
						'Miss Fajardose' => 'Miss Fajardose',
						'Modern Antiqua' => 'Modern Antiqua',
						'Molengo' => 'Molengo',
						'Molle' => 'Molle',
						'Monda' => 'Monda',
						'Monofett' => 'Monofett',
						'Monoton' => 'Monoton',
						'Monsieur La Doulaise' => 'Monsieur La Doulaise',
						'Montaga' => 'Montaga',
						'Montez' => 'Montez',
						'Montserrat' => 'Montserrat',
						'Montserrat Alternates' => 'Montserrat Alternates',
						'Montserrat Subrayada' => 'Montserrat Subrayada',
						'Moul' => 'Moul',
						'Moulpali' => 'Moulpali',
						'Mountains of Christmas' => 'Mountains of Christmas',
						'Mouse Memoirs' => 'Mouse Memoirs',
						'Mr Bedfort' => 'Mr Bedfort',
						'Mr Dafoe' => 'Mr Dafoe',
						'Mr De Haviland' => 'Mr De Haviland',
						'Mrs Saint Delafield' => 'Mrs Saint Delafield',
						'Mrs Sheppards' => 'Mrs Sheppards',
						'Muli' => 'Muli',
						'Mystery Quest' => 'Mystery Quest',
						'Neucha' => 'Neucha',
						'Neuton' => 'Neuton',
						'New Rocker' => 'New Rocker',
						'News Cycle' => 'News Cycle',
						'Niconne' => 'Niconne',
						'Nixie One' => 'Nixie One',
						'Nobile' => 'Nobile',
						'Nokora' => 'Nokora',
						'Norican' => 'Norican',
						'Nosifer' => 'Nosifer',
						'Nothing You Could Do' => 'Nothing You Could Do',
						'Noticia Text' => 'Noticia Text',
						'Noto Sans' => 'Noto Sans',
						'Noto Serif' => 'Noto Serif',
						'Nova Cut' => 'Nova Cut',
						'Nova Flat' => 'Nova Flat',
						'Nova Mono' => 'Nova Mono',
						'Nova Oval' => 'Nova Oval',
						'Nova Round' => 'Nova Round',
						'Nova Script' => 'Nova Script',
						'Nova Slim' => 'Nova Slim',
						'Nova Square' => 'Nova Square',
						'Numans' => 'Numans',
						'Nunito' => 'Nunito',
						'Odor Mean Chey' => 'Odor Mean Chey',
						'Offside' => 'Offside',
						'Old Standard TT' => 'Old Standard TT',
						'Oldenburg' => 'Oldenburg',
						'Oleo Script' => 'Oleo Script',
						'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
						'Open Sans' => 'Open Sans',
						'Open Sans Condensed' => 'Open Sans Condensed',
						'Oranienbaum' => 'Oranienbaum',
						'Orbitron' => 'Orbitron',
						'Oregano' => 'Oregano',
						'Orienta' => 'Orienta',
						'Original Surfer' => 'Original Surfer',
						'Oswald' => 'Oswald',
						'Over the Rainbow' => 'Over the Rainbow',
						'Overlock' => 'Overlock',
						'Overlock SC' => 'Overlock SC',
						'Ovo' => 'Ovo',
						'Oxygen' => 'Oxygen',
						'Oxygen Mono' => 'Oxygen Mono',
						'PT Mono' => 'PT Mono',
						'PT Sans' => 'PT Sans',
						'PT Sans Caption' => 'PT Sans Caption',
						'PT Sans Narrow' => 'PT Sans Narrow',
						'PT Serif' => 'PT Serif',
						'PT Serif Caption' => 'PT Serif Caption',
						'Pacifico' => 'Pacifico',
						'Paprika' => 'Paprika',
						'Parisienne' => 'Parisienne',
						'Passero One' => 'Passero One',
						'Passion One' => 'Passion One',
						'Pathway Gothic One' => 'Pathway Gothic One',
						'Patrick Hand' => 'Patrick Hand',
						'Patrick Hand SC' => 'Patrick Hand SC',
						'Patua One' => 'Patua One',
						'Paytone One' => 'Paytone One',
						'Peralta' => 'Peralta',
						'Permanent Marker' => 'Permanent Marker',
						'Petit Formal Script' => 'Petit Formal Script',
						'Petrona' => 'Petrona',
						'Philosopher' => 'Philosopher',
						'Piedra' => 'Piedra',
						'Pinyon Script' => 'Pinyon Script',
						'Pirata One' => 'Pirata One',
						'Plaster' => 'Plaster',
						'Play' => 'Play',
						'Playball' => 'Playball',
						'Playfair Display' => 'Playfair Display',
						'Playfair Display SC' => 'Playfair Display SC',
						'Podkova' => 'Podkova',
						'Poiret One' => 'Poiret One',
						'Poller One' => 'Poller One',
						'Poly' => 'Poly',
						'Pompiere' => 'Pompiere',
						'Pontano Sans' => 'Pontano Sans',
						'Port Lligat Sans' => 'Port Lligat Sans',
						'Port Lligat Slab' => 'Port Lligat Slab',
						'Prata' => 'Prata',
						'Preahvihear' => 'Preahvihear',
						'Press Start 2P' => 'Press Start 2P',
						'Princess Sofia' => 'Princess Sofia',
						'Prociono' => 'Prociono',
						'Prosto One' => 'Prosto One',
						'Puritan' => 'Puritan',
						'Purple Purse' => 'Purple Purse',
						'Quando' => 'Quando',
						'Quantico' => 'Quantico',
						'Quattrocento' => 'Quattrocento',
						'Quattrocento Sans' => 'Quattrocento Sans',
						'Questrial' => 'Questrial',
						'Quicksand' => 'Quicksand',
						'Quintessential' => 'Quintessential',
						'Qwigley' => 'Qwigley',
						'Racing Sans One' => 'Racing Sans One',
						'Radley' => 'Radley',
						'Raleway' => 'Raleway',
						'Raleway Dots' => 'Raleway Dots',
						'Rambla' => 'Rambla',
						'Rammetto One' => 'Rammetto One',
						'Ranchers' => 'Ranchers',
						'Rancho' => 'Rancho',
						'Rationale' => 'Rationale',
						'Redressed' => 'Redressed',
						'Reenie Beanie' => 'Reenie Beanie',
						'Revalia' => 'Revalia',
						'Ribeye' => 'Ribeye',
						'Ribeye Marrow' => 'Ribeye Marrow',
						'Righteous' => 'Righteous',
						'Risque' => 'Risque',
						'Roboto' => 'Roboto',
						'Roboto Condensed' => 'Roboto Condensed',
						'Roboto Slab' => 'Roboto Slab',
						'Rochester' => 'Rochester',
						'Rock Salt' => 'Rock Salt',
						'Rokkitt' => 'Rokkitt',
						'Romanesco' => 'Romanesco',
						'Ropa Sans' => 'Ropa Sans',
						'Rosario' => 'Rosario',
						'Rosarivo' => 'Rosarivo',
						'Rouge Script' => 'Rouge Script',
						'Ruda' => 'Ruda',
						'Rufina' => 'Rufina',
						'Ruge Boogie' => 'Ruge Boogie',
						'Ruluko' => 'Ruluko',
						'Rum Raisin' => 'Rum Raisin',
						'Ruslan Display' => 'Ruslan Display',
						'Russo One' => 'Russo One',
						'Ruthie' => 'Ruthie',
						'Rye' => 'Rye',
						'Sacramento' => 'Sacramento',
						'Sail' => 'Sail',
						'Salsa' => 'Salsa',
						'Sanchez' => 'Sanchez',
						'Sancreek' => 'Sancreek',
						'Sansita One' => 'Sansita One',
						'Sarina' => 'Sarina',
						'Satisfy' => 'Satisfy',
						'Scada' => 'Scada',
						'Schoolbell' => 'Schoolbell',
						'Seaweed Script' => 'Seaweed Script',
						'Sevillana' => 'Sevillana',
						'Seymour One' => 'Seymour One',
						'Shadows Into Light' => 'Shadows Into Light',
						'Shadows Into Light Two' => 'Shadows Into Light Two',
						'Shanti' => 'Shanti',
						'Share' => 'Share',
						'Share Tech' => 'Share Tech',
						'Share Tech Mono' => 'Share Tech Mono',
						'Shojumaru' => 'Shojumaru',
						'Short Stack' => 'Short Stack',
						'Siemreap' => 'Siemreap',
						'Sigmar One' => 'Sigmar One',
						'Signika' => 'Signika',
						'Signika Negative' => 'Signika Negative',
						'Simonetta' => 'Simonetta',
						'Sintony' => 'Sintony',
						'Sirin Stencil' => 'Sirin Stencil',
						'Six Caps' => 'Six Caps',
						'Skranji' => 'Skranji',
						'Slackey' => 'Slackey',
						'Smokum' => 'Smokum',
						'Smythe' => 'Smythe',
						'Sniglet' => 'Sniglet',
						'Snippet' => 'Snippet',
						'Snowburst One' => 'Snowburst One',
						'Sofadi One' => 'Sofadi One',
						'Sofia' => 'Sofia',
						'Sonsie One' => 'Sonsie One',
						'Sorts Mill Goudy' => 'Sorts Mill Goudy',
						'Source Code Pro' => 'Source Code Pro',
						'Source Sans Pro' => 'Source Sans Pro',
						'Special Elite' => 'Special Elite',
						'Spicy Rice' => 'Spicy Rice',
						'Spinnaker' => 'Spinnaker',
						'Spirax' => 'Spirax',
						'Squada One' => 'Squada One',
						'Stalemate' => 'Stalemate',
						'Stalinist One' => 'Stalinist One',
						'Stardos Stencil' => 'Stardos Stencil',
						'Stint Ultra Condensed' => 'Stint Ultra Condensed',
						'Stint Ultra Expanded' => 'Stint Ultra Expanded',
						'Stoke' => 'Stoke',
						'Strait' => 'Strait',
						'Sue Ellen Francisco' => 'Sue Ellen Francisco',
						'Sunshiney' => 'Sunshiney',
						'Supermercado One' => 'Supermercado One',
						'Suwannaphum' => 'Suwannaphum',
						'Swanky and Moo Moo' => 'Swanky and Moo Moo',
						'Syncopate' => 'Syncopate',
						'Tangerine' => 'Tangerine',
						'Taprom' => 'Taprom',
						'Tauri' => 'Tauri',
						'Telex' => 'Telex',
						'Tenor Sans' => 'Tenor Sans',
						'Text Me One' => 'Text Me One',
						'The Girl Next Door' => 'The Girl Next Door',
						'Tienne' => 'Tienne',
						'Tinos' => 'Tinos',
						'Titan One' => 'Titan One',
						'Titillium Web' => 'Titillium Web',
						'Trade Winds' => 'Trade Winds',
						'Trocchi' => 'Trocchi',
						'Trochut' => 'Trochut',
						'Trykker' => 'Trykker',
						'Tulpen One' => 'Tulpen One',
						'Ubuntu' => 'Ubuntu',
						'Ubuntu Condensed' => 'Ubuntu Condensed',
						'Ubuntu Mono' => 'Ubuntu Mono',
						'Ultra' => 'Ultra',
						'Uncial Antiqua' => 'Uncial Antiqua',
						'Underdog' => 'Underdog',
						'Unica One' => 'Unica One',
						'UnifrakturCook' => 'UnifrakturCook',
						'UnifrakturMaguntia' => 'UnifrakturMaguntia',
						'Unkempt' => 'Unkempt',
						'Unlock' => 'Unlock',
						'Unna' => 'Unna',
						'VT323' => 'VT323',
						'Vampiro One' => 'Vampiro One',
						'Varela' => 'Varela',
						'Varela Round' => 'Varela Round',
						'Vast Shadow' => 'Vast Shadow',
						'Vibur' => 'Vibur',
						'Vidaloka' => 'Vidaloka',
						'Viga' => 'Viga',
						'Voces' => 'Voces',
						'Volkhov' => 'Volkhov',
						'Vollkorn' => 'Vollkorn',
						'Voltaire' => 'Voltaire',
						'Waiting for the Sunrise' => 'Waiting for the Sunrise',
						'Wallpoet' => 'Wallpoet',
						'Walter Turncoat' => 'Walter Turncoat',
						'Warnes' => 'Warnes',
						'Wellfleet' => 'Wellfleet',
						'Wendy One' => 'Wendy One',
						'Wire One' => 'Wire One',
						'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
						'Yellowtail' => 'Yellowtail',
						'Yeseva One' => 'Yeseva One',
						'Yesteryear' => 'Yesteryear',
						'Zeyada' => 'Zeyada',
					),
					'title' => 'Select Footer Heading Font',
					'default' => 'Select Font',
				),
			),
		),
		array (
			'icon' => 'el-icon-cog',
			'title' => 'Social Settings',
			'fields' => array (
				array (
					'desc' => 'Click on button to enable Social Icons at bottom',
					'id' => 'enable_disable_sm',
					'on' => 'Enable',
					'off' => 'Disable',
					'type' => 'switch',
					'title' => 'Enable Social Icons',
					'default' => '1',
				),
				array (
					'id' => 'sco_ico_lbl',
					'icon' => true,
					'type' => 'info',
					'raw' => '<h3 style="margin: 0 0 10px;">Insert your social link to show the icon.</h3>',
				),
				array (
					'desc' => 'Insert your custom link to show the Facebook icon. Leave blank to hide icon.',
					'id' => 'custom_facebook_link',
					'type' => 'text',
					'title' => 'Facebook',
					'default' => 'http://www.facebook.com',
				),
				array (
					'desc' => 'Insert your custom link to show the Twitter icon. Leave blank to hide icon.',
					'id' => 'custom_twitter_link',
					'type' => 'text',
					'title' => 'Twitter',
					'default' => 'http://www.twitter.com',
				),
				array (
					'desc' => 'Insert your custom link to show the Google+ icon. Leave blank to hide icon.',
					'id' => 'custom_Googlep_link',
					'type' => 'text',
					'title' => 'Google+',
					'default' => 'http://www.google.com',
				),
				array (
					'desc' => 'Insert your custom link to show the Linkedin icon. Leave blank to hide icon.',
					'id' => 'custom_linkedin_link',
					'type' => 'text',
					'title' => 'Linkedin',
					'default' => 'http://www.linkedin.com',
				),
				array (
					'desc' => 'Insert your custom link to show the Instagram icon. Leave blank to hide icon.',
					'id' => 'custom_instagram_link',
					'type' => 'text',
					'title' => 'Instagram',
					'default' => 'http://www.instagram.com',
				),
				array (
					'desc' => 'Insert your custom link to show the Pinterest icon. Leave blank to hide icon.',
					'id' => 'custom_pinterest_link',
					'type' => 'text',
					'title' => 'Pinterest',
					'default' => 'http://www.pinterest.com',
				),
				array (
					'desc' => 'Insert your custom link to show the Reddit icon. Leave blank to hide icon.',
					'id' => 'custom_reddit_link',
					'type' => 'text',
					'title' => 'Reddit',
					'default' => 'http://www.reddit.com',
				),
				array (
					'desc' => 'Insert your custom link to show the Tumblr icon. Leave blank to hide icon.',
					'id' => 'custom_tumblr_link',
					'type' => 'text',
					'title' => 'Tumblr',
					'default' => 'http://www.tumblr.com',
				),
				array (
					'desc' => 'Insert your custom link to show the Stumbleupon icon. Leave blank to hide icon.',
					'id' => 'custom_stumbleupon_link',
					'type' => 'text',
					'title' => 'Stumbleupon',
					'default' => 'http://www.stumbleupon.com',
				),
			),
		),
		array (
			'icon' => 'el-icon-cog',
			'title' => 'Footer Settings',
			'fields' => array (
				array (
					'desc' => 'Upload your footer logo here.',
					'id' => 'custom_footer_logo',
					'type' => 'media',
					'title' => 'Footer Logo',
					'url' => true,
				),
				array (
					'desc' => 'Copyright information goes here',
					'id' => 'custom_copy_info',
					'type' => 'textarea',
					'title' => 'Copyright Text',
					'default' => 'Copyright &copy; 2015 Pixel Theme Studio. All rights reserved.',
				),
			),
		),
		array (
			'icon' => 'http://localhost/smod/wp-content/themes/pts-pixel-linear/admin/assets/images/icon-tracking.png',
			'title' => 'Tracking Code',
			'fields' => array (
				array (
					'desc' => 'Paste your Google Analytics (or other) tracking code here. This will be added into the header template of your theme.',
					'id' => 'tracking_header',
					'type' => 'textarea',
					'title' => 'Header Tracking Code',
				),
				array (
					'desc' => 'Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.',
					'id' => 'tracking_footer',
					'type' => 'textarea',
					'title' => 'Footer Tracking Code',
				),
			),
		),
	);

			// Change your opt_name to match where you want the data saved.
			$args = array(
				"opt_name"=>"", // Where your data is stored. Use a different name or use the same name as your current theme. Must match the $database_newName variable in the converter code.
				//"menu_title" => "", // Title for your menu item
				"page_slug" => "", // Make this the same as your opt_name unless you care otherwise
				//"global_variable" => "", // By default Redux sets your global variable to be the opt_name you set above. This is what the newest SMOF uses as it's variable name. You can change, but you may need to update your files.
				//"intro_text" => "<p>This theme is now using Redux</p>" // Extra header info
				//"google_api_key" => "", // You must acquire a Google Web Fonts API key if you want Google Fonts to work
			);
			// Use this section if this is for a theme. Replace with plugin specific data if it is for a plugin.
			$theme = wp_get_theme();
			$args["display_name"] = $theme->get("Name");
			$args["display_version"] = $theme->get("Version");

			$ReduxFramework = new ReduxFramework($sections, $args);
						
		}

		function migrate_old_data($oldname, $oldtheme=false) {
			$database_newName = ""; // Where your data will now be saved. Must match your opt_name in the ReduxFramework $args array.
			$this->convertDataClass = new SMOF2Redux_Data();
			$this->convertDataClass->init();
			update_option($database_newName, $this->convertDataClass->converted_data); // Update the database				
		}
				
	}
	new Redux_Framework__562117f92435f();
}




    if ( ! class_exists( 'SMOF2Redux_Data' ) ) {
        class SMOF2Redux_Data {

            protected $converter;
            public $version;
            public $database;
            public $data;
            public $converted_data;
            public $sections = array();
            public $framework = "SMOF";

            public function __construct() {

                //add_action('init', array( $this, 'init' ), 0 );

            }

            public function init() {
                // Find the version
                if ( defined( 'SMOF_VERSION' ) ) {
                    $this->version = SMOF_VERSION;
                } else {
                    $this->version = '1.3';
                }


                $this->field_types = scandir( ReduxFramework::$_dir . '/inc/fields' );


                // Get the saved data
                if ( $this->version <= "1.5" ) {
                    // Get the old data values
                    global $data;
                    $this->data = $data;

                    if ( defined( 'OPTIONS' ) ) {
                        $this->database = OPTIONS;
                    }
                } else {
                    global $smof_data;
                    $this->data = $smof_data;
                }

                $this->getSections();

                if ( ! empty( $this->sections ) ) {
                    foreach ( $this->sections as $section ) {
                        if ( isset( $section['fields'] ) && ! empty( $section['fields'] ) ) {
                            foreach ( $section['fields'] as $field ) {
                                if ( isset( $this->data[ $field['id'] ] ) ) {
                                    $this->converted_data[ $field['id'] ] = $this->convertValue( $this->data[ $field['id'] ], $field['type'] );
                                }
                            }
                        }
                    }
                }

            }

            public function getSections( $withWarnings = true ) {
                global $of_options;

                $sections = array();
                $section  = array();
                $fields   = array();

                foreach ( $of_options as $key => $value ) {
                    foreach ( $value as $k => $v ) {
                        if ( empty( $v ) ) {
                            unset( $value[ $k ] );
                        }
                    }

                    if ( isset( $value['name'] ) ) {
                        $value['title'] = $value['name'];
                        unset( $value['name'] );
                    }

                    if ( isset( $value['std'] ) ) {
                        $value['default'] = $value['std'];
                        unset( $value['std'] );
                    }

                    if ( isset( $value['fold'] ) ) {
                        $value['required'] = array( $value['fold'], '=', 1 );
                        unset( $value['fold'] );
                    }
                    if ( isset( $value['folds'] ) ) {
                        unset( $value['folds'] );
                    }
                    if ( ! isset( $value['type'] ) ) {
                        continue;
                    }


                    switch ( $value['type'] ) {
                        case 'heading':
                            if ( isset( $value['icon'] ) && ! empty( $value['icon'] ) ) {
                                //$value['icon_type'] = "image";
                            }
                            if ( ! empty( $fields ) ) {
                                $section['fields'] = $fields;
                                $fields            = array();
                            }
                            if ( ! empty( $section ) ) {
                                $section['icon'] = "el-icon-cog";
                                $sections[]      = $section;
                                $section         = array();
                            }
                            unset( $value['type'] );
                            $section = $value;
                            unset( $value );
                            break;
                        case "text":
                            if ( isset( $value['mod'] ) ) {
                                unset( $value['mod'] );
                            }
                            break;
                        case "select":
                            if ( isset( $value['mod'] ) ) {
                                unset( $value['mod'] );
                            }
                            break;
                        case "textarea":
                            if ( isset( $value['cols'] ) ) {
                                unset( $value['cols'] );
                            }
                            break;
                        case "radio":
                            break;
                        case "checkbox":
                            break;
                        case "multicheck":
                            $value['type'] = "checkbox";
                            break;
                        case "color":
                            break;
                        case "select_google_font":
                            if ( isset( $value['preview'] ) ) {
                                unset( $value['preview'] );
                            }
                            if ( isset( $value['options'] ) ) {
                                $value['fonts'] = $value['options'];

                                unset( $value['options'] );
                            }
                            if ( isset( $value['default'] ) ) {
                                unset( $value['default'] );
                            }
                            $value['type'] = "typography";
                            break;
                        case "typography":
                            if ( isset( $value['preview'] ) ) {
                                unset( $value['preview'] );
                            }
                            if ( isset( $value['options'] ) ) {
                                $value['fonts'] = $value['options'];
                                unset( $value['options'] );
                            }
                            break;
                        case "border":
                            break;
                        case "info":
                            if ( isset( $value['title'] ) ) {
                                unset( $value['title'] );
                            }
                            if ( isset( $value['default'] ) ) {
                                $value['raw'] = $value['default'];
                                unset( $value['default'] );
                            }
                            break;
                        case "switch":
                            break;
                        case "images":
                            $value['type'] = "image_select";
                            if ( strpos( strtolower( $value['title'] ), 'pattern' ) !== false ) {
                                $value['tiles'] = true;
                            }
                            break;
                        case "image":
                            $value['type']     = "info";
                            $value['raw_html'] = true;
                            break;
                        case "slider":
                            $value['type'] = "slides";
                            break;
                        case "sorter":
                            if ( isset( $value['default'] ) ) {
                                $value['options'] = $value['default'];
                                unset( $value['default'] );
                            }
                            break;
                        case "tiles":
                            $value['type']  = "image_select";
                            $value['tiles'] = true;
                            break;
                        case "backup":
                        case "transfer":
                            unset( $value );
                            if ( $of_options[ ( $key - 1 ) ]['type'] == "heading" ) {
                                if ( strpos( strtolower( $of_options[ ( $key - 1 ) ]['name'] ), 'backup' ) !== false ) {
                                    $section = array();
                                }
                            }
                            break;
                        case "sliderui":
                            $value['type'] = "slider";
                            break;
                        case "upload":
                        case "media":
                            $value['type'] = "media";
                            if ( isset( $value['mod'] ) && $value['mod'] == "min" ) {
                                unset( $value['mod'] );
                            } else {
                                $value['url'] = true;
                            }
                            break;

                        default:
                            if ( $withWarnings && ! in_array( $value['type'], $this->field_types ) ) {

                                $content = "<h3 style='color: red;'>Found a field with an unknown type!</h3> <p>Perhaps this was a custom field and will need to be remade for use within Redux. This was the field's configuration:</p>";
                                $content .= "<pre style='overflow:auto;border: 2px dashed #eee;padding: 2px 5px; width: 100%;'>";
                                ob_start();
                                var_dump( $value );
                                $content .= ob_get_clean();
                                $content .= "</pre>";
                                $value['desc']     = $content;
                                $value['type']     = "info";
                                $value['raw_html'] = true;
                            }

                            //unset($value); // Can't do custom types. Must be fixed manually.
                            # code...
                            break;
                    }
                    if ( isset( $value['default'] ) && ! empty( $value['default'] ) ) {
                        $value['default'] = $this->convertValue( $value['default'], $value['type'] );
                    }

                    if ( ! empty( $value ) ) {
                        $fields[] = $value;
                    }

                }
                if ( ! empty( $fields ) ) {
                    $section['fields'] = $fields;
                    $fields            = array();
                }
                if ( ! empty( $section ) ) {

                    $sections[] = $section;
                    $section    = array();
                }
                $this->sections = $sections;

            }

            function get_attachment_id_by_url( $url ) {
                // Split the $url into two parts with the wp-content directory as the separator.
                $parse_url = explode( parse_url( WP_CONTENT_URL, PHP_URL_PATH ), $url );

                // Get the host of the current site and the host of the $url, ignoring www.
                $this_host = str_ireplace( 'www.', '', parse_url( home_url(), PHP_URL_HOST ) );
                $file_host = str_ireplace( 'www.', '', parse_url( $url, PHP_URL_HOST ) );

                // Return nothing if there aren't any $url parts or if the current host and $url host do not match.
                if ( ! isset( $parse_url[1] ) || empty( $parse_url[1] ) || ( $this_host != $file_host ) ) {
                    return;
                }

                // Now we're going to quickly search the DB for any attachment GUID with a partial path match.
                // Example: /uploads/2013/05/test-image.jpg
                global $wpdb;

                $prefix     = $wpdb->prefix;
                $attachment = $wpdb->get_col( $wpdb->prepare( "SELECT ID FROM " . $prefix . "posts WHERE guid RLIKE %s;", $parse_url[1] ) );

                // Returns null if no attachment is found.
                return $attachment[0];
            }

            function convertValue( $value, $type ) {
                switch ( $type ) {
                    case "text":
                        if ( ! is_array( $value ) ) {
                            $value = stripcslashes( $value ); // Not sure why this happens. Huh.
                        }
                        break;
                    case "typography":
                        $default = array();
                        if ( isset( $value['size'] ) ) {
                            $default['font-size'] = $value['size'];
                            $px                   = filter_var( $default['font-size'], FILTER_SANITIZE_NUMBER_INT );
                            $default['units']     = str_replace( $px, "", $default['font-size'] );
                        }
                        if ( isset( $value['color'] ) ) {
                            $default['color'] = $value['color'];
                        }
                        if ( isset( $value['face'] ) ) {
                            $fonts = array(
                                "Arial, Helvetica, sans-serif",
                                "'Arial Black', Gadget, sans-serif",
                                "'Bookman Old Style', serif",
                                "'Comic Sans MS', cursive",
                                "Courier, monospace",
                                "Garamond, serif",
                                "Georgia, serif",
                                "Impact, Charcoal, sans-serif",
                                "'Lucida Console', Monaco, monospace",
                                "'Lucida Sans Unicode', 'Lucida Grande', sans-serif",
                                "'MS Sans Serif', Geneva, sans-serif",
                                "'MS Serif', 'New York', sans-serif",
                                "'Palatino Linotype', 'Book Antiqua', Palatino, serif",
                                "Tahoma, Geneva, sans-serif",
                                "'Times New Roman', Times, serif",
                                "'Trebuchet MS', Helvetica, sans-serif",
                                "Verdana, Geneva, sans-serif",
                            );
                            foreach ( $fonts as $font ) {
                                if ( strpos( strtolower( $font ), strtolower( $value['face'] ) ) !== false ) {
                                    $default['font-family'] = $font;
                                }
                            }
                        }
                        if ( isset( $value['style'] ) ) {
                            if ( strpos( strtolower( $value['style'] ), 'bold' ) !== false ) {
                                $default['font-weight'] = "bold";
                            }
                            if ( strpos( strtolower( $value['style'] ), 'italic' ) !== false ) {
                                $default['font-style'] = "italic";
                            }
                        }
                        $value = $default;
                        break;
                    case "border":
                        if ( isset( $value['width'] ) ) {
                            $value['border-width'] = $value['width'] . "px";
                            $value['units']        = "px";
                            unset( $value['width'] );
                        }
                        if ( isset( $value['color'] ) ) {
                            $value['border-color'] = $value['color'];
                            unset( $value['color'] );
                        }
                        if ( isset( $value['style'] ) ) {
                            $value['border-style'] = $value['style'];
                            unset( $value['style'] );
                        }
                        break;
                    case "upload":
                    case "image":
                    case "media":
                        if ( isset( $value ) && ! empty( $value ) ) {
                            $value = array( 'url' => $value );
                        }
                        break;
                    default:
                        break;
                }
                return $value;
            }
        }

    }

    /*
    1.5
        SMOF_VERSION
        define( 'OPTIONS', $theme_name.'_options' );
        $data = of_get_options();
        $smof_data = of_get_options();


    1.4.3
        define( 'OPTIONS', $theme_name.'_options' );

            if( is_child_theme() ) {
                    $temp_obj = wp_get_theme();
                    $theme_obj = wp_get_theme( $temp_obj->get('Template') );
            } else {
                    $theme_obj = wp_get_theme();
            }

            define( 'OPTIONS', $theme_name.'_options' );

            SMOF_VERSION -> Version

    1.4
        SMOF_VERSION -> Version
        DEFINE: OPTIONS
        $data => values
        $data = get_option(OPTIONS);

    1.3
        DEFINE: OPTIONS
        $of_options => Options
        $data => values
        $data = get_option(OPTIONS);

    v1.2


    v1.1 13/11/11
        DEFINE: OPTIONS
        $of_options => Options
        $data => values
        $data = get_option(OPTIONS);
     */