<?php
/**
 * WARNING: Please do not edit this file in any way
 * load the theme function files
 * Slightly Modified Options Framework
 */
 
 // Default RSS feed links
add_theme_support( 'automatic-feed-links' );

// Default custom header
add_theme_support( 'custom-header' );

// Default custom backgrounds
add_theme_support( 'custom-background' );

// Woocommerce Support
add_theme_support( 'woocommerce' );

// Allow shortcodes in widget text
add_filter('widget_text', 'do_shortcode');

// Default Title Tag
add_theme_support( 'title-tag' );
 
 
require_once ('admin/index.php');

if ( ! function_exists('bi_get_data') ) {
	function bi_get_data($id, $fallback = false) {
		global $pixel_linear_options;
		global $smof_data;
		$smof_data = $pixel_linear_options;
		if ( $fallback == false ) $fallback = '';
		$output = ( isset($smof_data[$id]) && $smof_data[$id] !== '' ) ? $smof_data[$id] : $fallback;
		return $output;
	}
}


require_once( get_template_directory() .'/functions/functions.php' );
require_once( get_template_directory() .'/functions/hooks.php' );
require_once( get_template_directory() .'/functions/function-extras.php' );
require_once( get_template_directory() .'/functions/custom-css.php' );
require_once( get_template_directory() .'/functions/tracking.php' );
require_once( get_template_directory() .'/functions/comments-layout.php' );

// Functions needed for admin
require_once( get_template_directory() .'/functions/post-types/post-type-helpers.php' );
require_once( get_template_directory() .'/functions/post-types/register-post-types.php' );
require_once( get_template_directory() .'/functions/post-types/register-taxonomies.php' );


/************* METABOX ****************/
// Re-define meta box path and URL
//define( 'RWMB_URL', trailingslashit( get_stylesheet_directory_uri() . '/functions/meta-box' ) );
//define( 'RWMB_DIR', trailingslashit( get_template_directory() . '/functions/meta-box' ) );
// Include the meta box script
//require_once RWMB_DIR . 'meta-box.php';
//require_once RWMB_DIR . 'setup.php';




/************* CUSTOM METABOX ****************/

add_filter( 'cmb_meta_boxes', 'cmb_sample_metaboxes' );
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function cmb_sample_metaboxes( array $meta_boxes ) {

	// Start with an underscore to hide fields from custom fields list
	$prefix = '_cmb_';

	/**
	 * Sample metabox to demonstrate each field type included
	 */
	$meta_boxes['test_metabox'] = array(
		'id'         => 'test_metabox',
		'title'      => __( 'Slider Options', 'pixel-linear' ),
		'pages'      => array( 'page', ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		// 'cmb_styles' => true, // Enqueue the CMB stylesheet on the frontend
		'fields'     => array(
			array(
				'name' => __( 'Enable Slider', 'pixel-linear' ),
				'desc' => __( '<i>Tick Checkbox To Enable Slider On This Page</i>', 'pixel-linear' ),
				'id'   => $prefix . 'enable_disable_slider',
				'type' => 'checkbox',
			),
		),
	);


	return $meta_boxes;
}

add_action( 'init', 'cmb_initialize_cmb_meta_boxes', 9999 );
/**
 * Initialize the metabox class.
 */
function cmb_initialize_cmb_meta_boxes() {

	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once 'cmb/init.php';

}


/**
 * Add Redux Framework & extras
 */
require get_template_directory() . '/themeoptions/admin-init.php';


// Link to Widgets
require_once (TEMPLATEPATH . '/includes/widgets/widget_areas.php');
require_once (TEMPLATEPATH . '/includes/widgets/widget-video.php');
require_once (TEMPLATEPATH . '/includes/widgets/widget-facebook-fans.php');
require_once (TEMPLATEPATH . '/includes/widgets/widget-recent-posts.php');
require_once (TEMPLATEPATH . '/includes/widgets/widget-random-posts.php');
require_once (TEMPLATEPATH . '/includes/widgets/widget-flickr.php');
require_once (TEMPLATEPATH . '/includes/widgets/widget-googleMap.php');
require_once (TEMPLATEPATH . '/includes/widgets/widget-social-icons.php');
require_once (TEMPLATEPATH . '/includes/widgets/widget-twitter.php');
require_once (TEMPLATEPATH . '/includes/widgets/widget-ads.php');
require_once (TEMPLATEPATH . '/includes/widgets/widget-contacts.php');


add_action('init','of_options');

if (!function_exists('of_options')) {
      function of_options()
      {
        //Register sidebar options for blog/portfolio/woocommerce category/archive pages
        global $wp_registered_sidebars;
        $sidebar_options[] = 'None';
        for($i=0;$i<1;$i++){
            $sidebars = $wp_registered_sidebars;// sidebar_generator::get_sidebars();
            //var_dump($sidebars);
            if(is_array($sidebars) && !empty($sidebars)){
                foreach($sidebars as $sidebar){
                    $sidebar_options[] = $sidebar['name'];
                }
            }
            $sidebars = sidebar_generator::get_sidebars();
            if(is_array($sidebars) && !empty($sidebars)){
                foreach($sidebars as $key => $value){
                    $sidebar_options[] = $value;
                }
            }
        }
    }
}

function migrateSMOFDataToRedux($oldname, $oldtheme=false) {
	$database_newName = "redux_panel"; // Where your data will now be saved. Must match your opt_name in the ReduxFramework $args array.
	$data = get_option(""); // Please provide the option name where your SMOF values are stored.
	
	$sections = array (0 => array ('icon' => 'http://localhost/redux/wp-content/themes/pts-pixel-linear/admin/assets/images/icon-settings.png','title' => 'General','icon_type' => 'image','fields' => array (0 => array ('id' => 'custom_ads','icon' => true,'type' => 'info','default' => '<h3 style="margin: 0 0 10px;">Click on image to get themes</h3><a href=\'http://pixelthemestudio.ca/product/pixel-linear/\' target=\'_blank\'><img src=\'http://localhost/redux/wp-content/themes/pts-pixel-linear/admin/assets/images/new-ad.jpg\' /></a> ',),1 => array ('desc' => 'Upload or paste the URL for your custom favicon.','id' => 'custom_favicon','type' => 'media','title' => 'Favicon','url' => true,),2 => array ('desc' => 'Use this field to upload your custom logo for use in the theme header. (Recommended 200px x 40px)','id' => 'custom_logo','type' => 'media','title' => 'Main Logo','default' => array ('url' => 'http://localhost/redux/wp-content/themes/pts-pixel-linear/images/logo.png',),'url' => true,),3 => array ('desc' => 'Select full width or Boxed layout for pages.','id' => 'custom_main_layout','type' => 'select','options' => array (0 => 'Full Width',1 => 'Boxed',),'title' => 'Main Layout','default' => 'Boxed',),4 => array ('desc' => 'Select layout for Blog Page with left, right Sidebar. Use widgets to add contents on sidebars','id' => 'custom_blog_layout','type' => 'select','options' => array ('No Sidebar' => 'No Sidebar','Left Sidebar' => 'Left Sidebar','Right Sidebar' => 'Right Sidebar','Left + Right Sidebar' => 'Left + Right Sidebar',),'title' => 'Blog Layout','default' => 'No Sidebar',),5 => array ('desc' => 'Select layout for Single Post View with left, right Sidebar. Use widgets to add contents on sidebars','id' => 'custom_single_post_layout','type' => 'select','options' => array ('No Sidebar' => 'No Sidebar','Left Sidebar' => 'Left Sidebar','Right Sidebar' => 'Right Sidebar','Left + Right Sidebar' => 'Left + Right Sidebar',),'title' => 'Single Post Layout','default' => 'No Sidebar',),),),1 => array ('title' => 'Home Settings','fields' => array (0 => array ('desc' => 'Click on button to enable slider on homepage','id' => 'enable_disable_slider','on' => 'Enable','off' => 'Disable','type' => 'switch','title' => 'Enable Slider',),1 => array ('desc' => 'Unlimited slider with drag and drop sortings. (Recommended size xpx x ypx)','id' => 'custom_slider','type' => 'slides','title' => 'Slider Options',),2 => array ('desc' => 'Use widgets to add content in 3 boxes','id' => 'enable_disable_3box','on' => 'Enable','off' => 'Disable','type' => 'switch','title' => 'Enable 3 Boxes On Homepage',),),),2 => array ('title' => 'Styling Options','fields' => array (0 => array ('desc' => 'Pick a background color for body<br>(default: #fff).','id' => 'custom_body_bg','type' => 'color','title' => 'Body Background Color','default' => '#fff',),1 => array ('desc' => 'Pick a background color for header<br>(default: #fff).','id' => 'custom_header_bg','type' => 'color','title' => 'Header Background Color','default' => '#fff',),2 => array ('desc' => 'Pick a background color for footer<br>(default: #333).','id' => 'custom_footer_bg','type' => 'color','title' => 'Footer Background Color','default' => '#333',),3 => array ('desc' => 'Pick a background color for footer copyright<br>(default: #000).','id' => 'custom_bottom_footer_bg','type' => 'color','title' => 'Footer Bottom Background Color','default' => '#000',),4 => array ('desc' => 'Pick a background color for box layout.<br>*Apply only when box layout is selected.(default: #ddd).','id' => 'custom_boxed_bg','type' => 'color','title' => 'Box Layout Background Color','default' => '#ddd',),5 => array ('desc' => 'Pick a background image for box layout.<br>*Apply only when box layout is selected.','id' => 'custom_boxed_bgImg','type' => 'media','title' => 'Box Layout Background Image','url' => true,),6 => array ('desc' => 'Quickly add some CSS to your theme by adding it to this block.<br> Use !important to override properties.','id' => 'custom_css_box','type' => 'textarea','title' => 'Custom CSS',),),),3 => array ('icon' => 'http://localhost/redux/wp-content/themes/pts-pixel-linear/admin/assets/images/typography.png','title' => 'Typography','icon_type' => 'image','fields' => array (0 => array ('desc' => 'Specify the body font properties.','id' => 'custom_body_font','type' => 'typography','title' => 'Body Font','default' => array ('font-size' => '16px','units' => 'px','color' => '#000000',),),1 => array ('id' => 'google_fonts_intro','icon' => true,'type' => 'info','default' => '<h3 style=\'margin: 0;\'\'>Google Fonts</h3>',),2 => array ('desc' => 'Select a font family for body text this will override Standard Font.','id' => 'custom_body_family','type' => 'select','options' => array (0 => 'Select Font','ABeeZee' => 'ABeeZee','Abel' => 'Abel','Abril Fatface' => 'Abril Fatface','Aclonica' => 'Aclonica','Acme' => 'Acme','Actor' => 'Actor','Adamina' => 'Adamina','Advent Pro' => 'Advent Pro','Aguafina Script' => 'Aguafina Script','Akronim' => 'Akronim','Aladin' => 'Aladin','Aldrich' => 'Aldrich','Alef' => 'Alef','Alegreya' => 'Alegreya','Alegreya SC' => 'Alegreya SC','Alegreya Sans' => 'Alegreya Sans','Alegreya Sans SC' => 'Alegreya Sans SC','Alex Brush' => 'Alex Brush','Alfa Slab One' => 'Alfa Slab One','Alice' => 'Alice','Alike' => 'Alike','Alike Angular' => 'Alike Angular','Allan' => 'Allan','Allerta' => 'Allerta','Allerta Stencil' => 'Allerta Stencil','Allura' => 'Allura','Almendra' => 'Almendra','Almendra Display' => 'Almendra Display','Almendra SC' => 'Almendra SC','Amarante' => 'Amarante','Amaranth' => 'Amaranth','Amatic SC' => 'Amatic SC','Amethysta' => 'Amethysta','Anaheim' => 'Anaheim','Andada' => 'Andada','Andika' => 'Andika','Angkor' => 'Angkor','Annie Use Your Telescope' => 'Annie Use Your Telescope','Anonymous Pro' => 'Anonymous Pro','Antic' => 'Antic','Antic Didone' => 'Antic Didone','Antic Slab' => 'Antic Slab','Anton' => 'Anton','Arapey' => 'Arapey','Arbutus' => 'Arbutus','Arbutus Slab' => 'Arbutus Slab','Architects Daughter' => 'Architects Daughter','Archivo Black' => 'Archivo Black','Archivo Narrow' => 'Archivo Narrow','Arimo' => 'Arimo','Arizonia' => 'Arizonia','Armata' => 'Armata','Artifika' => 'Artifika','Arvo' => 'Arvo','Asap' => 'Asap','Asset' => 'Asset','Astloch' => 'Astloch','Asul' => 'Asul','Atomic Age' => 'Atomic Age','Aubrey' => 'Aubrey','Audiowide' => 'Audiowide','Autour One' => 'Autour One','Average' => 'Average','Average Sans' => 'Average Sans','Averia Gruesa Libre' => 'Averia Gruesa Libre','Averia Libre' => 'Averia Libre','Averia Sans Libre' => 'Averia Sans Libre','Averia Serif Libre' => 'Averia Serif Libre','Bad Script' => 'Bad Script','Balthazar' => 'Balthazar','Bangers' => 'Bangers','Basic' => 'Basic','Battambang' => 'Battambang','Baumans' => 'Baumans','Bayon' => 'Bayon','Belgrano' => 'Belgrano','Belleza' => 'Belleza','BenchNine' => 'BenchNine','Bentham' => 'Bentham','Berkshire Swash' => 'Berkshire Swash','Bevan' => 'Bevan','Bigelow Rules' => 'Bigelow Rules','Bigshot One' => 'Bigshot One','Bilbo' => 'Bilbo','Bilbo Swash Caps' => 'Bilbo Swash Caps','Bitter' => 'Bitter','Black Ops One' => 'Black Ops One','Bokor' => 'Bokor','Bonbon' => 'Bonbon','Boogaloo' => 'Boogaloo','Bowlby One' => 'Bowlby One','Bowlby One SC' => 'Bowlby One SC','Brawler' => 'Brawler','Bree Serif' => 'Bree Serif','Bubblegum Sans' => 'Bubblegum Sans','Bubbler One' => 'Bubbler One','Buda' => 'Buda','Buenard' => 'Buenard','Butcherman' => 'Butcherman','Butterfly Kids' => 'Butterfly Kids','Cabin' => 'Cabin','Cabin Condensed' => 'Cabin Condensed','Cabin Sketch' => 'Cabin Sketch','Caesar Dressing' => 'Caesar Dressing','Cagliostro' => 'Cagliostro','Calligraffitti' => 'Calligraffitti','Cambo' => 'Cambo','Candal' => 'Candal','Cantarell' => 'Cantarell','Cantata One' => 'Cantata One','Cantora One' => 'Cantora One','Capriola' => 'Capriola','Cardo' => 'Cardo','Carme' => 'Carme','Carrois Gothic' => 'Carrois Gothic','Carrois Gothic SC' => 'Carrois Gothic SC','Carter One' => 'Carter One','Caudex' => 'Caudex','Cedarville Cursive' => 'Cedarville Cursive','Ceviche One' => 'Ceviche One','Changa One' => 'Changa One','Chango' => 'Chango','Chau Philomene One' => 'Chau Philomene One','Chela One' => 'Chela One','Chelsea Market' => 'Chelsea Market','Chenla' => 'Chenla','Cherry Cream Soda' => 'Cherry Cream Soda','Cherry Swash' => 'Cherry Swash','Chewy' => 'Chewy','Chicle' => 'Chicle','Chivo' => 'Chivo','Cinzel' => 'Cinzel','Cinzel Decorative' => 'Cinzel Decorative','Clicker Script' => 'Clicker Script','Coda' => 'Coda','Coda Caption' => 'Coda Caption','Codystar' => 'Codystar','Combo' => 'Combo','Comfortaa' => 'Comfortaa','Coming Soon' => 'Coming Soon','Concert One' => 'Concert One','Condiment' => 'Condiment','Content' => 'Content','Contrail One' => 'Contrail One','Convergence' => 'Convergence','Cookie' => 'Cookie','Copse' => 'Copse','Corben' => 'Corben','Courgette' => 'Courgette','Cousine' => 'Cousine','Coustard' => 'Coustard','Covered By Your Grace' => 'Covered By Your Grace','Crafty Girls' => 'Crafty Girls','Creepster' => 'Creepster','Crete Round' => 'Crete Round','Crimson Text' => 'Crimson Text','Croissant One' => 'Croissant One','Crushed' => 'Crushed','Cuprum' => 'Cuprum','Cutive' => 'Cutive','Cutive Mono' => 'Cutive Mono','Damion' => 'Damion','Dancing Script' => 'Dancing Script','Dangrek' => 'Dangrek','Dawning of a New Day' => 'Dawning of a New Day','Days One' => 'Days One','Delius' => 'Delius','Delius Swash Caps' => 'Delius Swash Caps','Delius Unicase' => 'Delius Unicase','Della Respira' => 'Della Respira','Denk One' => 'Denk One','Devonshire' => 'Devonshire','Didact Gothic' => 'Didact Gothic','Diplomata' => 'Diplomata','Diplomata SC' => 'Diplomata SC','Domine' => 'Domine','Donegal One' => 'Donegal One','Doppio One' => 'Doppio One','Dorsa' => 'Dorsa','Dosis' => 'Dosis','Dr Sugiyama' => 'Dr Sugiyama','Droid Sans' => 'Droid Sans','Droid Sans Mono' => 'Droid Sans Mono','Droid Serif' => 'Droid Serif','Duru Sans' => 'Duru Sans','Dynalight' => 'Dynalight','EB Garamond' => 'EB Garamond','Eagle Lake' => 'Eagle Lake','Eater' => 'Eater','Economica' => 'Economica','Electrolize' => 'Electrolize','Elsie' => 'Elsie','Elsie Swash Caps' => 'Elsie Swash Caps','Emblema One' => 'Emblema One','Emilys Candy' => 'Emilys Candy','Engagement' => 'Engagement','Englebert' => 'Englebert','Enriqueta' => 'Enriqueta','Erica One' => 'Erica One','Esteban' => 'Esteban','Euphoria Script' => 'Euphoria Script','Ewert' => 'Ewert','Exo' => 'Exo','Exo 2' => 'Exo 2','Expletus Sans' => 'Expletus Sans','Fanwood Text' => 'Fanwood Text','Fascinate' => 'Fascinate','Fascinate Inline' => 'Fascinate Inline','Faster One' => 'Faster One','Fasthand' => 'Fasthand','Fauna One' => 'Fauna One','Federant' => 'Federant','Federo' => 'Federo','Felipa' => 'Felipa','Fenix' => 'Fenix','Finger Paint' => 'Finger Paint','Fjalla One' => 'Fjalla One','Fjord One' => 'Fjord One','Flamenco' => 'Flamenco','Flavors' => 'Flavors','Fondamento' => 'Fondamento','Fontdiner Swanky' => 'Fontdiner Swanky','Forum' => 'Forum','Francois One' => 'Francois One','Freckle Face' => 'Freckle Face','Fredericka the Great' => 'Fredericka the Great','Fredoka One' => 'Fredoka One','Freehand' => 'Freehand','Fresca' => 'Fresca','Frijole' => 'Frijole','Fruktur' => 'Fruktur','Fugaz One' => 'Fugaz One','GFS Didot' => 'GFS Didot','GFS Neohellenic' => 'GFS Neohellenic','Gabriela' => 'Gabriela','Gafata' => 'Gafata','Galdeano' => 'Galdeano','Galindo' => 'Galindo','Gentium Basic' => 'Gentium Basic','Gentium Book Basic' => 'Gentium Book Basic','Geo' => 'Geo','Geostar' => 'Geostar','Geostar Fill' => 'Geostar Fill','Germania One' => 'Germania One','Gilda Display' => 'Gilda Display','Give You Glory' => 'Give You Glory','Glass Antiqua' => 'Glass Antiqua','Glegoo' => 'Glegoo','Gloria Hallelujah' => 'Gloria Hallelujah','Goblin One' => 'Goblin One','Gochi Hand' => 'Gochi Hand','Gorditas' => 'Gorditas','Goudy Bookletter 1911' => 'Goudy Bookletter 1911','Graduate' => 'Graduate','Grand Hotel' => 'Grand Hotel','Gravitas One' => 'Gravitas One','Great Vibes' => 'Great Vibes','Griffy' => 'Griffy','Gruppo' => 'Gruppo','Gudea' => 'Gudea','Habibi' => 'Habibi','Hammersmith One' => 'Hammersmith One','Hanalei' => 'Hanalei','Hanalei Fill' => 'Hanalei Fill','Handlee' => 'Handlee','Hanuman' => 'Hanuman','Happy Monkey' => 'Happy Monkey','Headland One' => 'Headland One','Henny Penny' => 'Henny Penny','Herr Von Muellerhoff' => 'Herr Von Muellerhoff','Holtwood One SC' => 'Holtwood One SC','Homemade Apple' => 'Homemade Apple','Homenaje' => 'Homenaje','IM Fell DW Pica' => 'IM Fell DW Pica','IM Fell DW Pica SC' => 'IM Fell DW Pica SC','IM Fell Double Pica' => 'IM Fell Double Pica','IM Fell Double Pica SC' => 'IM Fell Double Pica SC','IM Fell English' => 'IM Fell English','IM Fell English SC' => 'IM Fell English SC','IM Fell French Canon' => 'IM Fell French Canon','IM Fell French Canon SC' => 'IM Fell French Canon SC','IM Fell Great Primer' => 'IM Fell Great Primer','IM Fell Great Primer SC' => 'IM Fell Great Primer SC','Iceberg' => 'Iceberg','Iceland' => 'Iceland','Imprima' => 'Imprima','Inconsolata' => 'Inconsolata','Inder' => 'Inder','Indie Flower' => 'Indie Flower','Inika' => 'Inika','Irish Grover' => 'Irish Grover','Istok Web' => 'Istok Web','Italiana' => 'Italiana','Italianno' => 'Italianno','Jacques Francois' => 'Jacques Francois','Jacques Francois Shadow' => 'Jacques Francois Shadow','Jim Nightshade' => 'Jim Nightshade','Jockey One' => 'Jockey One','Jolly Lodger' => 'Jolly Lodger','Josefin Sans' => 'Josefin Sans','Josefin Slab' => 'Josefin Slab','Joti One' => 'Joti One','Judson' => 'Judson','Julee' => 'Julee','Julius Sans One' => 'Julius Sans One','Junge' => 'Junge','Jura' => 'Jura','Just Another Hand' => 'Just Another Hand','Just Me Again Down Here' => 'Just Me Again Down Here','Kameron' => 'Kameron','Kantumruy' => 'Kantumruy','Karla' => 'Karla','Kaushan Script' => 'Kaushan Script','Kavoon' => 'Kavoon','Kdam Thmor' => 'Kdam Thmor','Keania One' => 'Keania One','Kelly Slab' => 'Kelly Slab','Kenia' => 'Kenia','Khmer' => 'Khmer','Kite One' => 'Kite One','Knewave' => 'Knewave','Kotta One' => 'Kotta One','Koulen' => 'Koulen','Kranky' => 'Kranky','Kreon' => 'Kreon','Kristi' => 'Kristi','Krona One' => 'Krona One','La Belle Aurore' => 'La Belle Aurore','Lancelot' => 'Lancelot','Lato' => 'Lato','League Script' => 'League Script','Leckerli One' => 'Leckerli One','Ledger' => 'Ledger','Lekton' => 'Lekton','Lemon' => 'Lemon','Libre Baskerville' => 'Libre Baskerville','Life Savers' => 'Life Savers','Lilita One' => 'Lilita One','Lily Script One' => 'Lily Script One','Limelight' => 'Limelight','Linden Hill' => 'Linden Hill','Lobster' => 'Lobster','Lobster Two' => 'Lobster Two','Londrina Outline' => 'Londrina Outline','Londrina Shadow' => 'Londrina Shadow','Londrina Sketch' => 'Londrina Sketch','Londrina Solid' => 'Londrina Solid','Lora' => 'Lora','Love Ya Like A Sister' => 'Love Ya Like A Sister','Loved by the King' => 'Loved by the King','Lovers Quarrel' => 'Lovers Quarrel','Luckiest Guy' => 'Luckiest Guy','Lusitana' => 'Lusitana','Lustria' => 'Lustria','Macondo' => 'Macondo','Macondo Swash Caps' => 'Macondo Swash Caps','Magra' => 'Magra','Maiden Orange' => 'Maiden Orange','Mako' => 'Mako','Marcellus' => 'Marcellus','Marcellus SC' => 'Marcellus SC','Marck Script' => 'Marck Script','Margarine' => 'Margarine','Marko One' => 'Marko One','Marmelad' => 'Marmelad','Marvel' => 'Marvel','Mate' => 'Mate','Mate SC' => 'Mate SC','Maven Pro' => 'Maven Pro','McLaren' => 'McLaren','Meddon' => 'Meddon','MedievalSharp' => 'MedievalSharp','Medula One' => 'Medula One','Megrim' => 'Megrim','Meie Script' => 'Meie Script','Merienda' => 'Merienda','Merienda One' => 'Merienda One','Merriweather' => 'Merriweather','Merriweather Sans' => 'Merriweather Sans','Metal' => 'Metal','Metal Mania' => 'Metal Mania','Metamorphous' => 'Metamorphous','Metrophobic' => 'Metrophobic','Michroma' => 'Michroma','Milonga' => 'Milonga','Miltonian' => 'Miltonian','Miltonian Tattoo' => 'Miltonian Tattoo','Miniver' => 'Miniver','Miss Fajardose' => 'Miss Fajardose','Modern Antiqua' => 'Modern Antiqua','Molengo' => 'Molengo','Molle' => 'Molle','Monda' => 'Monda','Monofett' => 'Monofett','Monoton' => 'Monoton','Monsieur La Doulaise' => 'Monsieur La Doulaise','Montaga' => 'Montaga','Montez' => 'Montez','Montserrat' => 'Montserrat','Montserrat Alternates' => 'Montserrat Alternates','Montserrat Subrayada' => 'Montserrat Subrayada','Moul' => 'Moul','Moulpali' => 'Moulpali','Mountains of Christmas' => 'Mountains of Christmas','Mouse Memoirs' => 'Mouse Memoirs','Mr Bedfort' => 'Mr Bedfort','Mr Dafoe' => 'Mr Dafoe','Mr De Haviland' => 'Mr De Haviland','Mrs Saint Delafield' => 'Mrs Saint Delafield','Mrs Sheppards' => 'Mrs Sheppards','Muli' => 'Muli','Mystery Quest' => 'Mystery Quest','Neucha' => 'Neucha','Neuton' => 'Neuton','New Rocker' => 'New Rocker','News Cycle' => 'News Cycle','Niconne' => 'Niconne','Nixie One' => 'Nixie One','Nobile' => 'Nobile','Nokora' => 'Nokora','Norican' => 'Norican','Nosifer' => 'Nosifer','Nothing You Could Do' => 'Nothing You Could Do','Noticia Text' => 'Noticia Text','Noto Sans' => 'Noto Sans','Noto Serif' => 'Noto Serif','Nova Cut' => 'Nova Cut','Nova Flat' => 'Nova Flat','Nova Mono' => 'Nova Mono','Nova Oval' => 'Nova Oval','Nova Round' => 'Nova Round','Nova Script' => 'Nova Script','Nova Slim' => 'Nova Slim','Nova Square' => 'Nova Square','Numans' => 'Numans','Nunito' => 'Nunito','Odor Mean Chey' => 'Odor Mean Chey','Offside' => 'Offside','Old Standard TT' => 'Old Standard TT','Oldenburg' => 'Oldenburg','Oleo Script' => 'Oleo Script','Oleo Script Swash Caps' => 'Oleo Script Swash Caps','Open Sans' => 'Open Sans','Open Sans Condensed' => 'Open Sans Condensed','Oranienbaum' => 'Oranienbaum','Orbitron' => 'Orbitron','Oregano' => 'Oregano','Orienta' => 'Orienta','Original Surfer' => 'Original Surfer','Oswald' => 'Oswald','Over the Rainbow' => 'Over the Rainbow','Overlock' => 'Overlock','Overlock SC' => 'Overlock SC','Ovo' => 'Ovo','Oxygen' => 'Oxygen','Oxygen Mono' => 'Oxygen Mono','PT Mono' => 'PT Mono','PT Sans' => 'PT Sans','PT Sans Caption' => 'PT Sans Caption','PT Sans Narrow' => 'PT Sans Narrow','PT Serif' => 'PT Serif','PT Serif Caption' => 'PT Serif Caption','Pacifico' => 'Pacifico','Paprika' => 'Paprika','Parisienne' => 'Parisienne','Passero One' => 'Passero One','Passion One' => 'Passion One','Pathway Gothic One' => 'Pathway Gothic One','Patrick Hand' => 'Patrick Hand','Patrick Hand SC' => 'Patrick Hand SC','Patua One' => 'Patua One','Paytone One' => 'Paytone One','Peralta' => 'Peralta','Permanent Marker' => 'Permanent Marker','Petit Formal Script' => 'Petit Formal Script','Petrona' => 'Petrona','Philosopher' => 'Philosopher','Piedra' => 'Piedra','Pinyon Script' => 'Pinyon Script','Pirata One' => 'Pirata One','Plaster' => 'Plaster','Play' => 'Play','Playball' => 'Playball','Playfair Display' => 'Playfair Display','Playfair Display SC' => 'Playfair Display SC','Podkova' => 'Podkova','Poiret One' => 'Poiret One','Poller One' => 'Poller One','Poly' => 'Poly','Pompiere' => 'Pompiere','Pontano Sans' => 'Pontano Sans','Port Lligat Sans' => 'Port Lligat Sans','Port Lligat Slab' => 'Port Lligat Slab','Prata' => 'Prata','Preahvihear' => 'Preahvihear','Press Start 2P' => 'Press Start 2P','Princess Sofia' => 'Princess Sofia','Prociono' => 'Prociono','Prosto One' => 'Prosto One','Puritan' => 'Puritan','Purple Purse' => 'Purple Purse','Quando' => 'Quando','Quantico' => 'Quantico','Quattrocento' => 'Quattrocento','Quattrocento Sans' => 'Quattrocento Sans','Questrial' => 'Questrial','Quicksand' => 'Quicksand','Quintessential' => 'Quintessential','Qwigley' => 'Qwigley','Racing Sans One' => 'Racing Sans One','Radley' => 'Radley','Raleway' => 'Raleway','Raleway Dots' => 'Raleway Dots','Rambla' => 'Rambla','Rammetto One' => 'Rammetto One','Ranchers' => 'Ranchers','Rancho' => 'Rancho','Rationale' => 'Rationale','Redressed' => 'Redressed','Reenie Beanie' => 'Reenie Beanie','Revalia' => 'Revalia','Ribeye' => 'Ribeye','Ribeye Marrow' => 'Ribeye Marrow','Righteous' => 'Righteous','Risque' => 'Risque','Roboto' => 'Roboto','Roboto Condensed' => 'Roboto Condensed','Roboto Slab' => 'Roboto Slab','Rochester' => 'Rochester','Rock Salt' => 'Rock Salt','Rokkitt' => 'Rokkitt','Romanesco' => 'Romanesco','Ropa Sans' => 'Ropa Sans','Rosario' => 'Rosario','Rosarivo' => 'Rosarivo','Rouge Script' => 'Rouge Script','Ruda' => 'Ruda','Rufina' => 'Rufina','Ruge Boogie' => 'Ruge Boogie','Ruluko' => 'Ruluko','Rum Raisin' => 'Rum Raisin','Ruslan Display' => 'Ruslan Display','Russo One' => 'Russo One','Ruthie' => 'Ruthie','Rye' => 'Rye','Sacramento' => 'Sacramento','Sail' => 'Sail','Salsa' => 'Salsa','Sanchez' => 'Sanchez','Sancreek' => 'Sancreek','Sansita One' => 'Sansita One','Sarina' => 'Sarina','Satisfy' => 'Satisfy','Scada' => 'Scada','Schoolbell' => 'Schoolbell','Seaweed Script' => 'Seaweed Script','Sevillana' => 'Sevillana','Seymour One' => 'Seymour One','Shadows Into Light' => 'Shadows Into Light','Shadows Into Light Two' => 'Shadows Into Light Two','Shanti' => 'Shanti','Share' => 'Share','Share Tech' => 'Share Tech','Share Tech Mono' => 'Share Tech Mono','Shojumaru' => 'Shojumaru','Short Stack' => 'Short Stack','Siemreap' => 'Siemreap','Sigmar One' => 'Sigmar One','Signika' => 'Signika','Signika Negative' => 'Signika Negative','Simonetta' => 'Simonetta','Sintony' => 'Sintony','Sirin Stencil' => 'Sirin Stencil','Six Caps' => 'Six Caps','Skranji' => 'Skranji','Slackey' => 'Slackey','Smokum' => 'Smokum','Smythe' => 'Smythe','Sniglet' => 'Sniglet','Snippet' => 'Snippet','Snowburst One' => 'Snowburst One','Sofadi One' => 'Sofadi One','Sofia' => 'Sofia','Sonsie One' => 'Sonsie One','Sorts Mill Goudy' => 'Sorts Mill Goudy','Source Code Pro' => 'Source Code Pro','Source Sans Pro' => 'Source Sans Pro','Special Elite' => 'Special Elite','Spicy Rice' => 'Spicy Rice','Spinnaker' => 'Spinnaker','Spirax' => 'Spirax','Squada One' => 'Squada One','Stalemate' => 'Stalemate','Stalinist One' => 'Stalinist One','Stardos Stencil' => 'Stardos Stencil','Stint Ultra Condensed' => 'Stint Ultra Condensed','Stint Ultra Expanded' => 'Stint Ultra Expanded','Stoke' => 'Stoke','Strait' => 'Strait','Sue Ellen Francisco' => 'Sue Ellen Francisco','Sunshiney' => 'Sunshiney','Supermercado One' => 'Supermercado One','Suwannaphum' => 'Suwannaphum','Swanky and Moo Moo' => 'Swanky and Moo Moo','Syncopate' => 'Syncopate','Tangerine' => 'Tangerine','Taprom' => 'Taprom','Tauri' => 'Tauri','Telex' => 'Telex','Tenor Sans' => 'Tenor Sans','Text Me One' => 'Text Me One','The Girl Next Door' => 'The Girl Next Door','Tienne' => 'Tienne','Tinos' => 'Tinos','Titan One' => 'Titan One','Titillium Web' => 'Titillium Web','Trade Winds' => 'Trade Winds','Trocchi' => 'Trocchi','Trochut' => 'Trochut','Trykker' => 'Trykker','Tulpen One' => 'Tulpen One','Ubuntu' => 'Ubuntu','Ubuntu Condensed' => 'Ubuntu Condensed','Ubuntu Mono' => 'Ubuntu Mono','Ultra' => 'Ultra','Uncial Antiqua' => 'Uncial Antiqua','Underdog' => 'Underdog','Unica One' => 'Unica One','UnifrakturCook' => 'UnifrakturCook','UnifrakturMaguntia' => 'UnifrakturMaguntia','Unkempt' => 'Unkempt','Unlock' => 'Unlock','Unna' => 'Unna','VT323' => 'VT323','Vampiro One' => 'Vampiro One','Varela' => 'Varela','Varela Round' => 'Varela Round','Vast Shadow' => 'Vast Shadow','Vibur' => 'Vibur','Vidaloka' => 'Vidaloka','Viga' => 'Viga','Voces' => 'Voces','Volkhov' => 'Volkhov','Vollkorn' => 'Vollkorn','Voltaire' => 'Voltaire','Waiting for the Sunrise' => 'Waiting for the Sunrise','Wallpoet' => 'Wallpoet','Walter Turncoat' => 'Walter Turncoat','Warnes' => 'Warnes','Wellfleet' => 'Wellfleet','Wendy One' => 'Wendy One','Wire One' => 'Wire One','Yanone Kaffeesatz' => 'Yanone Kaffeesatz','Yellowtail' => 'Yellowtail','Yeseva One' => 'Yeseva One','Yesteryear' => 'Yesteryear','Zeyada' => 'Zeyada',),'title' => 'Select Body Font Family','default' => 'Select Font',),3 => array ('desc' => 'Select a font family for headings','id' => 'custom_heading_family','type' => 'select','options' => array (0 => 'Select Font','ABeeZee' => 'ABeeZee','Abel' => 'Abel','Abril Fatface' => 'Abril Fatface','Aclonica' => 'Aclonica','Acme' => 'Acme','Actor' => 'Actor','Adamina' => 'Adamina','Advent Pro' => 'Advent Pro','Aguafina Script' => 'Aguafina Script','Akronim' => 'Akronim','Aladin' => 'Aladin','Aldrich' => 'Aldrich','Alef' => 'Alef','Alegreya' => 'Alegreya','Alegreya SC' => 'Alegreya SC','Alegreya Sans' => 'Alegreya Sans','Alegreya Sans SC' => 'Alegreya Sans SC','Alex Brush' => 'Alex Brush','Alfa Slab One' => 'Alfa Slab One','Alice' => 'Alice','Alike' => 'Alike','Alike Angular' => 'Alike Angular','Allan' => 'Allan','Allerta' => 'Allerta','Allerta Stencil' => 'Allerta Stencil','Allura' => 'Allura','Almendra' => 'Almendra','Almendra Display' => 'Almendra Display','Almendra SC' => 'Almendra SC','Amarante' => 'Amarante','Amaranth' => 'Amaranth','Amatic SC' => 'Amatic SC','Amethysta' => 'Amethysta','Anaheim' => 'Anaheim','Andada' => 'Andada','Andika' => 'Andika','Angkor' => 'Angkor','Annie Use Your Telescope' => 'Annie Use Your Telescope','Anonymous Pro' => 'Anonymous Pro','Antic' => 'Antic','Antic Didone' => 'Antic Didone','Antic Slab' => 'Antic Slab','Anton' => 'Anton','Arapey' => 'Arapey','Arbutus' => 'Arbutus','Arbutus Slab' => 'Arbutus Slab','Architects Daughter' => 'Architects Daughter','Archivo Black' => 'Archivo Black','Archivo Narrow' => 'Archivo Narrow','Arimo' => 'Arimo','Arizonia' => 'Arizonia','Armata' => 'Armata','Artifika' => 'Artifika','Arvo' => 'Arvo','Asap' => 'Asap','Asset' => 'Asset','Astloch' => 'Astloch','Asul' => 'Asul','Atomic Age' => 'Atomic Age','Aubrey' => 'Aubrey','Audiowide' => 'Audiowide','Autour One' => 'Autour One','Average' => 'Average','Average Sans' => 'Average Sans','Averia Gruesa Libre' => 'Averia Gruesa Libre','Averia Libre' => 'Averia Libre','Averia Sans Libre' => 'Averia Sans Libre','Averia Serif Libre' => 'Averia Serif Libre','Bad Script' => 'Bad Script','Balthazar' => 'Balthazar','Bangers' => 'Bangers','Basic' => 'Basic','Battambang' => 'Battambang','Baumans' => 'Baumans','Bayon' => 'Bayon','Belgrano' => 'Belgrano','Belleza' => 'Belleza','BenchNine' => 'BenchNine','Bentham' => 'Bentham','Berkshire Swash' => 'Berkshire Swash','Bevan' => 'Bevan','Bigelow Rules' => 'Bigelow Rules','Bigshot One' => 'Bigshot One','Bilbo' => 'Bilbo','Bilbo Swash Caps' => 'Bilbo Swash Caps','Bitter' => 'Bitter','Black Ops One' => 'Black Ops One','Bokor' => 'Bokor','Bonbon' => 'Bonbon','Boogaloo' => 'Boogaloo','Bowlby One' => 'Bowlby One','Bowlby One SC' => 'Bowlby One SC','Brawler' => 'Brawler','Bree Serif' => 'Bree Serif','Bubblegum Sans' => 'Bubblegum Sans','Bubbler One' => 'Bubbler One','Buda' => 'Buda','Buenard' => 'Buenard','Butcherman' => 'Butcherman','Butterfly Kids' => 'Butterfly Kids','Cabin' => 'Cabin','Cabin Condensed' => 'Cabin Condensed','Cabin Sketch' => 'Cabin Sketch','Caesar Dressing' => 'Caesar Dressing','Cagliostro' => 'Cagliostro','Calligraffitti' => 'Calligraffitti','Cambo' => 'Cambo','Candal' => 'Candal','Cantarell' => 'Cantarell','Cantata One' => 'Cantata One','Cantora One' => 'Cantora One','Capriola' => 'Capriola','Cardo' => 'Cardo','Carme' => 'Carme','Carrois Gothic' => 'Carrois Gothic','Carrois Gothic SC' => 'Carrois Gothic SC','Carter One' => 'Carter One','Caudex' => 'Caudex','Cedarville Cursive' => 'Cedarville Cursive','Ceviche One' => 'Ceviche One','Changa One' => 'Changa One','Chango' => 'Chango','Chau Philomene One' => 'Chau Philomene One','Chela One' => 'Chela One','Chelsea Market' => 'Chelsea Market','Chenla' => 'Chenla','Cherry Cream Soda' => 'Cherry Cream Soda','Cherry Swash' => 'Cherry Swash','Chewy' => 'Chewy','Chicle' => 'Chicle','Chivo' => 'Chivo','Cinzel' => 'Cinzel','Cinzel Decorative' => 'Cinzel Decorative','Clicker Script' => 'Clicker Script','Coda' => 'Coda','Coda Caption' => 'Coda Caption','Codystar' => 'Codystar','Combo' => 'Combo','Comfortaa' => 'Comfortaa','Coming Soon' => 'Coming Soon','Concert One' => 'Concert One','Condiment' => 'Condiment','Content' => 'Content','Contrail One' => 'Contrail One','Convergence' => 'Convergence','Cookie' => 'Cookie','Copse' => 'Copse','Corben' => 'Corben','Courgette' => 'Courgette','Cousine' => 'Cousine','Coustard' => 'Coustard','Covered By Your Grace' => 'Covered By Your Grace','Crafty Girls' => 'Crafty Girls','Creepster' => 'Creepster','Crete Round' => 'Crete Round','Crimson Text' => 'Crimson Text','Croissant One' => 'Croissant One','Crushed' => 'Crushed','Cuprum' => 'Cuprum','Cutive' => 'Cutive','Cutive Mono' => 'Cutive Mono','Damion' => 'Damion','Dancing Script' => 'Dancing Script','Dangrek' => 'Dangrek','Dawning of a New Day' => 'Dawning of a New Day','Days One' => 'Days One','Delius' => 'Delius','Delius Swash Caps' => 'Delius Swash Caps','Delius Unicase' => 'Delius Unicase','Della Respira' => 'Della Respira','Denk One' => 'Denk One','Devonshire' => 'Devonshire','Didact Gothic' => 'Didact Gothic','Diplomata' => 'Diplomata','Diplomata SC' => 'Diplomata SC','Domine' => 'Domine','Donegal One' => 'Donegal One','Doppio One' => 'Doppio One','Dorsa' => 'Dorsa','Dosis' => 'Dosis','Dr Sugiyama' => 'Dr Sugiyama','Droid Sans' => 'Droid Sans','Droid Sans Mono' => 'Droid Sans Mono','Droid Serif' => 'Droid Serif','Duru Sans' => 'Duru Sans','Dynalight' => 'Dynalight','EB Garamond' => 'EB Garamond','Eagle Lake' => 'Eagle Lake','Eater' => 'Eater','Economica' => 'Economica','Electrolize' => 'Electrolize','Elsie' => 'Elsie','Elsie Swash Caps' => 'Elsie Swash Caps','Emblema One' => 'Emblema One','Emilys Candy' => 'Emilys Candy','Engagement' => 'Engagement','Englebert' => 'Englebert','Enriqueta' => 'Enriqueta','Erica One' => 'Erica One','Esteban' => 'Esteban','Euphoria Script' => 'Euphoria Script','Ewert' => 'Ewert','Exo' => 'Exo','Exo 2' => 'Exo 2','Expletus Sans' => 'Expletus Sans','Fanwood Text' => 'Fanwood Text','Fascinate' => 'Fascinate','Fascinate Inline' => 'Fascinate Inline','Faster One' => 'Faster One','Fasthand' => 'Fasthand','Fauna One' => 'Fauna One','Federant' => 'Federant','Federo' => 'Federo','Felipa' => 'Felipa','Fenix' => 'Fenix','Finger Paint' => 'Finger Paint','Fjalla One' => 'Fjalla One','Fjord One' => 'Fjord One','Flamenco' => 'Flamenco','Flavors' => 'Flavors','Fondamento' => 'Fondamento','Fontdiner Swanky' => 'Fontdiner Swanky','Forum' => 'Forum','Francois One' => 'Francois One','Freckle Face' => 'Freckle Face','Fredericka the Great' => 'Fredericka the Great','Fredoka One' => 'Fredoka One','Freehand' => 'Freehand','Fresca' => 'Fresca','Frijole' => 'Frijole','Fruktur' => 'Fruktur','Fugaz One' => 'Fugaz One','GFS Didot' => 'GFS Didot','GFS Neohellenic' => 'GFS Neohellenic','Gabriela' => 'Gabriela','Gafata' => 'Gafata','Galdeano' => 'Galdeano','Galindo' => 'Galindo','Gentium Basic' => 'Gentium Basic','Gentium Book Basic' => 'Gentium Book Basic','Geo' => 'Geo','Geostar' => 'Geostar','Geostar Fill' => 'Geostar Fill','Germania One' => 'Germania One','Gilda Display' => 'Gilda Display','Give You Glory' => 'Give You Glory','Glass Antiqua' => 'Glass Antiqua','Glegoo' => 'Glegoo','Gloria Hallelujah' => 'Gloria Hallelujah','Goblin One' => 'Goblin One','Gochi Hand' => 'Gochi Hand','Gorditas' => 'Gorditas','Goudy Bookletter 1911' => 'Goudy Bookletter 1911','Graduate' => 'Graduate','Grand Hotel' => 'Grand Hotel','Gravitas One' => 'Gravitas One','Great Vibes' => 'Great Vibes','Griffy' => 'Griffy','Gruppo' => 'Gruppo','Gudea' => 'Gudea','Habibi' => 'Habibi','Hammersmith One' => 'Hammersmith One','Hanalei' => 'Hanalei','Hanalei Fill' => 'Hanalei Fill','Handlee' => 'Handlee','Hanuman' => 'Hanuman','Happy Monkey' => 'Happy Monkey','Headland One' => 'Headland One','Henny Penny' => 'Henny Penny','Herr Von Muellerhoff' => 'Herr Von Muellerhoff','Holtwood One SC' => 'Holtwood One SC','Homemade Apple' => 'Homemade Apple','Homenaje' => 'Homenaje','IM Fell DW Pica' => 'IM Fell DW Pica','IM Fell DW Pica SC' => 'IM Fell DW Pica SC','IM Fell Double Pica' => 'IM Fell Double Pica','IM Fell Double Pica SC' => 'IM Fell Double Pica SC','IM Fell English' => 'IM Fell English','IM Fell English SC' => 'IM Fell English SC','IM Fell French Canon' => 'IM Fell French Canon','IM Fell French Canon SC' => 'IM Fell French Canon SC','IM Fell Great Primer' => 'IM Fell Great Primer','IM Fell Great Primer SC' => 'IM Fell Great Primer SC','Iceberg' => 'Iceberg','Iceland' => 'Iceland','Imprima' => 'Imprima','Inconsolata' => 'Inconsolata','Inder' => 'Inder','Indie Flower' => 'Indie Flower','Inika' => 'Inika','Irish Grover' => 'Irish Grover','Istok Web' => 'Istok Web','Italiana' => 'Italiana','Italianno' => 'Italianno','Jacques Francois' => 'Jacques Francois','Jacques Francois Shadow' => 'Jacques Francois Shadow','Jim Nightshade' => 'Jim Nightshade','Jockey One' => 'Jockey One','Jolly Lodger' => 'Jolly Lodger','Josefin Sans' => 'Josefin Sans','Josefin Slab' => 'Josefin Slab','Joti One' => 'Joti One','Judson' => 'Judson','Julee' => 'Julee','Julius Sans One' => 'Julius Sans One','Junge' => 'Junge','Jura' => 'Jura','Just Another Hand' => 'Just Another Hand','Just Me Again Down Here' => 'Just Me Again Down Here','Kameron' => 'Kameron','Kantumruy' => 'Kantumruy','Karla' => 'Karla','Kaushan Script' => 'Kaushan Script','Kavoon' => 'Kavoon','Kdam Thmor' => 'Kdam Thmor','Keania One' => 'Keania One','Kelly Slab' => 'Kelly Slab','Kenia' => 'Kenia','Khmer' => 'Khmer','Kite One' => 'Kite One','Knewave' => 'Knewave','Kotta One' => 'Kotta One','Koulen' => 'Koulen','Kranky' => 'Kranky','Kreon' => 'Kreon','Kristi' => 'Kristi','Krona One' => 'Krona One','La Belle Aurore' => 'La Belle Aurore','Lancelot' => 'Lancelot','Lato' => 'Lato','League Script' => 'League Script','Leckerli One' => 'Leckerli One','Ledger' => 'Ledger','Lekton' => 'Lekton','Lemon' => 'Lemon','Libre Baskerville' => 'Libre Baskerville','Life Savers' => 'Life Savers','Lilita One' => 'Lilita One','Lily Script One' => 'Lily Script One','Limelight' => 'Limelight','Linden Hill' => 'Linden Hill','Lobster' => 'Lobster','Lobster Two' => 'Lobster Two','Londrina Outline' => 'Londrina Outline','Londrina Shadow' => 'Londrina Shadow','Londrina Sketch' => 'Londrina Sketch','Londrina Solid' => 'Londrina Solid','Lora' => 'Lora','Love Ya Like A Sister' => 'Love Ya Like A Sister','Loved by the King' => 'Loved by the King','Lovers Quarrel' => 'Lovers Quarrel','Luckiest Guy' => 'Luckiest Guy','Lusitana' => 'Lusitana','Lustria' => 'Lustria','Macondo' => 'Macondo','Macondo Swash Caps' => 'Macondo Swash Caps','Magra' => 'Magra','Maiden Orange' => 'Maiden Orange','Mako' => 'Mako','Marcellus' => 'Marcellus','Marcellus SC' => 'Marcellus SC','Marck Script' => 'Marck Script','Margarine' => 'Margarine','Marko One' => 'Marko One','Marmelad' => 'Marmelad','Marvel' => 'Marvel','Mate' => 'Mate','Mate SC' => 'Mate SC','Maven Pro' => 'Maven Pro','McLaren' => 'McLaren','Meddon' => 'Meddon','MedievalSharp' => 'MedievalSharp','Medula One' => 'Medula One','Megrim' => 'Megrim','Meie Script' => 'Meie Script','Merienda' => 'Merienda','Merienda One' => 'Merienda One','Merriweather' => 'Merriweather','Merriweather Sans' => 'Merriweather Sans','Metal' => 'Metal','Metal Mania' => 'Metal Mania','Metamorphous' => 'Metamorphous','Metrophobic' => 'Metrophobic','Michroma' => 'Michroma','Milonga' => 'Milonga','Miltonian' => 'Miltonian','Miltonian Tattoo' => 'Miltonian Tattoo','Miniver' => 'Miniver','Miss Fajardose' => 'Miss Fajardose','Modern Antiqua' => 'Modern Antiqua','Molengo' => 'Molengo','Molle' => 'Molle','Monda' => 'Monda','Monofett' => 'Monofett','Monoton' => 'Monoton','Monsieur La Doulaise' => 'Monsieur La Doulaise','Montaga' => 'Montaga','Montez' => 'Montez','Montserrat' => 'Montserrat','Montserrat Alternates' => 'Montserrat Alternates','Montserrat Subrayada' => 'Montserrat Subrayada','Moul' => 'Moul','Moulpali' => 'Moulpali','Mountains of Christmas' => 'Mountains of Christmas','Mouse Memoirs' => 'Mouse Memoirs','Mr Bedfort' => 'Mr Bedfort','Mr Dafoe' => 'Mr Dafoe','Mr De Haviland' => 'Mr De Haviland','Mrs Saint Delafield' => 'Mrs Saint Delafield','Mrs Sheppards' => 'Mrs Sheppards','Muli' => 'Muli','Mystery Quest' => 'Mystery Quest','Neucha' => 'Neucha','Neuton' => 'Neuton','New Rocker' => 'New Rocker','News Cycle' => 'News Cycle','Niconne' => 'Niconne','Nixie One' => 'Nixie One','Nobile' => 'Nobile','Nokora' => 'Nokora','Norican' => 'Norican','Nosifer' => 'Nosifer','Nothing You Could Do' => 'Nothing You Could Do','Noticia Text' => 'Noticia Text','Noto Sans' => 'Noto Sans','Noto Serif' => 'Noto Serif','Nova Cut' => 'Nova Cut','Nova Flat' => 'Nova Flat','Nova Mono' => 'Nova Mono','Nova Oval' => 'Nova Oval','Nova Round' => 'Nova Round','Nova Script' => 'Nova Script','Nova Slim' => 'Nova Slim','Nova Square' => 'Nova Square','Numans' => 'Numans','Nunito' => 'Nunito','Odor Mean Chey' => 'Odor Mean Chey','Offside' => 'Offside','Old Standard TT' => 'Old Standard TT','Oldenburg' => 'Oldenburg','Oleo Script' => 'Oleo Script','Oleo Script Swash Caps' => 'Oleo Script Swash Caps','Open Sans' => 'Open Sans','Open Sans Condensed' => 'Open Sans Condensed','Oranienbaum' => 'Oranienbaum','Orbitron' => 'Orbitron','Oregano' => 'Oregano','Orienta' => 'Orienta','Original Surfer' => 'Original Surfer','Oswald' => 'Oswald','Over the Rainbow' => 'Over the Rainbow','Overlock' => 'Overlock','Overlock SC' => 'Overlock SC','Ovo' => 'Ovo','Oxygen' => 'Oxygen','Oxygen Mono' => 'Oxygen Mono','PT Mono' => 'PT Mono','PT Sans' => 'PT Sans','PT Sans Caption' => 'PT Sans Caption','PT Sans Narrow' => 'PT Sans Narrow','PT Serif' => 'PT Serif','PT Serif Caption' => 'PT Serif Caption','Pacifico' => 'Pacifico','Paprika' => 'Paprika','Parisienne' => 'Parisienne','Passero One' => 'Passero One','Passion One' => 'Passion One','Pathway Gothic One' => 'Pathway Gothic One','Patrick Hand' => 'Patrick Hand','Patrick Hand SC' => 'Patrick Hand SC','Patua One' => 'Patua One','Paytone One' => 'Paytone One','Peralta' => 'Peralta','Permanent Marker' => 'Permanent Marker','Petit Formal Script' => 'Petit Formal Script','Petrona' => 'Petrona','Philosopher' => 'Philosopher','Piedra' => 'Piedra','Pinyon Script' => 'Pinyon Script','Pirata One' => 'Pirata One','Plaster' => 'Plaster','Play' => 'Play','Playball' => 'Playball','Playfair Display' => 'Playfair Display','Playfair Display SC' => 'Playfair Display SC','Podkova' => 'Podkova','Poiret One' => 'Poiret One','Poller One' => 'Poller One','Poly' => 'Poly','Pompiere' => 'Pompiere','Pontano Sans' => 'Pontano Sans','Port Lligat Sans' => 'Port Lligat Sans','Port Lligat Slab' => 'Port Lligat Slab','Prata' => 'Prata','Preahvihear' => 'Preahvihear','Press Start 2P' => 'Press Start 2P','Princess Sofia' => 'Princess Sofia','Prociono' => 'Prociono','Prosto One' => 'Prosto One','Puritan' => 'Puritan','Purple Purse' => 'Purple Purse','Quando' => 'Quando','Quantico' => 'Quantico','Quattrocento' => 'Quattrocento','Quattrocento Sans' => 'Quattrocento Sans','Questrial' => 'Questrial','Quicksand' => 'Quicksand','Quintessential' => 'Quintessential','Qwigley' => 'Qwigley','Racing Sans One' => 'Racing Sans One','Radley' => 'Radley','Raleway' => 'Raleway','Raleway Dots' => 'Raleway Dots','Rambla' => 'Rambla','Rammetto One' => 'Rammetto One','Ranchers' => 'Ranchers','Rancho' => 'Rancho','Rationale' => 'Rationale','Redressed' => 'Redressed','Reenie Beanie' => 'Reenie Beanie','Revalia' => 'Revalia','Ribeye' => 'Ribeye','Ribeye Marrow' => 'Ribeye Marrow','Righteous' => 'Righteous','Risque' => 'Risque','Roboto' => 'Roboto','Roboto Condensed' => 'Roboto Condensed','Roboto Slab' => 'Roboto Slab','Rochester' => 'Rochester','Rock Salt' => 'Rock Salt','Rokkitt' => 'Rokkitt','Romanesco' => 'Romanesco','Ropa Sans' => 'Ropa Sans','Rosario' => 'Rosario','Rosarivo' => 'Rosarivo','Rouge Script' => 'Rouge Script','Ruda' => 'Ruda','Rufina' => 'Rufina','Ruge Boogie' => 'Ruge Boogie','Ruluko' => 'Ruluko','Rum Raisin' => 'Rum Raisin','Ruslan Display' => 'Ruslan Display','Russo One' => 'Russo One','Ruthie' => 'Ruthie','Rye' => 'Rye','Sacramento' => 'Sacramento','Sail' => 'Sail','Salsa' => 'Salsa','Sanchez' => 'Sanchez','Sancreek' => 'Sancreek','Sansita One' => 'Sansita One','Sarina' => 'Sarina','Satisfy' => 'Satisfy','Scada' => 'Scada','Schoolbell' => 'Schoolbell','Seaweed Script' => 'Seaweed Script','Sevillana' => 'Sevillana','Seymour One' => 'Seymour One','Shadows Into Light' => 'Shadows Into Light','Shadows Into Light Two' => 'Shadows Into Light Two','Shanti' => 'Shanti','Share' => 'Share','Share Tech' => 'Share Tech','Share Tech Mono' => 'Share Tech Mono','Shojumaru' => 'Shojumaru','Short Stack' => 'Short Stack','Siemreap' => 'Siemreap','Sigmar One' => 'Sigmar One','Signika' => 'Signika','Signika Negative' => 'Signika Negative','Simonetta' => 'Simonetta','Sintony' => 'Sintony','Sirin Stencil' => 'Sirin Stencil','Six Caps' => 'Six Caps','Skranji' => 'Skranji','Slackey' => 'Slackey','Smokum' => 'Smokum','Smythe' => 'Smythe','Sniglet' => 'Sniglet','Snippet' => 'Snippet','Snowburst One' => 'Snowburst One','Sofadi One' => 'Sofadi One','Sofia' => 'Sofia','Sonsie One' => 'Sonsie One','Sorts Mill Goudy' => 'Sorts Mill Goudy','Source Code Pro' => 'Source Code Pro','Source Sans Pro' => 'Source Sans Pro','Special Elite' => 'Special Elite','Spicy Rice' => 'Spicy Rice','Spinnaker' => 'Spinnaker','Spirax' => 'Spirax','Squada One' => 'Squada One','Stalemate' => 'Stalemate','Stalinist One' => 'Stalinist One','Stardos Stencil' => 'Stardos Stencil','Stint Ultra Condensed' => 'Stint Ultra Condensed','Stint Ultra Expanded' => 'Stint Ultra Expanded','Stoke' => 'Stoke','Strait' => 'Strait','Sue Ellen Francisco' => 'Sue Ellen Francisco','Sunshiney' => 'Sunshiney','Supermercado One' => 'Supermercado One','Suwannaphum' => 'Suwannaphum','Swanky and Moo Moo' => 'Swanky and Moo Moo','Syncopate' => 'Syncopate','Tangerine' => 'Tangerine','Taprom' => 'Taprom','Tauri' => 'Tauri','Telex' => 'Telex','Tenor Sans' => 'Tenor Sans','Text Me One' => 'Text Me One','The Girl Next Door' => 'The Girl Next Door','Tienne' => 'Tienne','Tinos' => 'Tinos','Titan One' => 'Titan One','Titillium Web' => 'Titillium Web','Trade Winds' => 'Trade Winds','Trocchi' => 'Trocchi','Trochut' => 'Trochut','Trykker' => 'Trykker','Tulpen One' => 'Tulpen One','Ubuntu' => 'Ubuntu','Ubuntu Condensed' => 'Ubuntu Condensed','Ubuntu Mono' => 'Ubuntu Mono','Ultra' => 'Ultra','Uncial Antiqua' => 'Uncial Antiqua','Underdog' => 'Underdog','Unica One' => 'Unica One','UnifrakturCook' => 'UnifrakturCook','UnifrakturMaguntia' => 'UnifrakturMaguntia','Unkempt' => 'Unkempt','Unlock' => 'Unlock','Unna' => 'Unna','VT323' => 'VT323','Vampiro One' => 'Vampiro One','Varela' => 'Varela','Varela Round' => 'Varela Round','Vast Shadow' => 'Vast Shadow','Vibur' => 'Vibur','Vidaloka' => 'Vidaloka','Viga' => 'Viga','Voces' => 'Voces','Volkhov' => 'Volkhov','Vollkorn' => 'Vollkorn','Voltaire' => 'Voltaire','Waiting for the Sunrise' => 'Waiting for the Sunrise','Wallpoet' => 'Wallpoet','Walter Turncoat' => 'Walter Turncoat','Warnes' => 'Warnes','Wellfleet' => 'Wellfleet','Wendy One' => 'Wendy One','Wire One' => 'Wire One','Yanone Kaffeesatz' => 'Yanone Kaffeesatz','Yellowtail' => 'Yellowtail','Yeseva One' => 'Yeseva One','Yesteryear' => 'Yesteryear','Zeyada' => 'Zeyada',),'title' => 'Select Heading Font','default' => 'Select Font',),4 => array ('desc' => 'Select a font family for footer headings','id' => 'custom_footer_family','type' => 'select','options' => array (0 => 'Select Font','ABeeZee' => 'ABeeZee','Abel' => 'Abel','Abril Fatface' => 'Abril Fatface','Aclonica' => 'Aclonica','Acme' => 'Acme','Actor' => 'Actor','Adamina' => 'Adamina','Advent Pro' => 'Advent Pro','Aguafina Script' => 'Aguafina Script','Akronim' => 'Akronim','Aladin' => 'Aladin','Aldrich' => 'Aldrich','Alef' => 'Alef','Alegreya' => 'Alegreya','Alegreya SC' => 'Alegreya SC','Alegreya Sans' => 'Alegreya Sans','Alegreya Sans SC' => 'Alegreya Sans SC','Alex Brush' => 'Alex Brush','Alfa Slab One' => 'Alfa Slab One','Alice' => 'Alice','Alike' => 'Alike','Alike Angular' => 'Alike Angular','Allan' => 'Allan','Allerta' => 'Allerta','Allerta Stencil' => 'Allerta Stencil','Allura' => 'Allura','Almendra' => 'Almendra','Almendra Display' => 'Almendra Display','Almendra SC' => 'Almendra SC','Amarante' => 'Amarante','Amaranth' => 'Amaranth','Amatic SC' => 'Amatic SC','Amethysta' => 'Amethysta','Anaheim' => 'Anaheim','Andada' => 'Andada','Andika' => 'Andika','Angkor' => 'Angkor','Annie Use Your Telescope' => 'Annie Use Your Telescope','Anonymous Pro' => 'Anonymous Pro','Antic' => 'Antic','Antic Didone' => 'Antic Didone','Antic Slab' => 'Antic Slab','Anton' => 'Anton','Arapey' => 'Arapey','Arbutus' => 'Arbutus','Arbutus Slab' => 'Arbutus Slab','Architects Daughter' => 'Architects Daughter','Archivo Black' => 'Archivo Black','Archivo Narrow' => 'Archivo Narrow','Arimo' => 'Arimo','Arizonia' => 'Arizonia','Armata' => 'Armata','Artifika' => 'Artifika','Arvo' => 'Arvo','Asap' => 'Asap','Asset' => 'Asset','Astloch' => 'Astloch','Asul' => 'Asul','Atomic Age' => 'Atomic Age','Aubrey' => 'Aubrey','Audiowide' => 'Audiowide','Autour One' => 'Autour One','Average' => 'Average','Average Sans' => 'Average Sans','Averia Gruesa Libre' => 'Averia Gruesa Libre','Averia Libre' => 'Averia Libre','Averia Sans Libre' => 'Averia Sans Libre','Averia Serif Libre' => 'Averia Serif Libre','Bad Script' => 'Bad Script','Balthazar' => 'Balthazar','Bangers' => 'Bangers','Basic' => 'Basic','Battambang' => 'Battambang','Baumans' => 'Baumans','Bayon' => 'Bayon','Belgrano' => 'Belgrano','Belleza' => 'Belleza','BenchNine' => 'BenchNine','Bentham' => 'Bentham','Berkshire Swash' => 'Berkshire Swash','Bevan' => 'Bevan','Bigelow Rules' => 'Bigelow Rules','Bigshot One' => 'Bigshot One','Bilbo' => 'Bilbo','Bilbo Swash Caps' => 'Bilbo Swash Caps','Bitter' => 'Bitter','Black Ops One' => 'Black Ops One','Bokor' => 'Bokor','Bonbon' => 'Bonbon','Boogaloo' => 'Boogaloo','Bowlby One' => 'Bowlby One','Bowlby One SC' => 'Bowlby One SC','Brawler' => 'Brawler','Bree Serif' => 'Bree Serif','Bubblegum Sans' => 'Bubblegum Sans','Bubbler One' => 'Bubbler One','Buda' => 'Buda','Buenard' => 'Buenard','Butcherman' => 'Butcherman','Butterfly Kids' => 'Butterfly Kids','Cabin' => 'Cabin','Cabin Condensed' => 'Cabin Condensed','Cabin Sketch' => 'Cabin Sketch','Caesar Dressing' => 'Caesar Dressing','Cagliostro' => 'Cagliostro','Calligraffitti' => 'Calligraffitti','Cambo' => 'Cambo','Candal' => 'Candal','Cantarell' => 'Cantarell','Cantata One' => 'Cantata One','Cantora One' => 'Cantora One','Capriola' => 'Capriola','Cardo' => 'Cardo','Carme' => 'Carme','Carrois Gothic' => 'Carrois Gothic','Carrois Gothic SC' => 'Carrois Gothic SC','Carter One' => 'Carter One','Caudex' => 'Caudex','Cedarville Cursive' => 'Cedarville Cursive','Ceviche One' => 'Ceviche One','Changa One' => 'Changa One','Chango' => 'Chango','Chau Philomene One' => 'Chau Philomene One','Chela One' => 'Chela One','Chelsea Market' => 'Chelsea Market','Chenla' => 'Chenla','Cherry Cream Soda' => 'Cherry Cream Soda','Cherry Swash' => 'Cherry Swash','Chewy' => 'Chewy','Chicle' => 'Chicle','Chivo' => 'Chivo','Cinzel' => 'Cinzel','Cinzel Decorative' => 'Cinzel Decorative','Clicker Script' => 'Clicker Script','Coda' => 'Coda','Coda Caption' => 'Coda Caption','Codystar' => 'Codystar','Combo' => 'Combo','Comfortaa' => 'Comfortaa','Coming Soon' => 'Coming Soon','Concert One' => 'Concert One','Condiment' => 'Condiment','Content' => 'Content','Contrail One' => 'Contrail One','Convergence' => 'Convergence','Cookie' => 'Cookie','Copse' => 'Copse','Corben' => 'Corben','Courgette' => 'Courgette','Cousine' => 'Cousine','Coustard' => 'Coustard','Covered By Your Grace' => 'Covered By Your Grace','Crafty Girls' => 'Crafty Girls','Creepster' => 'Creepster','Crete Round' => 'Crete Round','Crimson Text' => 'Crimson Text','Croissant One' => 'Croissant One','Crushed' => 'Crushed','Cuprum' => 'Cuprum','Cutive' => 'Cutive','Cutive Mono' => 'Cutive Mono','Damion' => 'Damion','Dancing Script' => 'Dancing Script','Dangrek' => 'Dangrek','Dawning of a New Day' => 'Dawning of a New Day','Days One' => 'Days One','Delius' => 'Delius','Delius Swash Caps' => 'Delius Swash Caps','Delius Unicase' => 'Delius Unicase','Della Respira' => 'Della Respira','Denk One' => 'Denk One','Devonshire' => 'Devonshire','Didact Gothic' => 'Didact Gothic','Diplomata' => 'Diplomata','Diplomata SC' => 'Diplomata SC','Domine' => 'Domine','Donegal One' => 'Donegal One','Doppio One' => 'Doppio One','Dorsa' => 'Dorsa','Dosis' => 'Dosis','Dr Sugiyama' => 'Dr Sugiyama','Droid Sans' => 'Droid Sans','Droid Sans Mono' => 'Droid Sans Mono','Droid Serif' => 'Droid Serif','Duru Sans' => 'Duru Sans','Dynalight' => 'Dynalight','EB Garamond' => 'EB Garamond','Eagle Lake' => 'Eagle Lake','Eater' => 'Eater','Economica' => 'Economica','Electrolize' => 'Electrolize','Elsie' => 'Elsie','Elsie Swash Caps' => 'Elsie Swash Caps','Emblema One' => 'Emblema One','Emilys Candy' => 'Emilys Candy','Engagement' => 'Engagement','Englebert' => 'Englebert','Enriqueta' => 'Enriqueta','Erica One' => 'Erica One','Esteban' => 'Esteban','Euphoria Script' => 'Euphoria Script','Ewert' => 'Ewert','Exo' => 'Exo','Exo 2' => 'Exo 2','Expletus Sans' => 'Expletus Sans','Fanwood Text' => 'Fanwood Text','Fascinate' => 'Fascinate','Fascinate Inline' => 'Fascinate Inline','Faster One' => 'Faster One','Fasthand' => 'Fasthand','Fauna One' => 'Fauna One','Federant' => 'Federant','Federo' => 'Federo','Felipa' => 'Felipa','Fenix' => 'Fenix','Finger Paint' => 'Finger Paint','Fjalla One' => 'Fjalla One','Fjord One' => 'Fjord One','Flamenco' => 'Flamenco','Flavors' => 'Flavors','Fondamento' => 'Fondamento','Fontdiner Swanky' => 'Fontdiner Swanky','Forum' => 'Forum','Francois One' => 'Francois One','Freckle Face' => 'Freckle Face','Fredericka the Great' => 'Fredericka the Great','Fredoka One' => 'Fredoka One','Freehand' => 'Freehand','Fresca' => 'Fresca','Frijole' => 'Frijole','Fruktur' => 'Fruktur','Fugaz One' => 'Fugaz One','GFS Didot' => 'GFS Didot','GFS Neohellenic' => 'GFS Neohellenic','Gabriela' => 'Gabriela','Gafata' => 'Gafata','Galdeano' => 'Galdeano','Galindo' => 'Galindo','Gentium Basic' => 'Gentium Basic','Gentium Book Basic' => 'Gentium Book Basic','Geo' => 'Geo','Geostar' => 'Geostar','Geostar Fill' => 'Geostar Fill','Germania One' => 'Germania One','Gilda Display' => 'Gilda Display','Give You Glory' => 'Give You Glory','Glass Antiqua' => 'Glass Antiqua','Glegoo' => 'Glegoo','Gloria Hallelujah' => 'Gloria Hallelujah','Goblin One' => 'Goblin One','Gochi Hand' => 'Gochi Hand','Gorditas' => 'Gorditas','Goudy Bookletter 1911' => 'Goudy Bookletter 1911','Graduate' => 'Graduate','Grand Hotel' => 'Grand Hotel','Gravitas One' => 'Gravitas One','Great Vibes' => 'Great Vibes','Griffy' => 'Griffy','Gruppo' => 'Gruppo','Gudea' => 'Gudea','Habibi' => 'Habibi','Hammersmith One' => 'Hammersmith One','Hanalei' => 'Hanalei','Hanalei Fill' => 'Hanalei Fill','Handlee' => 'Handlee','Hanuman' => 'Hanuman','Happy Monkey' => 'Happy Monkey','Headland One' => 'Headland One','Henny Penny' => 'Henny Penny','Herr Von Muellerhoff' => 'Herr Von Muellerhoff','Holtwood One SC' => 'Holtwood One SC','Homemade Apple' => 'Homemade Apple','Homenaje' => 'Homenaje','IM Fell DW Pica' => 'IM Fell DW Pica','IM Fell DW Pica SC' => 'IM Fell DW Pica SC','IM Fell Double Pica' => 'IM Fell Double Pica','IM Fell Double Pica SC' => 'IM Fell Double Pica SC','IM Fell English' => 'IM Fell English','IM Fell English SC' => 'IM Fell English SC','IM Fell French Canon' => 'IM Fell French Canon','IM Fell French Canon SC' => 'IM Fell French Canon SC','IM Fell Great Primer' => 'IM Fell Great Primer','IM Fell Great Primer SC' => 'IM Fell Great Primer SC','Iceberg' => 'Iceberg','Iceland' => 'Iceland','Imprima' => 'Imprima','Inconsolata' => 'Inconsolata','Inder' => 'Inder','Indie Flower' => 'Indie Flower','Inika' => 'Inika','Irish Grover' => 'Irish Grover','Istok Web' => 'Istok Web','Italiana' => 'Italiana','Italianno' => 'Italianno','Jacques Francois' => 'Jacques Francois','Jacques Francois Shadow' => 'Jacques Francois Shadow','Jim Nightshade' => 'Jim Nightshade','Jockey One' => 'Jockey One','Jolly Lodger' => 'Jolly Lodger','Josefin Sans' => 'Josefin Sans','Josefin Slab' => 'Josefin Slab','Joti One' => 'Joti One','Judson' => 'Judson','Julee' => 'Julee','Julius Sans One' => 'Julius Sans One','Junge' => 'Junge','Jura' => 'Jura','Just Another Hand' => 'Just Another Hand','Just Me Again Down Here' => 'Just Me Again Down Here','Kameron' => 'Kameron','Kantumruy' => 'Kantumruy','Karla' => 'Karla','Kaushan Script' => 'Kaushan Script','Kavoon' => 'Kavoon','Kdam Thmor' => 'Kdam Thmor','Keania One' => 'Keania One','Kelly Slab' => 'Kelly Slab','Kenia' => 'Kenia','Khmer' => 'Khmer','Kite One' => 'Kite One','Knewave' => 'Knewave','Kotta One' => 'Kotta One','Koulen' => 'Koulen','Kranky' => 'Kranky','Kreon' => 'Kreon','Kristi' => 'Kristi','Krona One' => 'Krona One','La Belle Aurore' => 'La Belle Aurore','Lancelot' => 'Lancelot','Lato' => 'Lato','League Script' => 'League Script','Leckerli One' => 'Leckerli One','Ledger' => 'Ledger','Lekton' => 'Lekton','Lemon' => 'Lemon','Libre Baskerville' => 'Libre Baskerville','Life Savers' => 'Life Savers','Lilita One' => 'Lilita One','Lily Script One' => 'Lily Script One','Limelight' => 'Limelight','Linden Hill' => 'Linden Hill','Lobster' => 'Lobster','Lobster Two' => 'Lobster Two','Londrina Outline' => 'Londrina Outline','Londrina Shadow' => 'Londrina Shadow','Londrina Sketch' => 'Londrina Sketch','Londrina Solid' => 'Londrina Solid','Lora' => 'Lora','Love Ya Like A Sister' => 'Love Ya Like A Sister','Loved by the King' => 'Loved by the King','Lovers Quarrel' => 'Lovers Quarrel','Luckiest Guy' => 'Luckiest Guy','Lusitana' => 'Lusitana','Lustria' => 'Lustria','Macondo' => 'Macondo','Macondo Swash Caps' => 'Macondo Swash Caps','Magra' => 'Magra','Maiden Orange' => 'Maiden Orange','Mako' => 'Mako','Marcellus' => 'Marcellus','Marcellus SC' => 'Marcellus SC','Marck Script' => 'Marck Script','Margarine' => 'Margarine','Marko One' => 'Marko One','Marmelad' => 'Marmelad','Marvel' => 'Marvel','Mate' => 'Mate','Mate SC' => 'Mate SC','Maven Pro' => 'Maven Pro','McLaren' => 'McLaren','Meddon' => 'Meddon','MedievalSharp' => 'MedievalSharp','Medula One' => 'Medula One','Megrim' => 'Megrim','Meie Script' => 'Meie Script','Merienda' => 'Merienda','Merienda One' => 'Merienda One','Merriweather' => 'Merriweather','Merriweather Sans' => 'Merriweather Sans','Metal' => 'Metal','Metal Mania' => 'Metal Mania','Metamorphous' => 'Metamorphous','Metrophobic' => 'Metrophobic','Michroma' => 'Michroma','Milonga' => 'Milonga','Miltonian' => 'Miltonian','Miltonian Tattoo' => 'Miltonian Tattoo','Miniver' => 'Miniver','Miss Fajardose' => 'Miss Fajardose','Modern Antiqua' => 'Modern Antiqua','Molengo' => 'Molengo','Molle' => 'Molle','Monda' => 'Monda','Monofett' => 'Monofett','Monoton' => 'Monoton','Monsieur La Doulaise' => 'Monsieur La Doulaise','Montaga' => 'Montaga','Montez' => 'Montez','Montserrat' => 'Montserrat','Montserrat Alternates' => 'Montserrat Alternates','Montserrat Subrayada' => 'Montserrat Subrayada','Moul' => 'Moul','Moulpali' => 'Moulpali','Mountains of Christmas' => 'Mountains of Christmas','Mouse Memoirs' => 'Mouse Memoirs','Mr Bedfort' => 'Mr Bedfort','Mr Dafoe' => 'Mr Dafoe','Mr De Haviland' => 'Mr De Haviland','Mrs Saint Delafield' => 'Mrs Saint Delafield','Mrs Sheppards' => 'Mrs Sheppards','Muli' => 'Muli','Mystery Quest' => 'Mystery Quest','Neucha' => 'Neucha','Neuton' => 'Neuton','New Rocker' => 'New Rocker','News Cycle' => 'News Cycle','Niconne' => 'Niconne','Nixie One' => 'Nixie One','Nobile' => 'Nobile','Nokora' => 'Nokora','Norican' => 'Norican','Nosifer' => 'Nosifer','Nothing You Could Do' => 'Nothing You Could Do','Noticia Text' => 'Noticia Text','Noto Sans' => 'Noto Sans','Noto Serif' => 'Noto Serif','Nova Cut' => 'Nova Cut','Nova Flat' => 'Nova Flat','Nova Mono' => 'Nova Mono','Nova Oval' => 'Nova Oval','Nova Round' => 'Nova Round','Nova Script' => 'Nova Script','Nova Slim' => 'Nova Slim','Nova Square' => 'Nova Square','Numans' => 'Numans','Nunito' => 'Nunito','Odor Mean Chey' => 'Odor Mean Chey','Offside' => 'Offside','Old Standard TT' => 'Old Standard TT','Oldenburg' => 'Oldenburg','Oleo Script' => 'Oleo Script','Oleo Script Swash Caps' => 'Oleo Script Swash Caps','Open Sans' => 'Open Sans','Open Sans Condensed' => 'Open Sans Condensed','Oranienbaum' => 'Oranienbaum','Orbitron' => 'Orbitron','Oregano' => 'Oregano','Orienta' => 'Orienta','Original Surfer' => 'Original Surfer','Oswald' => 'Oswald','Over the Rainbow' => 'Over the Rainbow','Overlock' => 'Overlock','Overlock SC' => 'Overlock SC','Ovo' => 'Ovo','Oxygen' => 'Oxygen','Oxygen Mono' => 'Oxygen Mono','PT Mono' => 'PT Mono','PT Sans' => 'PT Sans','PT Sans Caption' => 'PT Sans Caption','PT Sans Narrow' => 'PT Sans Narrow','PT Serif' => 'PT Serif','PT Serif Caption' => 'PT Serif Caption','Pacifico' => 'Pacifico','Paprika' => 'Paprika','Parisienne' => 'Parisienne','Passero One' => 'Passero One','Passion One' => 'Passion One','Pathway Gothic One' => 'Pathway Gothic One','Patrick Hand' => 'Patrick Hand','Patrick Hand SC' => 'Patrick Hand SC','Patua One' => 'Patua One','Paytone One' => 'Paytone One','Peralta' => 'Peralta','Permanent Marker' => 'Permanent Marker','Petit Formal Script' => 'Petit Formal Script','Petrona' => 'Petrona','Philosopher' => 'Philosopher','Piedra' => 'Piedra','Pinyon Script' => 'Pinyon Script','Pirata One' => 'Pirata One','Plaster' => 'Plaster','Play' => 'Play','Playball' => 'Playball','Playfair Display' => 'Playfair Display','Playfair Display SC' => 'Playfair Display SC','Podkova' => 'Podkova','Poiret One' => 'Poiret One','Poller One' => 'Poller One','Poly' => 'Poly','Pompiere' => 'Pompiere','Pontano Sans' => 'Pontano Sans','Port Lligat Sans' => 'Port Lligat Sans','Port Lligat Slab' => 'Port Lligat Slab','Prata' => 'Prata','Preahvihear' => 'Preahvihear','Press Start 2P' => 'Press Start 2P','Princess Sofia' => 'Princess Sofia','Prociono' => 'Prociono','Prosto One' => 'Prosto One','Puritan' => 'Puritan','Purple Purse' => 'Purple Purse','Quando' => 'Quando','Quantico' => 'Quantico','Quattrocento' => 'Quattrocento','Quattrocento Sans' => 'Quattrocento Sans','Questrial' => 'Questrial','Quicksand' => 'Quicksand','Quintessential' => 'Quintessential','Qwigley' => 'Qwigley','Racing Sans One' => 'Racing Sans One','Radley' => 'Radley','Raleway' => 'Raleway','Raleway Dots' => 'Raleway Dots','Rambla' => 'Rambla','Rammetto One' => 'Rammetto One','Ranchers' => 'Ranchers','Rancho' => 'Rancho','Rationale' => 'Rationale','Redressed' => 'Redressed','Reenie Beanie' => 'Reenie Beanie','Revalia' => 'Revalia','Ribeye' => 'Ribeye','Ribeye Marrow' => 'Ribeye Marrow','Righteous' => 'Righteous','Risque' => 'Risque','Roboto' => 'Roboto','Roboto Condensed' => 'Roboto Condensed','Roboto Slab' => 'Roboto Slab','Rochester' => 'Rochester','Rock Salt' => 'Rock Salt','Rokkitt' => 'Rokkitt','Romanesco' => 'Romanesco','Ropa Sans' => 'Ropa Sans','Rosario' => 'Rosario','Rosarivo' => 'Rosarivo','Rouge Script' => 'Rouge Script','Ruda' => 'Ruda','Rufina' => 'Rufina','Ruge Boogie' => 'Ruge Boogie','Ruluko' => 'Ruluko','Rum Raisin' => 'Rum Raisin','Ruslan Display' => 'Ruslan Display','Russo One' => 'Russo One','Ruthie' => 'Ruthie','Rye' => 'Rye','Sacramento' => 'Sacramento','Sail' => 'Sail','Salsa' => 'Salsa','Sanchez' => 'Sanchez','Sancreek' => 'Sancreek','Sansita One' => 'Sansita One','Sarina' => 'Sarina','Satisfy' => 'Satisfy','Scada' => 'Scada','Schoolbell' => 'Schoolbell','Seaweed Script' => 'Seaweed Script','Sevillana' => 'Sevillana','Seymour One' => 'Seymour One','Shadows Into Light' => 'Shadows Into Light','Shadows Into Light Two' => 'Shadows Into Light Two','Shanti' => 'Shanti','Share' => 'Share','Share Tech' => 'Share Tech','Share Tech Mono' => 'Share Tech Mono','Shojumaru' => 'Shojumaru','Short Stack' => 'Short Stack','Siemreap' => 'Siemreap','Sigmar One' => 'Sigmar One','Signika' => 'Signika','Signika Negative' => 'Signika Negative','Simonetta' => 'Simonetta','Sintony' => 'Sintony','Sirin Stencil' => 'Sirin Stencil','Six Caps' => 'Six Caps','Skranji' => 'Skranji','Slackey' => 'Slackey','Smokum' => 'Smokum','Smythe' => 'Smythe','Sniglet' => 'Sniglet','Snippet' => 'Snippet','Snowburst One' => 'Snowburst One','Sofadi One' => 'Sofadi One','Sofia' => 'Sofia','Sonsie One' => 'Sonsie One','Sorts Mill Goudy' => 'Sorts Mill Goudy','Source Code Pro' => 'Source Code Pro','Source Sans Pro' => 'Source Sans Pro','Special Elite' => 'Special Elite','Spicy Rice' => 'Spicy Rice','Spinnaker' => 'Spinnaker','Spirax' => 'Spirax','Squada One' => 'Squada One','Stalemate' => 'Stalemate','Stalinist One' => 'Stalinist One','Stardos Stencil' => 'Stardos Stencil','Stint Ultra Condensed' => 'Stint Ultra Condensed','Stint Ultra Expanded' => 'Stint Ultra Expanded','Stoke' => 'Stoke','Strait' => 'Strait','Sue Ellen Francisco' => 'Sue Ellen Francisco','Sunshiney' => 'Sunshiney','Supermercado One' => 'Supermercado One','Suwannaphum' => 'Suwannaphum','Swanky and Moo Moo' => 'Swanky and Moo Moo','Syncopate' => 'Syncopate','Tangerine' => 'Tangerine','Taprom' => 'Taprom','Tauri' => 'Tauri','Telex' => 'Telex','Tenor Sans' => 'Tenor Sans','Text Me One' => 'Text Me One','The Girl Next Door' => 'The Girl Next Door','Tienne' => 'Tienne','Tinos' => 'Tinos','Titan One' => 'Titan One','Titillium Web' => 'Titillium Web','Trade Winds' => 'Trade Winds','Trocchi' => 'Trocchi','Trochut' => 'Trochut','Trykker' => 'Trykker','Tulpen One' => 'Tulpen One','Ubuntu' => 'Ubuntu','Ubuntu Condensed' => 'Ubuntu Condensed','Ubuntu Mono' => 'Ubuntu Mono','Ultra' => 'Ultra','Uncial Antiqua' => 'Uncial Antiqua','Underdog' => 'Underdog','Unica One' => 'Unica One','UnifrakturCook' => 'UnifrakturCook','UnifrakturMaguntia' => 'UnifrakturMaguntia','Unkempt' => 'Unkempt','Unlock' => 'Unlock','Unna' => 'Unna','VT323' => 'VT323','Vampiro One' => 'Vampiro One','Varela' => 'Varela','Varela Round' => 'Varela Round','Vast Shadow' => 'Vast Shadow','Vibur' => 'Vibur','Vidaloka' => 'Vidaloka','Viga' => 'Viga','Voces' => 'Voces','Volkhov' => 'Volkhov','Vollkorn' => 'Vollkorn','Voltaire' => 'Voltaire','Waiting for the Sunrise' => 'Waiting for the Sunrise','Wallpoet' => 'Wallpoet','Walter Turncoat' => 'Walter Turncoat','Warnes' => 'Warnes','Wellfleet' => 'Wellfleet','Wendy One' => 'Wendy One','Wire One' => 'Wire One','Yanone Kaffeesatz' => 'Yanone Kaffeesatz','Yellowtail' => 'Yellowtail','Yeseva One' => 'Yeseva One','Yesteryear' => 'Yesteryear','Zeyada' => 'Zeyada',),'title' => 'Select Footer Heading Font','default' => 'Select Font',),),),4 => array ('icon' => 'http://localhost/redux/wp-content/themes/pts-pixel-linear/admin/assets/images/social_setting.png','title' => 'Social Settings','icon_type' => 'image','fields' => array (0 => array ('desc' => 'Click on button to enable Social Icons at bottom','id' => 'enable_disable_sm','on' => 'Enable','off' => 'Disable','type' => 'switch','title' => 'Enable Social Icons','default' => '1',),1 => array ('id' => 'sco_ico_lbl','icon' => true,'type' => 'info','default' => '<h3 style="margin: 0 0 10px;">Insert your social link to show the icon.</h3>',),2 => array ('desc' => 'Insert your custom link to show the Facebook icon. Leave blank to hide icon.','id' => 'custom_facebook_link','type' => 'text','title' => 'Facebook','default' => 'http://www.facebook.com',),3 => array ('desc' => 'Insert your custom link to show the Twitter icon. Leave blank to hide icon.','id' => 'custom_twitter_link','type' => 'text','title' => 'Twitter','default' => 'http://www.twitter.com',),4 => array ('desc' => 'Insert your custom link to show the Google+ icon. Leave blank to hide icon.','id' => 'custom_Googlep_link','type' => 'text','title' => 'Google+','default' => 'http://www.google.com',),5 => array ('desc' => 'Insert your custom link to show the Linkedin icon. Leave blank to hide icon.','id' => 'custom_linkedin_link','type' => 'text','title' => 'Linkedin','default' => 'http://www.linkedin.com',),6 => array ('desc' => 'Insert your custom link to show the Instagram icon. Leave blank to hide icon.','id' => 'custom_instagram_link','type' => 'text','title' => 'Instagram','default' => 'http://www.instagram.com',),7 => array ('desc' => 'Insert your custom link to show the Pinterest icon. Leave blank to hide icon.','id' => 'custom_pinterest_link','type' => 'text','title' => 'Pinterest','default' => 'http://www.pinterest.com',),8 => array ('desc' => 'Insert your custom link to show the Reddit icon. Leave blank to hide icon.','id' => 'custom_reddit_link','type' => 'text','title' => 'Reddit','default' => 'http://www.reddit.com',),9 => array ('desc' => 'Insert your custom link to show the Tumblr icon. Leave blank to hide icon.','id' => 'custom_tumblr_link','type' => 'text','title' => 'Tumblr','default' => 'http://www.tumblr.com',),10 => array ('desc' => 'Insert your custom link to show the Stumbleupon icon. Leave blank to hide icon.','id' => 'custom_stumbleupon_link','type' => 'text','title' => 'Stumbleupon','default' => 'http://www.stumbleupon.com',),),),5 => array ('icon' => 'http://localhost/redux/wp-content/themes/pts-pixel-linear/admin/assets/images/icon-footer.png','title' => 'Footer Settings','icon_type' => 'image','fields' => array (0 => array ('desc' => 'Upload your footer logo here.','id' => 'custom_footer_logo','type' => 'media','title' => 'Footer Logo','url' => true,),1 => array ('desc' => 'Copyright information goes here','id' => 'custom_copy_info','type' => 'textarea','title' => 'Copyright Text','default' => 'Copyright © 2015 Pixel Theme Studio. All rights reserved.',),),),6 => array ('icon' => 'http://localhost/redux/wp-content/themes/pts-pixel-linear/admin/assets/images/icon-tracking.png','title' => 'Tracking Code','icon_type' => 'image','fields' => array (0 => array ('desc' => 'Paste your Google Analytics (or other) tracking code here. This will be added into the header template of your theme.','id' => 'tracking_header','type' => 'textarea','title' => 'Header Tracking Code',),1 => array ('desc' => 'Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.','id' => 'tracking_footer','type' => 'textarea','title' => 'Footer Tracking Code',),),),7 => array ('title' => 'Backup Options',),);
	if (isset($data) && !empty($data)) {
		foreach($sections as $section) {
			foreach($section["fields"] as $field) {
				if (isset($data[$field["id"]]) && !empty($data[$field["id"]])) {
					$data[$field["id"]] = SMOF2ReduxConvertValue($data[$field["id"]], $field["type"]); // Not sure why this happens. Huh.
				}
				if( isset( $field["required"] ) ) {
		            $ReduxFramework->get_fold($field);
			    }		
			}
		}
		update_option($database_newName, $data); // Update the database
	}
		
}
add_action("after_switch_theme", "migrateSMOFDataToRedux", 10 ,  2);

if (!function_exists("SMOF2ReduxConvertValue")) {
	function SMOF2ReduxConvertValue($value, $type) {
	    switch ($type) {
			case "text":
				if (!is_array($value)) {
					$value = stripcslashes($value); // Not sure why this happens. Huh.
				}
	    		break;
	    	case "typography":
				$default = array();
				if (isset($value["size"])) {
					$default["font-size"] = $value["size"];
					$px = filter_var($default["font-size"], FILTER_SANITIZE_NUMBER_INT);
					$default["units"] = str_replace($px, "", $default["font-size"]);
				}
				if (isset($value["color"])) {
					$default["color"] = $value["color"];
				}
				if (isset($value["face"])) {
					$fonts = array(
						"Arial, Helvetica, sans-serif",
						"'Arial Black', Gadget, sans-serif",
						"'Bookman Old Style', serif",
						"'Comic Sans MS', cursive",
						"Courier, monospace",
						"Garamond, serif",
						"Georgia, serif",
						"Impact, Charcoal, sans-serif",
						"'Lucida Console', Monaco, monospace",
						"'Lucida Sans Unicode', 'Lucida Grande', sans-serif",
						"'MS Sans Serif', Geneva, sans-serif",
						"'MS Serif', 'New York', sans-serif",
						"'Palatino Linotype', 'Book Antiqua', Palatino, serif",
						"Tahoma, Geneva, sans-serif",
						"'Times New Roman', Times, serif",
						"'Trebuchet MS', Helvetica, sans-serif",
						"Verdana, Geneva, sans-serif",
	                );
	                foreach($fonts as $font) {
	                	if (strpos(strtolower($font),strtolower($value["face"])) !== false) {
							$default["font-family"] = $font;
						}
	                }
				}
				if (isset($value["style"])) {
					if (strpos(strtolower($value["style"]),"bold") !== false) {
						$default["font-weight"] = "bold";
					}
					if (strpos(strtolower($value["style"]),"italic") !== false) {
						$default["font-style"] = "italic";
					}
				} 			
				$value = $default;
	    		break;
	    	case "border":
	    		if (isset($value["width"])) {
	    			$value["border-width"] = $value["width"]."px";
	    			$value["units"] = "px";
	    			unset($value["width"]);
	    		}
				if (isset($value["color"])) {
	    			$value["border-color"] = $value["color"];
	    			unset($value["color"]);
	    		}
				if (isset($value["style"])) {
	    			$value["border-style"] = $value["style"];
	    			unset($value["style"]);
	    		}
	    		break;			    			    			    			    		
	    	case "upload":
	    	case "image":
			case "media":
				$value = array("url"=>$value);
	    		break;    	
	    	default:
	    		break;
	    }
		return $value;
	}	
}